(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     57437,       1300]
NotebookOptionsPosition[     37923,        937]
NotebookOutlinePosition[     56056,       1250]
CellTagsIndexPosition[     56013,       1247]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Experimenty s \[CHacek]\[IAcute]slem ",
 StyleBox["\[Pi]",
  FontSize->48]
}], "Title",
 CellChangeTimes->{{3.4281244519375*^9, 3.42812447428125*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 "Pro\[CHacek] je obsah kruhu roven ",
 StyleBox["\[Pi]",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["r", "2"], TraditionalForm]], "None"],
 "?"
}], "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 CellChangeTimes->{{3.428122336828125*^9, 3.42812240178125*^9}},
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[TextData[{
 "Studenti z\[AAcute]kladn\[IAcute]ch a st\:0159edn\[IAcute]ch \[SHacek]kol \
se u\[CHacek]\[IAcute] po\[CHacek]\[IAcute]tat obvody a obsahy n\:011bkter\
\[YAcute]ch rovinn\[YAcute]ch \[UAcute]tvar\:016f. Mezi \
nej\[CHacek]ast\:011bji pou\:017e\[IAcute]van\[EAcute] vztahy pat\:0159\
\[IAcute] vzorce pro obvod a obsah kruhu. Na prvn\[IAcute] pohled je \
pon\:011bkud p\:0159ekvapiv\[EAcute], \:017ee v\[NonBreakingSpace]obou vzorc\
\[IAcute]ch vystupuje stejn\[EAcute] iracion\[AAcute]ln\[IAcute] \[CHacek]\
\[IAcute]slo \[Pi]. Zkusme student\:016fm vysv\:011btlit, pro\[CHacek] tomu \
tak je. Roz\:0159e\:017eeme kruh na n\:011bkolik shodn\[YAcute]ch \
v\[YAcute]se\[CHacek]\[IAcute] a poskl\[AAcute]d\[AAcute]me je podle obr\
\[AAcute]zku vpravo. Zv\:011bt\[SHacek]ujeme-li postupn\:011b po\[CHacek]et v\
\[YAcute]se\[CHacek]\[IAcute], za\[CHacek]ne se \[UAcute]tvar vpravo bl\
\[IAcute]\:017eit obd\[EAcute]ln\[IAcute]ku. D\[EAcute]lky jeho stran odpov\
\[IAcute]daj\[IAcute] polom\:011bru kruhu ",
 StyleBox["r",
  FontSlant->"Italic"],
 " a polovin\:011b jeho obvodu \[Pi]",
 StyleBox["r",
  FontSlant->"Italic"],
 ". Obsah obd\[EAcute]ln\[IAcute]ka je \[Pi]",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["r", "2"], "."}], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{{3.428901839578125*^9, 3.42890189340625*^9}, 
   3.428902198515625*^9, {3.428902284*^9, 3.428902319609375*^9}, {
   3.428902820671875*^9, 3.428902894203125*^9}, {3.42890293371875*^9, 
   3.428902964875*^9}},
 FontFamily->"Arial",
 Background->RGBColor[1., 1., 0.5019607843137255]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Grid", "[", 
    RowBox[{"{", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"EdgeForm", "[", "Black", "]"}], ",", 
           RowBox[{"Lighter", "[", 
            RowBox[{"Orange", ",", ".3"}], "]"}], ",", 
           RowBox[{"Disk", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}], ",", "Black",
            ",", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sin", "[", 
                   RowBox[{"2", "Pi", " ", 
                    RowBox[{"i", "/", "n"}]}], "]"}], ",", 
                  RowBox[{"Cos", "[", 
                   RowBox[{"2", "Pi", " ", 
                    RowBox[{"i", "/", "n"}]}], "]"}]}], "}"}]}], "}"}], "]"}],
              ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"300", ",", "400"}], "}"}]}]}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"EdgeForm", "[", "Black", "]"}], ",", 
           RowBox[{"Lighter", "[", 
            RowBox[{"Orange", ",", ".3"}], "]"}], ",", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"With", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"u", "=", 
                 RowBox[{"(", 
                  RowBox[{"Pi", "/", "n"}], ")"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Disk", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"2", "i", " ", 
                    RowBox[{"Tan", "[", "u", "]"}]}]}], "}"}], ",", "1", ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "u"}], ",", "u"}], "}"}]}], "]"}], ",", 
                 RowBox[{"Disk", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "i"}], "+", "1"}], ")"}], " ", 
                    RowBox[{"Tan", "[", "u", "]"}]}]}], "}"}], ",", "1", ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Pi", "-", "u"}], ",", 
                    RowBox[{"Pi", "+", "u"}]}], "}"}]}], "]"}]}], "}"}]}], 
              "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", 
               RowBox[{"n", "/", "2"}]}], "}"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"200", ",", "400"}], "}"}]}]}], "]"}]}], "}"}], "}"}], 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "n", ",", "4", ",", 
       "\"\<Po\[CHacek]et v\[YAcute]se\[CHacek]\[IAcute]\>\""}], "}"}], ",", 
     "4", ",", "40", ",", "2", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.35786846077266*^9, 3.3578684888824*^9}, {
   3.35786852147657*^9, 3.35786854303934*^9}, {3.35786859611815*^9, 
   3.3578686648534*^9}, {3.35786872015098*^9, 3.3578688147772*^9}, {
   3.35786888148117*^9, 3.35786894826328*^9}, {3.35786899929518*^9, 
   3.35786907618679*^9}, {3.35786912937497*^9, 3.35786919282891*^9}, {
   3.35786923423569*^9, 3.35786929193955*^9}, {3.35786933376821*^9, 
   3.35786933604949*^9}, 3.35786940340973*^9, {3.35786946922307*^9, 
   3.35786948220761*^9}, {3.36330214917188*^9, 3.36330222540625*^9}, {
   3.36330350584375*^9, 3.363303540625*^9}, {3.36330357289063*^9, 
   3.36330357928125*^9}, {3.376926583443666*^9, 3.376926586671793*^9}, 
   3.3769266283953447`*^9, {3.37918118092507*^9, 3.379181202626803*^9}, {
   3.3791814028302393`*^9, 3.379181413653599*^9}, {3.4281223010625*^9, 
   3.42812230578125*^9}, {3.4281224821875*^9, 3.428122482625*^9}},
 CellID->187330904],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 4, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 4, 
       "Po\[CHacek]et v\[YAcute]se\[CHacek]\[IAcute]"}, 4, 40, 2}}, 
    Typeset`size$$ = {508., {197.5, 202.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$279809$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 4}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$279809$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Grid[{{
          Graphics[{
            EdgeForm[Black], 
            Lighter[Orange, 0.3], 
            Disk[{0, 0}, 1], Black, 
            Table[
             Line[{{0, 0}, {
                Sin[(2 Pi) ($CellContext`i/$CellContext`n$$)], 
                
                Cos[(2 Pi) ($CellContext`i/$CellContext`n$$)]}}], \
{$CellContext`i, $CellContext`n$$}]}, ImageSize -> {300, 400}], 
          Graphics[{
            EdgeForm[Black], 
            Lighter[Orange, 0.3], 
            Table[
             With[{$CellContext`u = Pi/$CellContext`n$$}, {
               
               Disk[{0, (2 $CellContext`i) Tan[$CellContext`u]}, 
                1, {-$CellContext`u, $CellContext`u}], 
               
               Disk[{1, (2 $CellContext`i + 1) Tan[$CellContext`u]}, 1, {
                Pi - $CellContext`u, 
                 Pi + $CellContext`u}]}], {$CellContext`i, $CellContext`n$$/
              2}]}, ImageSize -> {200, 400}]}}], 
      "Specifications" :> {{{$CellContext`n$$, 4, 
          "Po\[CHacek]et v\[YAcute]se\[CHacek]\[IAcute]"}, 4, 40, 2, 
         Appearance -> "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{554., {242., 247.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.428122309015625*^9, {3.428122466171875*^9, 3.42812250546875*^9}}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Tento p\:0159\[IAcute]klad byl s \[UAcute]pravami p\:0159evzat ze \
str\[AAcute]nky\
\>", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 CellChangeTimes->{3.428903317515625*^9},
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Area of a Circle from Segments",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AreaOfACircleFromSegments/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/AreaOfACircleFromSegments/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/AreaOfACircleFromSegments/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AreaOfACircleFromSegments/"], 
    None},
  ButtonNote->"http://demonstrations.wolfram.com/AreaOfACircleFromSegments/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell["\<\
Aproximace kruhu vepsan\[YAcute]mi mnoho\[UAcute]heln\[IAcute]ky\
\>", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 CellChangeTimes->{{3.428123849171875*^9, 3.4281238635625*^9}},
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell["\<\
V\[NonBreakingSpace]dal\[SHacek]\[IAcute] uk\[AAcute]zce se zam\:011b\:0159\
\[IAcute]me na p\:0159ibli\:017en\[YAcute] v\[YAcute]po\[CHacek]et hodnoty \
\[Pi]. Do kruhu o polom\:011bru 1 vep\[IAcute]\[SHacek]eme pravideln\[YAcute] \
mnoho\[UAcute]heln\[IAcute]k a nech\[AAcute]me Mathematicu, aby spo\[CHacek]\
\[IAcute]tala jeho obsah. Zv\:011bt\[SHacek]ujeme-li po\[CHacek]et stran \
mnoho\[UAcute]heln\[IAcute]ka, dost\[AAcute]v\[AAcute]me st\[AAcute]le \
p\:0159esn\:011bj\[SHacek]\[IAcute] aproximaci kruhu, a tedy i \[CHacek]\
\[IAcute]sla \[Pi]. Tuto metodu pou\:017e\[IAcute]val ji\:017e Archimedes ze \
Syrakus.\
\>", "Text",
 CellChangeTimes->{{3.428901839578125*^9, 3.42890189340625*^9}, 
   3.428902198515625*^9, {3.428902284*^9, 3.428902319609375*^9}, {
   3.428903009078125*^9, 3.4289030395625*^9}},
 FontFamily->"Arial",
 Background->RGBColor[1., 1., 0.5019607843137255]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"n", "<", "3"}], ",", 
      RowBox[{"n", "=", "3"}]}], "]"}], ";", 
    RowBox[{"Grid", "[", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Opacity", "[", ".3", "]"}], ",", "Gray", ",", 
           RowBox[{"Disk", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}], ",", 
           RowBox[{"Opacity", "[", "1", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"ColorData", "[", "\"\<BrightBands\>\"", "]"}], "[", 
              RowBox[{"n", "/", "100"}], "]"}], ",", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", 
             RowBox[{"Polygon", "[", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sin", "[", "t", "]"}], ",", 
                  RowBox[{"Cos", "[", "t", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"t", ",", "0", ",", 
                  RowBox[{"2", " ", "Pi"}], ",", 
                  RowBox[{"2", " ", 
                   RowBox[{"Pi", "/", "n"}]}]}], "}"}]}], "]"}], "]"}]}], 
            "}"}], ",", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{"showtri", ",", "Black", ",", 
                 RowBox[{
                  RowBox[{"ColorData", "[", "\"\<BrightBands\>\"", "]"}], "[",
                   
                  RowBox[{"n", "/", "25"}], "]"}]}], "]"}], ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Sin", "[", "t", "]"}], ",", 
                    RowBox[{"Cos", "[", "t", "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"t", ",", "0", ",", 
               RowBox[{"2", " ", "Pi"}], ",", 
               RowBox[{"2", " ", 
                RowBox[{"Pi", "/", "n"}]}]}], "}"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"280", ",", "280"}], "}"}]}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<Obsah mnoho\[UAcute]heln\[IAcute]ka je \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"b", "[", "n", "]"}], "]"}]}], ",", "14"}], "]"}]}]}], 
        "]"}], "}"}], "}"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showtri", ",", "True", ",", 
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<Zobrazovat troj\[UAcute]heln\[IAcute]ky\>\"", ",", "12"}], 
        "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "3", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Po\[CHacek]et stran\>\"", ",", "12"}], "]"}]}], "}"}], 
     ",", "3", ",", "100", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], " ", "}"}], ",", 
   
   RowBox[{"Initialization", "\[RuleDelayed]", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"b", "[", "n_", "]"}], ":=", 
      RowBox[{"N", "[", 
       RowBox[{"n", 
        RowBox[{"(", 
         RowBox[{"1", "^", "2"}], ")"}], 
        RowBox[{"Sin", "[", 
         RowBox[{"Pi", "/", "n"}], "]"}], 
        RowBox[{"Cos", "[", 
         RowBox[{"Pi", "/", "n"}], "]"}]}], "]"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.3531533721132*^9, 3.35315339809055*^9}, {
   3.35342845073629*^9, 3.3534284833632*^9}, {3.35342852354097*^9, 
   3.35342853606899*^9}, {3.35342863945765*^9, 3.35342864789979*^9}, {
   3.3534286933151*^9, 3.35342869469708*^9}, {3.35462233529112*^9, 
   3.35462238014129*^9}, {3.35462242216831*^9, 3.35462249557043*^9}, {
   3.3546225619547*^9, 3.35462264979084*^9}, {3.35462272680354*^9, 
   3.35462273980112*^9}, {3.35489701177841*^9, 3.35489701729624*^9}, {
   3.35497146087933*^9, 3.35497146969153*^9}, {3.35575969963747*^9, 
   3.35575973823297*^9}, {3.35576067616165*^9, 3.35576069352662*^9}, {
   3.35860055486172*^9, 3.35860055541113*^9}, {3.35860060545803*^9, 
   3.35860067414514*^9}, {3.35860088625007*^9, 3.35860088638993*^9}, {
   3.36917010024434*^9, 3.36917010053548*^9}, 3.36917022168092*^9, {
   3.382479688561861*^9, 3.3824797151601076`*^9}, {3.3827633643694725`*^9, 
   3.382763376997504*^9}, {3.382763480655524*^9, 3.3827634855825596`*^9}, {
   3.382763530166223*^9, 3.3827635336311707`*^9}, {3.3842545020950623`*^9, 
   3.3842545176392508`*^9}, {3.386092767699253*^9, 3.3860927745791454`*^9}, {
   3.428122604859375*^9, 3.428122636703125*^9}, {3.428122696703125*^9, 
   3.428122759890625*^9}, {3.428122867625*^9, 3.428122872*^9}, 
   3.428122952109375*^9, 3.428123057078125*^9, {3.428123116421875*^9, 
   3.428123150125*^9}, {3.428123292359375*^9, 3.428123294640625*^9}, {
   3.4281233553125*^9, 3.4281234156875*^9}, {3.428123557359375*^9, 
   3.428123558828125*^9}, {3.42812360059375*^9, 3.42812360609375*^9}, {
   3.42812377721875*^9, 3.42812377734375*^9}, {3.43097954871875*^9, 
   3.4309795488125*^9}, {3.4309795848125*^9, 3.430979599609375*^9}, {
   3.43097964578125*^9, 3.4309796460625*^9}},
 CellID->1496021318],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 3, $CellContext`showtri$$ = True, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`showtri$$], True, 
       Style["Zobrazovat troj\[UAcute]heln\[IAcute]ky", 12]}, {
      True, False}}, {{
       Hold[$CellContext`n$$], 3, 
       Style["Po\[CHacek]et stran", 12]}, 3, 100, 1}}, Typeset`size$$ = {
    280., {137.5, 142.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`showtri$120010$$ = 
    False, $CellContext`n$120011$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`n$$ = 3, $CellContext`showtri$$ = True}, 
      "ControllerVariables" :> {
        Hold[$CellContext`showtri$$, $CellContext`showtri$120010$$, False], 
        Hold[$CellContext`n$$, $CellContext`n$120011$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (If[$CellContext`n$$ < 3, $CellContext`n$$ = 3]; Grid[{{
           Graphics[{
             Opacity[0.3], Gray, 
             Disk[{0, 0}, 1], 
             Opacity[1], {
              ColorData["BrightBands"][$CellContext`n$$/100], 
              EdgeForm[Black], 
              Polygon[
               Table[{
                 Sin[$CellContext`t], 
                 Cos[$CellContext`t]}, {$CellContext`t, 0, 2 Pi, 
                 2 (Pi/$CellContext`n$$)}]]}, 
             Table[{
               If[$CellContext`showtri$$, Black, 
                ColorData["BrightBands"][$CellContext`n$$/25]], 
               Line[{{
                  Sin[$CellContext`t], 
                  Cos[$CellContext`t]}, {0, 0}}]}, {$CellContext`t, 0, 2 Pi, 
               2 (Pi/$CellContext`n$$)}]}, ImageSize -> {280, 280}, 
            AspectRatio -> 1, PlotLabel -> Style[
              StringJoin["Obsah mnoho\[UAcute]heln\[IAcute]ka je ", 
               ToString[
                $CellContext`b[$CellContext`n$$]]], 14]]}}]), 
      "Specifications" :> {{{$CellContext`showtri$$, True, 
          Style["Zobrazovat troj\[UAcute]heln\[IAcute]ky", 12]}, {
         True, False}}, {{$CellContext`n$$, 3, 
          Style["Po\[CHacek]et stran", 12]}, 3, 100, 1, Appearance -> 
         "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{407., {191., 196.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`b[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       N[$CellContext`n 1^2 Sin[Pi/$CellContext`n] Cos[Pi/$CellContext`n]]}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.428122678984375*^9, {3.428122714703125*^9, 3.42812276078125*^9}, 
   3.42812287534375*^9, 3.428122954328125*^9, 3.428123060046875*^9, {
   3.428123110234375*^9, 3.428123150328125*^9}, 3.42812329509375*^9, 
   3.428123358671875*^9, {3.4281233940625*^9, 3.42812341609375*^9}, 
   3.42812355984375*^9, {3.4281236024375*^9, 3.428123607015625*^9}, 
   3.42812377759375*^9, 3.4281238115625*^9, 3.42812387540625*^9, 
   3.428124746375*^9, 3.4289030583125*^9, 3.43097955021875*^9, {
   3.430979586703125*^9, 3.430979600515625*^9}, 3.430979647046875*^9}]
}, {2}]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Tento p\:0159\[IAcute]klad byl s \[UAcute]pravami p\:0159evzat ze \
str\[AAcute]nky\
\>", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 CellChangeTimes->{3.428903313515625*^9},
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Approximating Pi with Inscribed Polygons",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ApproximatingPiWithInscribedPolygons/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ApproximatingPiWithInscribedPolygons/"],\

 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
ApproximatingPiWithInscribedPolygons/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ApproximatingPiWithInscribedPolygons/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ApproximatingPiWithInscribedPolygons/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[TextData[{
 "P\:0159ibli\:017en\[YAcute] v\[YAcute]po\[CHacek]et ",
 StyleBox["\[Pi]",
  FontSize->24],
 " pomoc\[IAcute] n\[AAcute]hodn\[EAcute]ho gener\[AAcute]toru"
}], "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 CellChangeTimes->{{3.4281243378125*^9, 3.428124363765625*^9}},
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell["\<\
Student\:016fm, kte\:0159\[IAcute] ji\:017e znaj\[IAcute] pojem \
pravd\:011bpodobnost, m\:016f\:017eeme uk\[AAcute]zat i jin\[YAcute] postup. \
Do \[CHacek]tverce o stran\:011b d\[EAcute]lky 2 vep\[IAcute]\[SHacek]eme \
kruh o polom\:011bru 1. Pravd\:011bpodobnost, \:017ee n\[AAcute]hodn\:011b \
vybran\[YAcute] bod \[CHacek]tverce le\:017e\[IAcute] uvnit\:0159 kruhu, je \
rovna pod\[IAcute]lu obsah\:016f kruhu a \[CHacek]tverce, tedy \[Pi]/4. Nech\
\[AAcute]me tedy Mathematicu vygenerovat velk\[EAcute] mno\:017estv\[IAcute] \
bod\:016f a ur\[CHacek]it, jak velk\[YAcute] pod\[IAcute]l le\:017e\[IAcute] \
uvnit\:0159 kruhu. Vyn\[AAcute]sob\[IAcute]me-li toto \[CHacek]\[IAcute]slo \
\[CHacek]ty\:0159mi, dostaneme odhad \[CHacek]\[IAcute]sla \[Pi].\
\>", "Text",
 CellChangeTimes->{{3.428901839578125*^9, 3.42890189340625*^9}, 
   3.428902198515625*^9, {3.428902284*^9, 3.428902319609375*^9}, {
   3.428903091328125*^9, 3.42890314775*^9}},
 FontFamily->"Arial",
 Background->RGBColor[1., 1., 0.5019607843137255]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"data", ",", "inside", ",", "insidepts"}], "}"}], ",", 
     RowBox[{
      RowBox[{"SeedRandom", "[", "n", "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"data", "=", 
       RowBox[{"RandomReal", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"m", ",", "2"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"insidepts", "=", 
       RowBox[{"Cases", "[", 
        RowBox[{"data", ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x_", ",", "y_"}], "}"}], "/;", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "^", "2"}], "+", 
            RowBox[{"y", "^", "2"}]}], "<", "1"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"inside", "=", 
       RowBox[{"Length", "[", "insidepts", "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "@", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Column", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Graphics", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"PointSize", "[", "0.006", "]"}], ",", "Orange", ",", 
                
                RowBox[{"Disk", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}], ",", 
                "Black", ",", 
                RowBox[{"Point", "[", "data", "]"}]}], "}"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}], ",", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
              "\"\<bod\:016f uvnit\:0159: \>\"", ",", "inside", ",", 
               "\"\<\\tbod\:016f vn\:011b: \>\"", ",", 
               RowBox[{"m", "-", "inside"}], ",", "\"\<\\tcelkem:  \>\"", ",",
                "m"}], "}"}], "]"}], ",", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
              "\"\<\[Pi] \[TildeTilde] 4 \[Times] \>\"", ",", "inside", ",", 
               "\"\</\>\"", ",", "m", ",", "\"\< = \>\"", ",", 
               RowBox[{"4.", " ", 
                RowBox[{"inside", "/", "m"}]}]}], "}"}], "]"}]}], "}"}], 
          "]"}], ",", "\"\<Label\>\""}], "]"}]}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "500", ",", "\"\<sem\[IAcute]nko\>\""}], "}"}], ",", 
     "1", ",", "1000", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "\"\<po\[CHacek]et bod\:016f\>\""}], "}"}], 
     ",", "1", ",", "10000", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3718978952574058`*^9, 3.37189827940628*^9}, {
   3.3718983507330356`*^9, 3.371898419169222*^9}, {3.3718984497467594`*^9, 
   3.37189854369808*^9}, {3.3718985878534827`*^9, 3.3718986297120543`*^9}, {
   3.371898660539587*^9, 3.371898782818489*^9}, {3.3718988713792887`*^9, 
   3.3718988765979385`*^9}, {3.3718989726429696`*^9, 3.371898972705468*^9}, {
   3.371899025157586*^9, 3.371899034641779*^9}, {3.3718990727191734`*^9, 
   3.371899072922294*^9}, {3.371905345650193*^9, 3.371905461274453*^9}, {
   3.372534577002604*^9, 3.3725346046292953`*^9}, {3.37384637134375*^9, 
   3.3738463755*^9}, {3.379942669786338*^9, 3.379942792285554*^9}, {
   3.379942878206879*^9, 3.379942879238123*^9}, {3.3799430327371407`*^9, 
   3.3799430575651064`*^9}, {3.38136363034375*^9, 3.381363637859375*^9}, 
   3.381429937359375*^9, {3.38142998225*^9, 3.3814299858125*^9}, {
   3.3814341315*^9, 3.38143425575*^9}, {3.387148139546875*^9, 
   3.387148145515625*^9}, {3.387148175640625*^9, 3.38714827890625*^9}, {
   3.428124045609375*^9, 3.428124144703125*^9}, {3.430979798828125*^9, 
   3.430979799109375*^9}},
 CellID->469625543],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`m$$ = 1, $CellContext`n$$ = 500, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 500, "sem\[IAcute]nko"}, 1, 1000, 1}, {{
       Hold[$CellContext`m$$], 1, "po\[CHacek]et bod\:016f"}, 1, 10000, 1}}, 
    Typeset`size$$ = {500., {263., 268.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$120419$$ = 0, $CellContext`m$120420$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`m$$ = 1, $CellContext`n$$ = 500}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$120419$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$120420$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`data$, $CellContext`inside$, \
$CellContext`insidepts$}, 
        SeedRandom[$CellContext`n$$]; $CellContext`data$ = 
         RandomReal[{-1, 1}, {$CellContext`m$$, 2}]; $CellContext`insidepts$ = 
         Cases[$CellContext`data$, 
           Condition[{
             Pattern[$CellContext`x, 
              Blank[]], 
             Pattern[$CellContext`y, 
              Blank[]]}, $CellContext`x^2 + $CellContext`y^2 < 
            1]]; $CellContext`inside$ = Length[$CellContext`insidepts$]; 
        Text[
          Style[
           Column[{
             Graphics[{
               PointSize[0.006], Orange, 
               Disk[{0, 0}, 1], Black, 
               Point[$CellContext`data$]}, ImageSize -> 500], 
             
             Row[{"bod\:016f uvnit\:0159: ", $CellContext`inside$, 
               
               "\tbod\:016f vn\:011b: ", $CellContext`m$$ - \
$CellContext`inside$, "\tcelkem:  ", $CellContext`m$$}], 
             
             Row[{"\[Pi] \[TildeTilde] 4 \[Times] ", $CellContext`inside$, 
               "/", $CellContext`m$$, " = ", 
               4. ($CellContext`inside$/$CellContext`m$$)}]}], "Label"]]], 
      "Specifications" :> {{{$CellContext`n$$, 500, "sem\[IAcute]nko"}, 1, 
         1000, 1}, {{$CellContext`m$$, 1, "po\[CHacek]et bod\:016f"}, 1, 
         10000, 1, Appearance -> "Labeled"}}, 
      "Options" :> {AutorunSequencing -> {1, 2}}, "DefaultOptions" :> {}],
     ImageSizeCache->{546., {321., 326.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.428123953609375*^9, 3.42812398390625*^9, {3.428124020921875*^9, 
   3.4281240621875*^9}, {3.428124099109375*^9, 3.428124147046875*^9}, 
   3.430979801375*^9, 3.4309798571875*^9}]
}, {2}]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Tento p\:0159\[IAcute]klad byl s \[UAcute]pravami p\:0159evzat ze \
str\[AAcute]nky\
\>", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 CellChangeTimes->{3.428903306796875*^9},
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Monte Carlo Estimate for Pi",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MonteCarloEstimateForPi/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/MonteCarloEstimateForPi/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/MonteCarloEstimateForPi/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MonteCarloEstimateForPi/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/MonteCarloEstimateForPi/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[TextData[{
 "V\[YAcute]po\[CHacek]et ",
 StyleBox["\[Pi]",
  FontSize->24],
 " na velk\[YAcute] po\[CHacek]et desetinn\[YAcute]ch m\[IAcute]st"
}], "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 CellChangeTimes->{{3.4281243378125*^9, 3.428124363765625*^9}, {
  3.428124528375*^9, 3.428124538640625*^9}},
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell["\<\
Ob\:011b metody pro v\[YAcute]po\[CHacek]et \[Pi], kter\[EAcute] jsme si p\
\:0159edvedli, d\[AAcute]vaj\[IAcute] obvykle jen hrub\[YAcute] odhad tohoto \
\[CHacek]\[IAcute]sla. Pro Mathematicu v\[SHacek]ak nen\[IAcute] probl\
\[EAcute]m spo\[CHacek]\[IAcute]tat \[Pi] na velk\[YAcute] po\[CHacek]et \
desetinn\[YAcute]ch m\[IAcute]st.\
\>", "Text",
 CellChangeTimes->{{3.428901839578125*^9, 3.42890189340625*^9}, 
   3.428902198515625*^9, {3.428902284*^9, 3.428902319609375*^9}, {
   3.428903192984375*^9, 3.428903214765625*^9}},
 FontFamily->"Arial",
 Background->RGBColor[1., 1., 0.5019607843137255]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{"Pi", ",", "n"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "\"\<Po\[CHacek]et cifer\>\""}], "}"}], ",",
      "1", ",", "5000", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.419951733171875*^9, 3.419951737359375*^9}, {
   3.41995181059375*^9, 3.419951846375*^9}, {3.419951950109375*^9, 
   3.41995199859375*^9}, {3.419952121375*^9, 3.419952169421875*^9}, 
   3.42018584446875*^9, {3.4281245874375*^9, 3.4281246444375*^9}, {
   3.428124675703125*^9, 3.428124703140625*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 1., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 1, "Po\[CHacek]et cifer"}, 1, 5000}}, 
    Typeset`size$$ = {14., {0., 8.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True, $CellContext`n$2257$$ =
     0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$2257$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> N[Pi, $CellContext`n$$], 
      "Specifications" :> {{{$CellContext`n$$, 1, "Po\[CHacek]et cifer"}, 1, 
         5000, Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{327., {48., 53.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.419951828109375*^9, 3.41995188696875*^9}, {
   3.419951960640625*^9, 3.419951999875*^9}, {3.419952051125*^9, 
   3.419952061421875*^9}, {3.419952123765625*^9, 3.4199521705625*^9}, 
   3.4201858073125*^9, 3.420185844734375*^9, {3.428124607234375*^9, 
   3.428124644828125*^9}, {3.428124676828125*^9, 3.428124704015625*^9}}]
}, {2}]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{927, 764},
WindowMargins->{{71, Automatic}, {Automatic, 1}},
DockedCells->FEPrivate`If[
  FEPrivate`SameQ[FEPrivate`$ProductIDName, "MathematicaPlayer"], 
  FEPrivate`Join[{
    Cell[
     BoxData[
      Cell[
       GraphicsData[
       "CompressedBitmap", 
        "eJy9XXd4FEeWHysRDKwxJoNlQDmQkRAoYoKEDQIbFhPMGXvB2IDx4rDnsAu7\n\
BntJwhgEiCCQQBmBAkpIQkIBJZRzQgIRP/vu9tu7+76L+7uq7qqe6pmekQTs\n\
/TGMprq6Xqiq93vv1etm2abPt27esenzjz7Y9NqSXZs+3frRB5+9tnjnLtJk\n\
+YJOZ+Gu0+mcX9PRv0H+ZP+8gs7OTp0VqvPycSnwTeRHRKK9tdVaah6Ehrp6\n\
3PYPQs8Ed5S5TEWznzfu/UMw7n6yFlUb1uD2xYs6S6nvAHR2dKD66hXk79iO\n\
gjnzUDzKEQkzPFFx6ZIOtM/fpI66kYxk5nd7cXm8A2I2b0NVcbGV1DwCHWSY\n\
+rfW4Z7DTNyxn42Wpf5o3xiEB9vext13g9H03irUhZ9CbcoVVJ45jbztH6Nw\n\
njdqp7mhyNUVZ8ZMwZUVb6G9sVGDrA3qqqoQ7zYHcYMn4vwMLxQfPY767FwL\n\
6fLLaG9uRtuqlbjn6YW2GXNRM88DTesWofuz1Xj03XrcX0/YWfY6WoID0Lx6\n\
ISp8ZqJ8ljsqZkxHtK0Twij5lW9JlCFTHiV9jUUyEThtxGRkj7BDEvlOd5yG\n\
mzs+RVnoSZSsX4eHnh646++LRm9vtNpNR4PPbHR/twoP//g2Oj8PRtvmQDQt\n\
mY3mra/jlv9sFARMRfxUN5yztcd5Jxdc//S3OmO641FTXIREB3fEjJpCPnbI\n\
GW+HtAn2iLV3QJGDEx66zcZ9P190LvZH16x56HB3w52di3D/zAbcO7YO7V8E\n\
omyTH0rXeyF39VwkvT4HYQ7OODR2Ak64uKEyIUGiShaAbqBE0xJ1mZmoz82V\n\
fkns/FXkaRw62tqQvvLXuPTSq0jw9sKtP76Pij9vRcn+rag8uBUNhz9G4487\n\
0HB8Jxp++gR1h7ai7sR2NMZ8gYZLX6Ix6kvUnPstqkK3o/LEDpQf+wSlBz9G\n\
xvZVOD59Kq5//Q0KDxy0ZpPe0daKiosXUXo6DJnr1iH97dW4HRcncfavMmej\n\
pa8puEVmI97NBVXnvkTzlcOojTmKpvhjuJ92Gt1pYehOPYWu1DDcST+Hroyz\n\
6Lz8Ezqjj6CTXGvPPoPWnDNoJH/XJoaiNu4Y6hJ/QlNKKHI+/xCXHNyQ8clO\n\
lBFWyuknIgIlp07h6voNSAhegUSyjrPJ7F8nLDbm58ua+zeRv8koOBSC2CAf\n\
NFzeh9sRYai8FIGHqTHoSovCP9dk4y+3s/Fzfgoe5mfgUUEanqRE4edrMXiU\n\
HI0HqdHoSYlFW1Is2qMi0RJ1AVVnCL/nI9BOeDk91QXfT7ZFiJMTDrm64exM\n\
sqg9ZiLWeSpuTfNE0VxfZG35EG119U0SO9ZovZqKKhdvVL7kgprgDfS3bgJb\n\
BMXFxfLCIL/+ynZ9Wloatm3bhh9++AGNjY3yrtf9it1BbQi/w4oJ3NbcioSV\n\
KxC9dD7q4r4n038WPZcj8UtBMs75+CI5KAitaRH4p4Yb6MlPw/0bSXhSnITH\n\
WTHoSSTKSbiAB1HhuHPhHDrPnsXdC+FoPhWGhqgodF5LwQHPadg/fTJC3Kfg\n\
tLszssjOL3k9ADV+Acjx8iMT9wUVuJkJ3FFZjSqPJah8dZYkNBGe7DGZ/crK\n\
Spw4cUL69a9MCKqExMREfPXVVwgPD1cJ7IjCwyHIev99otUtuL7jE+T/sB9V\n\
KddQfT0LBR9tQR7Z2ylv+qI+7gfcTzmPRxlReFKdicT5fijTTcS1iS7I2bUV\n\
bfmX8bgyCw+J4A9yY3Ev+SIR/gLuEeHvEOFbz59FY8RZYjFPojUuBveyUpG0\n\
2Bv5QfPRuGwhWgMWo9k3EOUBAUjz88fNfd/r2pkEbXk3JUnpp/mnsHEawv47\n\
a4siOqWCstmkkg6WvoiVKCpCVcR5NJ4JQ/XFSJRGRaMw4iIKtm9H3bQZ6Hp5\n\
Eu4Mn4z2oZPQ5uSMBzPc8MjOFTfe8ENV3D6y986jO/0Sem6nIdY3AOWDHFA7\n\
zBk3dJOQ4DYTN77/Gl1lKXhQmIiulAh0JoSj4/J5tMaGo/rCaZSGheL2qWO4\n\
kxiLzuvXUPbWG2hZtQzt5PvO2mDULl6IdI95uLaBLOKamg4mQ82CFZLgdRs+\n\
1JmTnE4zXdfkWy25K+oqylFIDM/1t1bitpMbSkdPRswIW0SPm4I8e0dkjLFF\n\
zYuTcPcVO3S6uaLdZw66p09HzooAlEb+kezWM+jIuIg7ZcmIIosyf4gDike7\n\
oWSMG4qHOSBpGBnPfwGKQ/eh/Xo0WuLPoiHuHLEMZ1F67iQKfgrBrWMhZJMk\n\
oPV6Kio+XIPubzbi3taVBOoWIdvPBxkbNtJFrhvC5rw5IkaZc7LSpVVrSX8R\n\
4eg1vkktGPjTXVH30WeKKaDf9Ddpl9VhwW5u+N1u4WbaZiW20b+lZitmueni\n\
o3aFMSINStqkPhb6gbUHsWCTQ68xaaijwm+yEUVROpGZFjh+UenDReQbn3JF\n\
uZOMAd0aETFs5q3RuPeQXhXkem/SWjJ/i1pTQl+tRvKbtrP+Ov0NpnX6otLW\n\
F64tOEqSvqKuqRQKmREqxumHMkW7i4LSPn0haWN+ZvrHvyXfq4x3apKthYVJ\n\
x+L9BY3qLEwpcYDGRudtdJNTENObOEsKZNi1axe9piwBbgppf/pNfjNIGyCN\n\
SdvpPfReSpeOuWfPHsIUHWUQ/Ru5sgel0Dxy5IhyH8ESNp45WtrX+L7gYKzf\n\
yZYSVtE28s2UqO5nY2ZcSw0d2RiMIeuI/juYQ4XyITJxPUqysnu4kaHqoGrh\n\
JOlv+k1ZlfsMk9RJ1cuHodepbebtXH10eHo//U2u8S1gODMqDmykkajnwgSR\n\
/iZtWvq0ZAwJuuiNCXGuB5igSOUn8lqyy6JK6IeOLohDFzAlImqDKHmgcLeh\n\
OKTN0qQ41ipx2HVl2ik1el2/FBieOKGVSFdK4oTb23agx3E6euydUGTngjxH\n\
4hnMnIaWSS644zoVbXO9cGehH7LfDUTBud2oiz9NvOkLaCmMxxlfP1x5yQ7p\n\
Y12RNtaFfFyRNcYVV4ZNQRiJbS4GL0PhiYOoiCVe9YUwFB4/gsIjB1AZcwoN\n\
N1LQmJOKht0b8cuP7+HBFytR9UYAkr19SFBweiiTTjBH0ofCl4Xg6YrXqC3m\n\
WlGcQnaNeA2Kvaft9Dpb5E8LhNzKUkNInRLmg/4dgFAwlSqY4X2oK8RGpXJa\n\
KbaZ2WO++ESFUe4ZEPbO52DqZoruh15gWe/G2Glaq/q2vvKtQKA8kfx+Lb4J\n\
n5asWWKReT2EkjlCvYBf3zm2FN0y7iOIbpnBmhR1+PToRxFCRD+KBNyyc8K8\n\
jVp02p9+c9Mg9xmoWD7al/YR7C01WhaSXR8s2S/ahRtHbjjpLbSdgWHfKQ82\n\
10ciwzCQ7xrOKIVcPnccJuX931fSagUajkXllX6RqJfbWBEWuaJEi85hhf6m\n\
5lvUikBL6kOtvzgOHZfiC8dL3k7HYffLbL+oOVeCCqS1wljQyRNnowxDrwla\n\
tWKTIHLXKwdqxVkLK5R2k/0mWX0cX0WngCqTtovKYStbUR7zYZQ+ZMwBBvOj\n\
F85SgU09GfWaEPGSS8muKxtHHJfhpZwXGI6mm4VoDtmProVz0e7sjlav2ahZ\n\
4oWWJfPQPXMu7s0LQPqaQOSe+QNKo0+hLPY0anJiEeLtjZBf2eLkGAeqi9EO\n\
ZCzyN06NssehIRPw3QQ7hK9fh7xTR5AZcgC5xw+gPPEMam8moy4/BS37/wGP\n\
dq9C51o/3FzghatvkCj5dqWOA6RoG9Xhgxz0iNeo9eJ+igis3FCR776Y7d4A\n\
UiZhpYIbaehOVVBAB3hWnLQUg0GdtuGlbdZKP26wFYPLCBvBjrpZinD7yCsn\n\
oajbgt4u+//ioL3gpLXS1leeOXM0nOLMKc0DVDyL8Sxljg9L/SKBnAlqveBl\n\
/zmnEyR6GCpvTriFDKefCfWcPB1kcqa40WGuO59KbgL1XW0Ue8VVyYyGpXAL\n\
teOiWeSuvLlhGCnLvlwepLqsZfYJIukMraXIUV8EY3rSGsbGzDDcEHfqAxLK\n\
FncHeBO3wRxLSRcWIvc+rJHarVVKoBNO0EOJuCmScHThJp9fE1lhZBUbaUiS\n\
9eXCMzICulgq0uh1rdYrvU7vIettMLuFLj3mYel4bMHzCjwGVSG1OQyzkpjm\n\
aQAl8CSgQ79eQmdqEgnnFqE7yBN3VnihdVMgWjcsQc9Sf2SsD0Rm2O9ReO4I\n\
isJ/wu1rkdjnORefDR2Hb0fa4utRtlb4ZqQtwe9vR03C18MnYueQ0fja0QVn\n\
338Pt66EoTz5DGqKr6Im+wpaDmzCL39+B63vL0G2vw+uBgcPY/yLCSq1edBH\n\
fErQ47FEn09iuV/qe2u1mTQH/YUrYga5CRDs0jPD1QAFhjg0c00Y+P/GeEXY\n\
UBtpQwuqJmrZG6fy6lRZXQqhWpa93zjVG69afGmQkF0ZBvOETz3ZThXOmiHX\n\
b6DqVc3WEroyeDdaoHzRkphTO4DsPzYNVOyHaOL46QYZg1srnuzhh3wGMZNw\n\
hzLLxtTUw/RCxejyQNVlzi+PdIhl4qfRIpZYaTBoSiYzkGRtchg1OJgDAIr+\n\
ZEZUKGmoH3GsXnCIJfcUUtz49wWH5KBGm6QBDjEyKhwST7+sGQke03FJKWsv\n\
CrjFtWZloHw2dl9ASIk8GKZxsCff7JruZelrGDqKb6Ftwwp0+c/G/W0EgXa9\n\
ge4NC5Cx3B95JIiqijiK6pRw1OclYP+8+fj2VxOwb4ydDfaOnkJu3ztmCv0L\n\
vx8yHntenoDI4CAURP+IlopU1JO4qT10C/7l5EZ0f7QEhYt8kLSUxE1VVUOY\n\
bOLe5saBBCZKjMJARet4x9rQbul7PRX+KPlEZjvYoT03gc8lnzhAzBWqhKbW\n\
Sxhdn3iUzngYDhOrqOLA4JTOUEMmEMcoAJKi0H7HRTb6bJxJFg3PRPuEN8o0\n\
kjYhP6zgQV/JWZmfi77wr87/cnAS4nM1f3IbT43KkROP3vqHQENU27pTSMfw\n\
VIyBHeXGxbQ1UKfTrNi/PJ1G23Nzc62Y5rjRUI1upYyuah5g2Kz4voRnnTmo\n\
MW5TC8CZNYczWmcxPCnXm4Hn43M5uGWmYxq4/Jq5LG5mxfnQK7g3zNPO9GnQ\n\
NpfpE9ushDZ+yigeEQqpOYVVGWZllOP5SBHA+FTqaVpzJ6JX9RqiEZ8qKh69\n\
n0ZaDI1GSF9D0Zabg673gnBv43y0vxeAe3t/jeztK1F0+g9ojD2BlvQItBUn\n\
4oS3L84On4Koca5kk14a50Kg6OIoR0SPccS12Z7I2rweqX/+ggRCJ9FVmoTW\n\
onR0nNyMv5xdj57NC9C0aj4yAvxwbf27HIqUyg6yy3kMQiwC9zd4hCBd4l6q\n\
ypH++wCSpXSqz+CC0HgOKDTIKKoRCwfo33rWrMXMnjzgq7NkNp4agCxFpCGM\n\
aYJSn6MdY76eDXX4zuptXC14sWAhMZ0u1lenuUKMB9dPihILksmhv7kTRGJV\n\
ebCBZpdUf0DFVPrqKUCFtlnrMyAcUHQiohhBh4lmS7GZFX5YKkUfopB/L1TR\n\
OrHoL6rwuEAo3pAle/5QYmM0s4yoVf/xY6DRWPzkSCzqGMDEEfrpxNQrzZyJ\n\
mMGP5vqLGfQ+EWvIGBwzXmGLuvXoXrSv9kXLjkB0/Gk1sj97G6Vnif8VGYrm\n\
xHB03LiMsz5+SBlmj+tj3axobQQJf7JGueD6CCcUOs1A8TsrcPWrnciJPY2W\n\
0hR0FCag69YVtN9IRkfoZvzLwRV48vkS3N0ehHJ/L6R4+6D4SAhaa2sHM9Up\n\
0QvZrcrOHKhsdh7kiBta7Ro+b/jgy5sCFjUtWqM9A3wIEKky3aw2Tp8xMiqK\n\
lBGNtuszS88WywgHbHyzikcVKl32uSrCPMPPhjED+ziuFsZYsX40ank63gcZ\n\
BZc01hUnkfxW7jdKjYr8EPh6CiAaqtryYmRjCER9SUYZeMlC3Zgq8cQzPtyq\n\
Gg5H73s+iTZqs1j4Yxj9JCqVDPJZVx/yhyZybfqRrJWuXPSnzbnRTNRAtvDo\n\
mHQ8lpHqK2b1PdemVTNjkmzfoEsNg1wbJOzgFHktg4hWfO7F/cYiIxWCcRTs\n\
H4LZqJa2sNZeUINYc2IC2vznoGb1fFRuW4yMT1agKvJPaLkQivboc+jMjkeU\n\
jz+KBtujYqSbBcpGuupGomyEC8qGOaFmojtqly5G/u5PceXIAVw9eBANGXFo\n\
z72Ktsx4dBWk4s5NAgRfLcejLxbh3pdv4t47AehYMheFnp5I8piHlNW/Rmt1\n\
NTEPMuO8QIAbGgZbFqxOWQA7c6m753pGZHACwT0sk2dD4gm8MAbP2ij22Ajd\n\
uEBcdo52zFCaMdb9PxbSZFI+FhKfMFEKs4WzD0H/CkssflOx2RtWmGP9GU+J\n\
BmgPbcMmUKxC6GS+Eq8SJIJyYXgXKqgN2zIGI0r9BLDiXHGg4vMgnBspeKbg\n\
oOHC5N6NeTxTGwAWVJk8qeilwkB1kKF1Bm/NkycKPOjrpGyUWjueQ3o+9QwC\n\
pBnFTUpcQ2aZx2i9UGUoaXoka8Vk8iMMfUGAtaogwFwgJJzy8yIArhb+YZz1\n\
Fd7UJQ02WiUNFG+Uo1G9vVeWQy8c9A3p1CuO15vz/mJFBB9XSL6pxlXDnI0W\n\
zOklGqzylgwXCQdcHiO+QJl4gc6CCuzs0XI5Fk0rPVG5yhMFm32RuiUQdZf2\n\
ojv6DO4mR6HnRhLivQNQaWOP2hGuqHnZFdVDndEw0gVt831Q9tvfIPv8MRSn\n\
xqMmOR43joeiIS0W98vScDfvKu4XZZLvTFS/7YeGlTNQt3I+WhZ5oeNNb7R4\n\
eKB4+mykesxF0vIVKP7xRxLG1ej4cwXcgrA4hpsGC2Z6mOWQjQuDHXILn1zR\n\
nD3ncj6aKGPPHgnHUlJXfTW+SYy1UvKaUkk+5Vi2sFwYoRZEDPbkwEx4qMjw\n\
1F/PtrUqhmPPIxmHDBz+TEOijSGvai0PFgNoBTQ4P3zeBLjnIoooySnISTXG\n\
vh62emffLCyaKPKTH3hQDrI4uDFaJsNuoySjvF9F50AddatTCWpRrI0gV3Ys\n\
ZMGMSzYH6/OSQoKce1AC3krD89JPSpP2F2tZzOGmEAMyPn9lhJu9FafzYmbZ\n\
+aaR0SCVieKFztzCcaffgtlOjdr5fpTt97t4Xjwke7bieTmLyk9lSLtWFpM/\n\
nqZRM69kWHvDU6E6U1bwUKVUnn7EYQ2ryY0nZ4ARfhjXyltr1cqTa9S9GmpU\n\
FM+R1Qwvuv7B7HBN8cWFwnFQqLhX0aTqFas01XlRK8O8qCzaiyZF0/JFLGWs\n\
lWBWAlwBax3R+M0/onzpPFS8S3DzA29c+80SNMR8jzsx4XiQGIWH+amImR+A\n\
0kH20k6uGO6EhqlzUP3BWmQe3I3c6Ai0FVxHZ34GiSiv4lbkBVRFnceTkmQ8\n\
LLyCnysy0XOTYO3GBWhe4IzqWQ6oc3FG08xpqHacjlLHaSh3n458t5nImDUX\n\
6W+tRsmJUzR1qjz2qeXJ8+MhC8lRt1LZewVRrRRDxB404/aPI4SR2RVRl0K7\n\
/oG0FyVjRm+kRlCoy9A/YsuiLX2oY6083SQYYuMIQm+5K5UKAcM20Q2wFgcQ\n\
g1sOnDyGkcvkjENRlsYVFCIGmYxn3kt+gqpTiLKkB9vpfUNVQCIefVKxDHDN\n\
CGONRbdRTYwAJnqVCVzrQ2MKb+RO3swnSvUctrUWr4pHJdEltBqEZ9YEUpai\n\
ghSDYAL0hXJFISzVFEGveB5iUqYM8yG0TJEjjfCsturZbIMVbKXSpFBiaQ5l\n\
uVGikGMu4jH3aDRvlw05/XeA6kEm8b5E5RkgGwUJDR7VfrYntQcaOQm8toD2\n\
I2yZQ0LTw+oL56h5Zxxrng3KGh6kekCbgbDCFo/O+IuctunLMxToEJ9coxDC\n\
NSryyOGUY4Ech8rITftzOlzjZp/JHqBMFn9YnJOmsaoYt2uQ7x+IDlKBKAdo\n\
/nA2q3lR1b1yrgWSfHkb16MMNqpHMSGVqXQ1dQsYhkp5WXLtBSmFzqpSiJdc\n\
W4vS1xegxNMdBW/MRWawF5LWLkZT9PfoOn8G9+OjcD83BWfn+yFp0CQUOcxA\n\
2eplyNr9GdJOHEVJZAQqoy6iOj4GzZlJaM1ORvXlGNyODMf9nHg8zI7Fk6Jr\n\
6MlLR/1aX9xd4o46NxL7OtihzskeTePtUT7ODiXuU1HhOAOVDtNR5TgVJbM9\n\
kf/OWlSev4DmWyVKqbz+HSWKWnkbtRrccqgzfINV4ZvyegjhASUWahqdoLHx\n\
2MmUtSqByvBUJ8IMH1ux6DJU6GMYZXz5dRfiS0OoOaX3U1Q0aFNXeisp0uAN\n\
ir3l54TK48MGQjOYEV9hxIWWmLLRI4GgYDnSlMy6Os8qa156Gwi31fRFLTK3\n\
8uWhqmhMfM8IpU2FZAlRsU3Hs3Vm+FXA2NoMZPFXMfAKI+V9VWRMHgyboWEu\n\
ODUs7FW8EkJOxOneRBCqcQ2zBrILIyvZxNtQVJG6sixJH7OAaaWAlSqNqbb8\n\
g820iTZwdB/v1er3okbbWI221/plj9Vtr7A248pzffqSRsJaPMtnhcxM2qH+\n\
y89R5+CGvJlTkeLsjkvOzkgI9kOjZCZPo4OEEo2JcQj1mIeEOR7I+nwrUg5/\n\
j9KYC6i/Eo3bl86j+EwYbpwIRX7YKVTGRaIiJgK5J46jMfYc2uPP4f71K7iX\n\
fQ1ly3zRudQDNVNdUTRrFrL9/JH//ibkffQRamJiURsfb0H+iaNOZHws6i9F\n\
ojaazP+NXMM0i/LciGS+DF0zuk2GGBo8/RY3brMXO4tn53xkvjMUD9zAdx9s\n\
wJ+B86mm5mTqwgSNUbQSQCzhoymKUy87hOIqcyfN7RCxQvf/c4eIdJ/HDjF+\n\
QNBSfEDQ3A6RH7aYhPo/fYfbM6Yi3c4V0RMcETXBHuG2kxEd5IPqi9+h6eQx\n\
lIQeR8mpE7gYvBwpe75AyeVwdBVcwYP6bDxsyEJ3ebp0pFufFIWS8JPIPBKC\n\
tJBDyDh8EAXHjhBn4CTakmLQkXUNhYv8UeYzFzkLFqDoz/tRTRzyIXyFM6DR\n\
A6SV6rUY5G8l3NSXifS+GUQMtFf2lc7wYFKeAZEgc0kUBvu7AXo9oqT9R2ns\n\
AfYCEH14zqph+r0veB6NZ/z0kmqvWrGicdBT7gx9HYj6vZLD+9hPK6qR3+dn\n\
I/InfVgCb4IGq33dTCMNyJl6dYTWxmab6SW+mYpvoXrdeygZ74Bzo20ROcwW\n\
ia/Y4vxEWxweNxFh3h4oP78XuT/sR9GRwyg9fgTlESfRlJOAzltJ6KxIwR36\n\
KbmC9oJ4NKVEoTk9Gu0ZEaiNOoE8Wkfx3V6kkvsLTh0n6/c67lWUIdvXAzme\n\
c1BIWB/G2DQ29FaK12bGfRE2k3r1Kgc0MhKxJALB2E59jp3S5LNoVPamsZ8o\n\
8EjuFt/w5ta29MI9spNpPstk51GaIKP36PWOXy/UTD2CyZMVfCWJJn200K8v\n\
G8b4PWvqjTrcTD+exTa1YV5lbcLhqfLuU1O7hD+hofXUxihhA2q8h2yIBgts\n\
cwzl64S+dDolFTl79yGZ+GI59u64MtUT8YFLEee9EOmr1yJqSSCOuLjhwksT\n\
kfW7T9CQRFDmdhkeN9fiSUcjHne34PGDTvz8pAtPHnfh554WPOluxMO2Bjxs\n\
rcOjdvJpqsL9mgp03S5Hc0kp7rY047/+9jfcDjmMFBdnpPj4oPzCBRf9CjDO\n\
08nVhvrVzjX9uqllM1W+IG820Xd6rT8LzUlD8XwBiQttpkabt8a9nhr9VLMy\n\
AO1NTYjzDcDVpW+g6NtvUJuUhKaqSvrWZwYU41FfWor4hYG4NGwsDtjZIf7D\n\
91B/dD/qQ0PQEBGKtqvh6Ei7hLaUCLQlR0qv+G29ehotF46iIexHNJw6iMbQ\n\
A2g4fpj8fQRVIQdRSd8ZuOVDnJriiBhbO1z2mo/y8PO6v2mo5b9FlonVaG9H\n\
BdkmHa3NLHM2HhUZWcjc+z3OrliO3bbjcHLWFNQv9ETN2oVo37MGj/atxS8X\n\
tuGXuF34JXwLfk74EI/PvYuezfPQETwHLW+6o9nfCfUBM9Dw+kyUzHJHBgkW\n\
4ghrZ2wdcWYifQm3G4qPHlWxyA9PGItjpK+xiFy5AvvGj0W21zQ0es9D26bl\n\
ePzDJjz8YhUefrcWj/+wBr+ErMcvP63B4z3LcXd7ALoWuqJn/RzcCZqOan8P\n\
NM6bgTrvmbg1zR15Tm6IIx7a8VcdEDHWFmnr1stvnP5fme5opobmhkYc9fPD\n\
8ZFjUTfbEy1vBeLe1hV4uONtPPn9anRtCcL9XcF48H4AnvwuEA++XY7OnUFo\n\
WeiGpjn2aPckJtPfC5XuM1Dzug/KPGajxNkNRVOnIWmKM6JfmYz4xUul1SHR\n\
/x81/ZKEBJy2nYQcWyc0zvZDz+rluLdxKbrfDULrb5aiNsgPDSsC0BbkgQc7\n\
FuP+58vQvtIHrX4z0eDugCpHO5T7+qBkzx9RFRmJvM8+Q/rKVbhBdHjLzR3J\n\
4xwRMnwiru/eo0H/ZZRejETCFDtUzp+LzsWLcNfDF43By1C0cT1ufvWPuHX4\n\
ELI3bkCevw/qA+fj7up5uPOOH9rmTkfjdGeUObui8vQp/p781toalJ0+jVy6\n\
p6YTUzXGDmFz5tPXpcvk/1skPwCxa9YgnUxVl48velYEouWTnahLSpRety5v\n\
pkFoqajAtV+/g2wiUlOQF7qX+6F91nS0OjrixptLUZeVpRR40s1ZTFZY0jxf\n\
RE92Rta3v1fR5Ua5/kautIlrXOcQVS5FW1oqOniF0UCJZNq6dSiYMRNNszxI\n\
RDwVdS9NkiJTwhoPoKrJ1s/8YDNivbzJiHkSof8SCVkhe+enyJg+GxW+S9B4\n\
PYe/nLI2PV16PWPlnBmodnJF2RQXlJ04MYjdRcXI+ng7rn/5O2nz0ub/lAfm\n\
/8OA9JL5N99A3oJFqLlxYzBTQNHBQ8ghcXmTnROqgt+WikG5H1ZDsKSjtVX6\n\
JQ35H+KQlig5dgzpQYGou1XK7rEiE5eD5Pl+qLd1Ruk77+pfwc+sIg+sKFal\n\
rF2HyuRk5T3LtC3zo49RTHCrcMtWo3s53Y7mZsXIc1isupqE1Flz6fvDdUY3\n\
2rFOdJqSlr6JlDVrjDvZs04Zv9mMq8tX6qWW/pGnUKd74f8A8yVfcQ=="], 
       ImageSize -> {557, 41}, ImageMargins -> {{0, 0}, {0, 0}}, 
       ImageRegion -> {{0, 1}, {0, 1}}]], "DockedCell", Background -> 
     GrayLevel[0.866682], CellFrame -> {{0, 0}, {0, 4}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> {{0, 0}, {-3, 0}}, 
     CellFrameMargins -> 0], 
    Cell[
     BoxData[
      GridBox[{{
         Cell[
          GraphicsData[
          "CompressedBitmap", 
           "eJzVV0tIVFEYvs4dx9FkFtZCAh+LyhLMDDNNXJio+UILKqOVqOHbUtEEH5BR\n\
ahmC2MuQHhNFJpJIUFRChK4qNwWuWrSsdfjI/s5/zn/unHvnTpoMRBfunfP4\n\
H9/3/+f850xJRVtNdWNFW21lRXx+S8XZmtrK1vi85hY2pIdomjbP3th4DdvA\n\
mvSZh56eHja5/k8W/9HB6/XC7Owsvto5/hVjbJZLbDWLo+hSezS+TBy/Yux/\n\
E9f5NxJWZmoAHxzHZ/l+AW+vvD5v7gs5B3ac2NLchg7OYXvt+2f4uTgl9bis\n\
FgGrC3f4lDSDbXzWvr71M625TBbx/fXjG6rIaRWwAkAnVoq24CjAhv+RIP1q\n\
DlKTiFHTwb9ibKk3Bo0LN+y7fCsT6CG5UAOfZIjyWzaTG5d/bibKEYLw5BRd\n\
a/wiueTq3CAHh68pS/07DdKYKUbKgYMsSxhmjIl0im1uws6L05QlnmuBCR34\n\
SZuzYjcmGLsDYjcx13mX4GsCf7iBX8UuVQkNk2Wj6IzlkVzRmBJsxsCIwUxN\n\
RJC2FaHAFWEQ2kicXAYhjAs3ycAzdaeMxXAyX6vMMsafqXgC7RHeRjMoz+NF\n\
Y5vKlp1cqB1ZDLHE6+Z4/ZajL0e6ylqpAhaImH2qKWJvBydFGBSjINikSG58\n\
dE96tPEjjDG5uHABYt5k6aMFt5EcybXM65BdlQzzi49EzbyJZSCgelSo9hTt\n\
4Qp1p9W9bo2Cb2tR6ZSrNHiJQQhqEG33TpSMr6gdbJHZ1j1S5cUDNwIWaEZa\n\
nl6sv15+jLpCtZHL+GqGQ6lkan4kCUIhuEYHBB2Isx1w7kqteCy7NrtJdRPs\n\
3aSr4aIdkWCAlgTQu1wfvLpTVmyzphBSzhm+fLk+ydodV4H8oCwdEbhee2NY\n\
miU2tfxLvwYuSjO2KVS6Uu4s8Im+x49+IAoWug5+ZfCYFp9SP6w5DMqBFeq/\n\
6VgdUWs/lQy6+viOS/mYyoZLVB1WWWRBpEucTrcHyzVQnA2hKg15mTQOFlzx\n\
SsHhQXKSN3nx5BH27QKlZDtNu0m5TkpuFqAmVUnGvwYK16Yrn+j/5Y3vn/01\n\
iCfx8YIi6G9q4r3tmzNxLy8fBmtrTSY2+OcqjsQvtrfDo+wcGCsp1R6qU064\n\
0tAAk4eywJuTC30dHV7z7EBjIzxOTYfpjCwYqK/3kL2e7m7D1YjQiOE/Lj41\n\
erIchhjiuwl74d3+DBg/eiySNK8yg7dPnYberi5tVGjGkuaD3HzwVp+BqT1J\n\
8CElDV4UF8JwVWUEaV5jmpOHc2Gkqkq7rmqGwQSj9jEtHV4lJ8JcUip8Kj0C\n\
02VlcKGzk50YgslQfT08O5AJT7Ky0TlZ2EbGL7e2wmBTs+TAvm641NcHLwtL\n\
YDFqBzzdvQvepxyEL8VFsFBUDDfr6sIUw2/2ZcDzuEQYO37ihjCshfwGPGMf\nPw=="], 
          Evaluatable -> False, ImageSize -> {199, 30}, 
          ImageMargins -> {{0, 0}, {0, 0}}, ImageRegion -> {{0, 1}, {0, 1}}], 
         
         ButtonBox[
          Cell[
           GraphicsData[
           "CompressedBitmap", 
            "eJylVb1uAjEMDuSAUqTr1J234A3aqQ9xQpVgqFpRZkZWNkZWRkZmRkZmVkZ2\n\
xtSfY0e+9MrSSLkY27E//4W3aj55/6jm03E1fJ1VX5Pp+Hv48jkjlm8550a0\n\
y6EDHYiUzygsFgsS1o42Hw9hs9mE6/UasHCu12tI+KTVYbUy7Ha7pIZ1uVys\n\
GtPL5ZJpmLzdbrgTvXgrol+0XBHO5zOr4irtyO7zTWHx3u/3CRTo1Wol4FMM\n\
WBBB5Xg8MlDQsE6rYLUnjkFVIdputwm7qCYvigLmCCi5AvSSZapnbUFPY89l\n\
hN4zhE44HA4J3el0EtMcjHusAUHG8gTX4ikZIwxqpmwM1gwcqh7xC8k//CtU\n\
YrcFIthaXS1Z7IJuKiMyqcBI3pIIvHUtcRU5rDYLe4zKZgvVkLS4qJObw3eA\n\
+qeIkQG9Z20obm0/U2lpP5/CB09jRxW18mhPyoO7F9xzY87zNrTIgF56ovEO\n\
PGri8BsoRSeyB7U2w7ZtbNsOg1JIYCioBixtczewwZ+BWW9IEcrVES8NerUu\n\
gGcZqMju/womz5vtPnWNHOqMUkf+v0AohmIDDT19T/I7pBc90Rd3ZBycrY5W\n\
AEOn49JUHW+qowMKm6STXgVvX4GUTfsqEB1no8uXbTZBk3EdJ9RLbsgY9FJj\n\
6kaXyMMRvelzjWRpIInt01MRX+KGPxo5XOsHSMiAwg=="], Evaluatable -> False, 
           ImageSize -> {55, 14}, ImageMargins -> {{0, 0}, {0, 0}}, 
           ImageRegion -> {{0, 1}, {0, 1}}], ButtonData -> {
            URL["http://store.wolfram.com/view/app/playerpro/"], None}, 
          ButtonNote -> "http://store.wolfram.com/view/app/playerpro/"], 
         Cell[
          GraphicsData[
          "CompressedBitmap", 
           "eJzzTSzJSM1NLMlMTlRwL0osyMhMLlZwyy8CCjEzMjAwMAExnwIDiP0fyIQS\n\
jP9bWloY/8+ZPZuBgfF/V2cn4//VK1cOFnZ7ezvj/+XLlgFdyggAJaVbgQ==\n"], Evaluatable -> 
          False, ImageSize -> {2, 14}, ImageMargins -> {{0, 0}, {0, 0}}, 
          ImageRegion -> {{0, 1}, {0, 1}}], 
         ButtonBox[
          Cell[
           GraphicsData[
           "CompressedBitmap", 
            "eJyVVj1vIjEQ9bIBRKKjyClFOn5NUvEjUBQpKU6JctSUtHSUtJSU1JSU1LSU\n\
9JTOPHued0x2SWJpWXvGOx/Pb8YMR+OX53+j8evTaPD4MXp/eX36P3h4+xBR\n\
WTjnhvL0Bw5zL1P9GfrJZCLK7NUKr9LP53OPgVWQlVi5O386nbC0G/x0Og3z\n\
xWKRybHGgN7KMYcdjPV67TrBzZXfbreeQ+aMBQOfYMWty+UybZV5S5XH4zGJ\n\
xTK9xeB7/nA4BBEfbFHLYT6bzVyRA8EcEhDuPllnvjZXmiJOVs78VqtVJocN\n\
yJgUwrgKvnrBFrISWXhgd7PZhO8Uc9dVUBQM2onhdlOocKHm6V5SgoFekFlk\n\
4AJuMd/tdn6/33+PTJlYUMn6GQtgktFbBJAVdOKG8lJNGnIlULCVx3seLfd2\n\
lBLWjdFH8+2MuwSlc6YDcMpfAQHGm0GIVCsDaJplxMVdJ5D5EWuCbz03Zg4T\n\
yErC0My7aRuzIWUS/PJLgKtDaEShpZlCDVcEsYq6zlysVDJczqxAZV1ixt+s\n\
Zs5xYG2wPCmHZzACMuiwjqSNfqDT2pAcILu5BFAWQwVqvwmcVMsYOAzwwcTX\n\
UpgotgAhXFJAgCoQ+29L5zYLzCZCOZIHORko25/dI+B0GsqGn3wtm95FTBRH\n\
V9ak09Zf08vYD6V2gLoTNrDrEV3Lip8wxXRXASvylMcANlBmbqrY6kgTUAlG\n\
2FYtNGcBpK7zHSQSmCMnTNCNPZaUZgMEpNpj1YJekikdFkidTNLUkm2nAmBj\n\
QfcutYNgv82ClxIquO4ilghrG1vF0z/Z5U40eDEiFl72X2PN7cWLzNX+M3HF\nJ/Rd8Mk="], 
           Evaluatable -> False, ImageSize -> {77, 14}, 
           ImageMargins -> {{0, 0}, {0, 0}}, ImageRegion -> {{0, 1}, {0, 1}}],
           ButtonData -> {
            URL[
            "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"], None}, ButtonNote -> 
          "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"]}}, ColumnsEqual -> False, 
       GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}]], 
     "DockedCell", Background -> GrayLevel[0.494118], 
     CellFrame -> {{0, 0}, {4, 0}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> 0, 
     CellFrameMargins -> {{0, 0}, {0, -1}}, 
     ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
          NotebookLocate[#2]}]& ), Appearance -> None, ButtonFrame -> None, 
       Evaluator -> None, Method -> "Queued"}]}, 
   FEPrivate`If[
    FEPrivate`SameQ[
     FrontEnd`CurrentValue[
      FrontEnd`EvaluationNotebook[], ScreenStyleEnvironment], "SlideShow"], {
    Inherited}, {}]], Inherited],
ShowSelection->True,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 168, 5, 96, "Title"],
Cell[CellGroupData[{
Cell[783, 32, 431, 13, 76, "Section"],
Cell[1217, 47, 1589, 31, 101, "Text"],
Cell[CellGroupData[{
Cell[2831, 82, 4539, 111, 152, "Input",
 CellID->187330904],
Cell[7373, 195, 2626, 58, 506, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10045, 259, 469, 13, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10517, 274, 946, 27, 34, "Text"],
Cell[CellGroupData[{
Cell[11488, 305, 328, 7, 71, "Section"],
Cell[11819, 314, 897, 15, 81, "Text"],
Cell[CellGroupData[{
Cell[12741, 333, 5766, 133, 212, "Input",
 CellID->1496021318],
Cell[18510, 468, 3802, 77, 404, "Output"]
}, {2}]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[22370, 552, 469, 13, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[22842, 567, 1013, 30, 34, "Text"],
Cell[CellGroupData[{
Cell[23880, 601, 424, 10, 76, "Section"],
Cell[24307, 613, 1029, 16, 81, "Text"],
Cell[CellGroupData[{
Cell[25361, 633, 4155, 96, 202, "Input",
 CellID->469625543],
Cell[29519, 731, 3224, 67, 664, "Output"]
}, {2}]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[32801, 805, 469, 13, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[33273, 820, 919, 24, 34, "Text"],
Cell[CellGroupData[{
Cell[34217, 848, 446, 11, 76, "Section"],
Cell[34666, 861, 613, 11, 63, "Text"],
Cell[CellGroupData[{
Cell[35304, 876, 687, 16, 31, "Input"],
Cell[35994, 894, 1880, 37, 118, "Output"]
}, {2}]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature @upYufz#dDqwDCg4Gupmycal *)
