(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     59537,       1316]
NotebookOptionsPosition[     40029,        953]
NotebookOutlinePosition[     58161,       1266]
CellTagsIndexPosition[     58118,       1263]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Prvo\[CHacek]\[IAcute]sla", "Title",
 CellChangeTimes->{{3.427785305546875*^9, 3.427785310078125*^9}}],

Cell[CellGroupData[{

Cell["Jak poznat prvo\[CHacek]\[IAcute]slo?", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 CellChangeTimes->{{3.427781280421875*^9, 3.427781288453125*^9}, 
   3.428124892609375*^9},
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell["\<\
Pojmy prvo\[CHacek]\[IAcute]slo a slo\:017een\[EAcute] \[CHacek]\[IAcute]slo \
jsou student\:016fm dob\:0159e srozumiteln\[EAcute] u\:017e na \
z\[AAcute]kladn\[IAcute] \[SHacek]kole. M\:016f\:017eeme je ilustrovat tak\
\[EAcute] graficky: \[CapitalCHacek]\[IAcute]slo zn\[AAcute]zorn\[IAcute]me \
jako p\:0159\[IAcute]slu\[SHacek]n\[YAcute] po\[CHacek]et jednotek, kter\
\[EAcute] zkou\[SHacek]\[IAcute]me uspo\:0159\[AAcute]dat do tvaru obd\
\[EAcute]ln\[IAcute]ka. U prvo\[CHacek]\[IAcute]sel se n\[AAcute]m to nepoda\
\:0159\[IAcute].\
\>", "Text",
 CellChangeTimes->{{3.428901839578125*^9, 3.42890189340625*^9}, 
   3.428902198515625*^9, {3.428902284*^9, 3.428902319609375*^9}},
 FontFamily->"Arial",
 Background->RGBColor[1., 1., 0.5019607843137255]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Pane", "[", 
    RowBox[{
     RowBox[{"Column", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Grid", "[", 
          RowBox[{
           RowBox[{"With", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"block", "=", 
               RowBox[{"Partition", "[", 
                RowBox[{
                 RowBox[{"ConstantArray", "[", 
                  RowBox[{"\[FilledSquare]", ",", "n"}], "]"}], ",", "d"}], 
                "]"}]}], "}"}], ",", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"PrimeQ", "[", "n", "]"}], ",", 
               RowBox[{"Append", "[", 
                RowBox[{"block", ",", 
                 RowBox[{"Join", "[", 
                  RowBox[{
                   RowBox[{"ConstantArray", "[", 
                    RowBox[{"\[FilledSquare]", ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{"n", ",", "d"}], "]"}]}], "]"}], ",", 
                   RowBox[{"ConstantArray", "[", 
                    RowBox[{"\"\<\>\"", ",", 
                    RowBox[{"d", "-", 
                    RowBox[{"Mod", "[", 
                    RowBox[{"n", ",", "d"}], "]"}]}]}], "]"}]}], "]"}]}], 
                "]"}], ",", 
               RowBox[{"Append", "[", 
                RowBox[{"block", ",", 
                 RowBox[{"Join", "[", 
                  RowBox[{
                   RowBox[{"ConstantArray", "[", 
                    RowBox[{"\[FilledSquare]", ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{"n", ",", "d"}], "]"}]}], "]"}], ",", 
                   RowBox[{"ConstantArray", "[", 
                    RowBox[{"\"\<\>\"", ",", 
                    RowBox[{"d", "-", 
                    RowBox[{"Mod", "[", 
                    RowBox[{"n", ",", "d"}], "]"}]}]}], "]"}]}], "]"}]}], 
                "]"}]}], "]"}]}], "]"}], ",", 
           RowBox[{"ItemStyle", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"20", ",", 
              RowBox[{"{", 
               RowBox[{"Blue", ",", 
                RowBox[{
                 RowBox[{"-", "1"}], "\[Rule]", "Red"}]}], "}"}]}], "}"}]}]}],
           "]"}], ",", 
         RowBox[{"Pane", "[", 
          RowBox[{
           RowBox[{"Text", "@", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"PrimeQ", "[", "n", "]"}], ",", 
                RowBox[{"Row", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    RowBox[{"n", "/", "d"}], "]"}], ",", "d"}], "}"}], ",", 
                    "\"\<\[Times]\>\""}], "]"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{"n", ",", "d"}], "]"}]}], "}"}], ",", 
                    "\"\<+\>\""}], "]"}]}], "}"}], ",", "\"\<=\>\""}], "]"}], 
                ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{"n", ",", "d"}], "]"}], "\[Equal]", "0"}], ",", 
                    RowBox[{"Identity", "[", "#", "]"}], ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{"n", ",", "d"}], "]"}]}], "}"}], ",", 
                    "\"\<+\>\""}], "]"}]}], "]"}], "&"}], "@", 
                 RowBox[{"Row", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    RowBox[{"n", "/", "d"}], "]"}], ",", "d"}], "}"}], ",", 
                   "\"\<\[Times]\>\""}], "]"}]}]}], "]"}], ",", "Black", ",", 
              "18"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"450", ",", "50"}], "}"}], ",", 
           RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], "}"}], ",", 
       
       RowBox[{"Alignment", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Center", ",", "Center"}], "}"}]}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"ImageSizeAction", "\[Rule]", "\"\<Clip\>\""}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "24"}], "}"}], ",", "3", ",", "50", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "6"}], "}"}], ",", "2", ",", 
     RowBox[{"n", "-", "1"}], ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4159791404647818`*^9, 3.415979173216864*^9}, {
   3.415979246903501*^9, 3.415979263575796*^9}, {3.415979335804533*^9, 
   3.4159793838579607`*^9}, 3.415979477419059*^9, {3.415979575325245*^9, 
   3.415979576693179*^9}, {3.41598008110538*^9, 3.415980172846237*^9}, {
   3.4159802213251057`*^9, 3.415980469214757*^9}, 3.415980533510701*^9, {
   3.415980679481441*^9, 3.415980726713058*^9}, {3.4159808031200542`*^9, 
   3.415980871301091*^9}, {3.4159809294771214`*^9, 3.415981016559046*^9}, {
   3.415981049571137*^9, 3.4159810631439238`*^9}, {3.415981093913726*^9, 
   3.415981136814681*^9}, {3.415981438826582*^9, 3.415981439004421*^9}, {
   3.415981548348843*^9, 3.4159815489901037`*^9}, {3.415981614832086*^9, 
   3.415981639268712*^9}, {3.415985149682926*^9, 3.415985187729804*^9}, {
   3.4159852601439133`*^9, 3.415985263199744*^9}, {3.415985648334755*^9, 
   3.41598568272139*^9}, {3.4159857760662537`*^9, 3.415985808270829*^9}, {
   3.415985883509268*^9, 3.415985989952114*^9}, {3.415986035797237*^9, 
   3.41598607524312*^9}, {3.415986127864705*^9, 3.415986189940805*^9}, {
   3.4159862352336082`*^9, 3.415986235400382*^9}, {3.415986366487108*^9, 
   3.415986367973277*^9}, {3.415986431416792*^9, 3.415986440158556*^9}, {
   3.4159865914120283`*^9, 3.415986637058938*^9}, {3.41598666876963*^9, 
   3.415986703965642*^9}, {3.41598675043926*^9, 3.4159868220668993`*^9}, {
   3.415986853009396*^9, 3.415986884284371*^9}, {3.415987258873123*^9, 
   3.415987336287238*^9}, {3.415988011617126*^9, 3.415988044688902*^9}, {
   3.4159882270761833`*^9, 3.415988233724765*^9}, {3.4159883559836483`*^9, 
   3.4159883569002953`*^9}, {3.415988435352672*^9, 3.415988435757175*^9}, {
   3.4160117565488157`*^9, 3.4160117566261177`*^9}, {3.4162708264576807`*^9, 
   3.416270908507535*^9}, 3.416270942631654*^9, {3.4162709852974167`*^9, 
   3.416270992350738*^9}, {3.416271044103323*^9, 3.4162710826407557`*^9}, {
   3.4162711717583523`*^9, 3.416271172135894*^9}, 3.416271229906308*^9, 
   3.416271265572399*^9, {3.416271316861047*^9, 3.416271334571425*^9}, {
   3.416271504646224*^9, 3.416271509394112*^9}, 3.416271607159936*^9, {
   3.416271646995708*^9, 3.4162716948710213`*^9}, {3.416271812527961*^9, 
   3.416271837284029*^9}, {3.416272269395981*^9, 3.416272305522591*^9}, {
   3.4162723424866867`*^9, 3.4162723427479343`*^9}, {3.416272373103755*^9, 
   3.416272373364627*^9}, {3.416272453375018*^9, 3.416272453654232*^9}, {
   3.416272491946384*^9, 3.416272521636763*^9}, {3.4162725525994453`*^9, 
   3.416272594097457*^9}, 3.416272641088209*^9, {3.416272770805175*^9, 
   3.416272814799128*^9}, {3.416272898789372*^9, 3.416272920375922*^9}, {
   3.416272951435177*^9, 3.416272991408909*^9}, {3.416273033567133*^9, 
   3.416273060915941*^9}, {3.41627313069106*^9, 3.416273177763035*^9}, {
   3.416273293606785*^9, 3.416273307470896*^9}, {3.4162734149062967`*^9, 
   3.416273414991835*^9}, 3.416273456337187*^9, 3.41627348786556*^9, {
   3.4162735446024113`*^9, 3.416273558043441*^9}, {3.4162735933811417`*^9, 
   3.416273617556775*^9}, 3.416273648975148*^9, {3.416273685055717*^9, 
   3.4162737379811363`*^9}, {3.4162737894167843`*^9, 3.416273789689598*^9}, {
   3.4162741294783583`*^9, 3.416274142786618*^9}, {3.416428770523714*^9, 
   3.416428783931942*^9}, 3.416428841904717*^9, {3.416428935585578*^9, 
   3.4164289386724873`*^9}, {3.416429582839572*^9, 3.416429593317033*^9}, {
   3.416432527419325*^9, 3.416432563291585*^9}, 3.416432598242148*^9, {
   3.416506976399007*^9, 3.416506987365593*^9}, {3.416507074830711*^9, 
   3.416507105693787*^9}, {3.416507142922657*^9, 3.416507171923636*^9}, 
   3.416507264330268*^9, {3.4165073114633636`*^9, 3.416507335982766*^9}, {
   3.416507476637814*^9, 3.416507493714035*^9}, {3.416507536343631*^9, 
   3.416507625115449*^9}, 3.41657250427954*^9, {3.4165725675139155`*^9, 
   3.4165726847951655`*^9}, {3.416660712488881*^9, 3.416660795566474*^9}, 
   3.427780988375*^9, {3.427781054625*^9, 3.427781057359375*^9}, {
   3.42778109509375*^9, 3.42778113565625*^9}, {3.427781304703125*^9, 
   3.427781310796875*^9}, {3.42778137853125*^9, 3.427781400421875*^9}, {
   3.427781443328125*^9, 3.427781443515625*^9}, {3.427781518046875*^9, 
   3.4277815213125*^9}, {3.428140136140625*^9, 3.4281401514375*^9}},
 CellID->1860512736],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`d$$ = 6, $CellContext`n$$ = 24, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 24}, 3, 50, 1}, {{
       Hold[$CellContext`d$$], 6}, 2, 
      Dynamic[$CellContext`n$$ - 1], 1}}, Typeset`size$$ = {450., {67., 72.}},
     Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$593$$ = 0, $CellContext`d$594$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`d$$ = 6, $CellContext`n$$ = 24}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$593$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$594$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Column[{
          Grid[
           With[{$CellContext`block$ = Partition[
               
               ConstantArray[$CellContext`\[FilledSquare], $CellContext`n$$], \
$CellContext`d$$]}, 
            If[
             PrimeQ[$CellContext`n$$], 
             Append[$CellContext`block$, 
              Join[
               ConstantArray[$CellContext`\[FilledSquare], 
                Mod[$CellContext`n$$, $CellContext`d$$]], 
               ConstantArray[
               "", $CellContext`d$$ - 
                Mod[$CellContext`n$$, $CellContext`d$$]]]], 
             Append[$CellContext`block$, 
              Join[
               ConstantArray[$CellContext`\[FilledSquare], 
                Mod[$CellContext`n$$, $CellContext`d$$]], 
               ConstantArray[
               "", $CellContext`d$$ - 
                Mod[$CellContext`n$$, $CellContext`d$$]]]]]], 
           ItemStyle -> {20, {Blue, -1 -> Red}}], 
          Pane[
           Text[
            Style[
             If[
              PrimeQ[$CellContext`n$$], 
              Row[{$CellContext`n$$, 
                Row[{
                  Row[{
                    
                    Floor[$CellContext`n$$/$CellContext`d$$], \
$CellContext`d$$}, "\[Times]"], 
                  Mod[$CellContext`n$$, $CellContext`d$$]}, "+"]}, "="], 
              (If[Mod[$CellContext`n$$, $CellContext`d$$] == 0, 
               Identity[#], 
               Row[{#, 
                 Mod[$CellContext`n$$, $CellContext`d$$]}, "+"]]& )[
               Row[{
                 Floor[$CellContext`n$$/$CellContext`d$$], $CellContext`d$$}, 
                "\[Times]"]]], Black, 18]], {450, 50}, Alignment -> Center]}, 
         Alignment -> {Center, Center}], ImageSize -> Automatic, 
        ImageSizeAction -> "Clip"], 
      "Specifications" :> {{{$CellContext`n$$, 24}, 3, 50, 1, Appearance -> 
         "Labeled"}, {{$CellContext`d$$, 6}, 2, 
         Dynamic[$CellContext`n$$ - 1], 1, Appearance -> "Labeled"}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{494., {124., 129.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.427777203625*^9, 3.427780990140625*^9, {3.42778105790625*^9, 
   3.427781077265625*^9}, 3.4277811369375*^9, {3.427781305609375*^9, 
   3.4277813113125*^9}, {3.42778137453125*^9, 3.427781400953125*^9}, {
   3.427781439109375*^9, 3.427781443671875*^9}, {3.427781481234375*^9, 
   3.427781522734375*^9}, {3.428140152265625*^9, 3.428140172*^9}}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Tento p\:0159\[IAcute]klad byl s \[UAcute]pravami p\:0159evzat ze \
str\[AAcute]nky\
\>", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 CellChangeTimes->{3.428902576328125*^9},
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Why a Number Is Prime",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/WhyANumberIsPrime/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/WhyANumberIsPrime/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/WhyANumberIsPrime/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/WhyANumberIsPrime/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/WhyANumberIsPrime/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell["Rozlo\:017een\[IAcute] prvo\[CHacek]\[IAcute]sel", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 CellChangeTimes->{{3.427777609984375*^9, 3.427777614171875*^9}, {
  3.427780501140625*^9, 3.42778050896875*^9}},
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell["\<\
V\[SHacek]ech prvo\[CHacek]\[IAcute]sel je nekone\[CHacek]n\:011b mnoho. N\
\[AAcute]sleduj\[IAcute]c\[IAcute] tabulka ukazuje p\:0159irozen\[AAcute] \
\[CHacek]\[IAcute]sla od 1 do 100; prvo\[CHacek]\[IAcute]sla jsou \
zv\[YAcute]razn\:011bna \[CHacek]erven\:011b. Rozsah tabulky m\:016f\:017eeme \
zv\:011bt\[SHacek]ovat a p\:0159itom sledovat, jak \[CHacek]asto se prvo\
\[CHacek]\[IAcute]sla mezi ostatn\[IAcute]mi \[CHacek]\[IAcute]sly vyskytuj\
\[IAcute].\
\>", "Text",
 CellChangeTimes->{{3.428901839578125*^9, 3.42890189340625*^9}, 
   3.428902198515625*^9, {3.42890233578125*^9, 3.4289023715*^9}},
 FontFamily->"Arial",
 Background->RGBColor[1., 1., 0.5019607843137255]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"ArrayPlot", "[", 
    RowBox[{
     RowBox[{"Partition", "[", 
      RowBox[{
       RowBox[{"Array", "[", 
        RowBox[{"PrimeQ", ",", " ", 
         RowBox[{"n", "^", "2"}]}], "]"}], ",", "n"}], "]"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ColorRules", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"True", "\[Rule]", 
         RowBox[{"Lighter", "[", 
          RowBox[{"Red", ",", ".4"}], "]"}]}], ",", 
        RowBox[{"False", "\[Rule]", 
         RowBox[{"Lighter", "[", 
          RowBox[{"Blue", ",", ".9"}], "]"}]}]}], "}"}]}], ",", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"i", "-", "1"}], ")"}], " ", "n"}], "+", "j"}], ",", 
            RowBox[{"200", "/", "n"}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"j", "-", "1"}], ",", 
             RowBox[{"n", "-", "i"}]}], "}"}], "+", 
           RowBox[{"1", "/", "2"}]}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "n"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "n"}], "}"}]}], "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "n", ",", "10", ",", 
       "\"\<\[CapitalSHacek]\[IAcute]\:0159ka tabulky\>\""}], "}"}], ",", "2",
      ",", "40", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.37091264797625*^9, 3.37091278391482*^9}, {
  3.37091281611815*^9, 3.37091284286832*^9}, {3.37091287333726*^9, 
  3.37091296441597*^9}, {3.37091310873023*^9, 3.37091331798291*^9}, {
  3.37091341587479*^9, 3.37091346779733*^9}, {3.37091351175101*^9, 
  3.37091367892503*^9}, {3.3823873204303827`*^9, 3.382387328059763*^9}, {
  3.427775332234375*^9, 3.4277754135625*^9}, {3.427775448984375*^9, 
  3.42777553375*^9}, {3.42777575359375*^9, 3.42777575384375*^9}, {
  3.427776925859375*^9, 3.427776931953125*^9}, {3.427781177328125*^9, 
  3.427781180234375*^9}},
 CellID->529537066],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 10, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 10, 
       "\[CapitalSHacek]\[IAcute]\:0159ka tabulky"}, 2, 40, 1}}, 
    Typeset`size$$ = {360., {177., 182.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$103551$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 10}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$103551$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ArrayPlot[
        Partition[
         Array[PrimeQ, $CellContext`n$$^2], $CellContext`n$$], Mesh -> True, 
        ColorRules -> {
         True -> Lighter[Red, 0.4], False -> Lighter[Blue, 0.9]}, Epilog -> 
        Table[
          Text[
           
           Style[($CellContext`i - 1) $CellContext`n$$ + $CellContext`j, 
            200/$CellContext`n$$], {$CellContext`j - 
             1, $CellContext`n$$ - $CellContext`i} + 
           1/2], {$CellContext`i, $CellContext`n$$}, {$CellContext`j, \
$CellContext`n$$}]], 
      "Specifications" :> {{{$CellContext`n$$, 10, 
          "\[CapitalSHacek]\[IAcute]\:0159ka tabulky"}, 2, 40, 1, Appearance -> 
         "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{404., {219., 224.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.42777570509375*^9, 3.42777575553125*^9, 
  3.427776932703125*^9, 3.427781181484375*^9}]
}, {2}]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Tento p\:0159\[IAcute]klad byl s \[UAcute]pravami p\:0159evzat ze \
str\[AAcute]nky\
\>", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 CellChangeTimes->{3.428902571359375*^9},
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Table of Primes",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TableOfPrimes/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TableOfPrimes/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TableOfPrimes/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TableOfPrimes/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TableOfPrimes/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[TextData[{
 "Kolik je prvo\[CHacek]\[IAcute]sel men\[SHacek]\[IAcute]ch nebo rovn\
\[YAcute]ch ",
 StyleBox["n",
  FontSlant->"Italic"],
 "?"
}], "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 CellChangeTimes->{{3.427777609984375*^9, 3.427777614171875*^9}, {
  3.4277818785625*^9, 3.4277819116875*^9}},
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[TextData[{
 "V\[NonBreakingSpace]tomto grafu m\:016f\:017eeme pro ka\:017ed\[EAcute] p\
\:0159irozen\[EAcute] \[CHacek]\[IAcute]slo ",
 StyleBox["n",
  FontSlant->"Italic"],
 " zjistit, kolik existuje prvo\[CHacek]\[IAcute]sel men\[SHacek]\[IAcute]ch \
nebo rovn\[YAcute]ch ",
 StyleBox["n",
  FontSlant->"Italic"],
 ". Na prvn\[IAcute] pohled se zd\[AAcute], \:017ee prvo\[CHacek]\[IAcute]sla \
jsou rozlo\:017eena dost nepravideln\:011b.\nZv\:011bt\[SHacek]\[IAcute]me-li \
ov\[SHacek]em rozsah zobrazovan\[YAcute]ch hodnot, zjist\[IAcute]me, \:017ee \
graf vypad\[AAcute] z\[NonBreakingSpace]d\[AAcute]lky t\[EAcute]m\:011b\:0159 \
jako hladk\[AAcute] k\:0159ivka."
}], "Text",
 CellChangeTimes->{{3.428901839578125*^9, 3.42890189340625*^9}, 
   3.428902198515625*^9, {3.4289024039375*^9, 3.428902442*^9}},
 FontFamily->"Arial",
 Background->RGBColor[1., 1., 0.5019607843137255]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"ListPlot", "[", 
    RowBox[{"PrimePi", "[", 
     RowBox[{"Range", "[", "n", "]"}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "15"}], "}"}], ",", "5", ",", "1500", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.42778168728125*^9, {3.42778174053125*^9, 3.4277817663125*^9}, {
   3.427781835390625*^9, 3.42778185453125*^9}, {3.427781946*^9, 
   3.4277820216875*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 15, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 15}, 5, 1500, 1}}, Typeset`size$$ = {
    360., {113., 118.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$105950$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 15}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$105950$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ListPlot[
        PrimePi[
         Range[$CellContext`n$$]]], 
      "Specifications" :> {{{$CellContext`n$$, 15}, 5, 1500, 1, Appearance -> 
         "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{404., {155., 160.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.42778168503125*^9, 3.42778168759375*^9}, {
  3.4277817371875*^9, 3.427781767140625*^9}, {3.427781836203125*^9, 
  3.4277818671875*^9}, {3.4277819469375*^9, 3.42778205528125*^9}}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Eratosthenovo s\[IAcute]to", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 CellChangeTimes->{{3.427777609984375*^9, 3.427777614171875*^9}},
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell["\<\
Eratosthenovo s\[IAcute]to je zn\[AAcute]m\[AAcute] a jednoduch\[AAcute] \
metoda pro hled\[AAcute]n\[IAcute] prvo\[CHacek]\[IAcute]sel. Chceme-li nap\
\:0159. naj\[IAcute]t v\[SHacek]echna prvo\[CHacek]\[IAcute]sla men\[SHacek]\
\[IAcute] ne\:017e 100, vy\[SHacek]krt\[AAcute]v\[AAcute]me postupn\:011b n\
\[AAcute]sobky dvojky, trojky, p\:011btky a sedmi\[CHacek]ky. \
\[CapitalCHacek]\[IAcute]sla, kter\[AAcute] po skon\[CHacek]en\[IAcute] \
algoritmu z\:016fstanou nevy\[SHacek]krt\[AAcute]na, jsou prvo\[CHacek]\
\[IAcute]sla.\
\>", "Text",
 CellChangeTimes->{{3.428901839578125*^9, 3.42890189340625*^9}, 
   3.428902198515625*^9},
 FontFamily->"Arial",
 Background->RGBColor[1., 1., 0.5019607843137255]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Module", "[", 
  RowBox[{
   RowBox[{"{", "t", "}"}], ",", 
   RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"k", ">", 
         RowBox[{"PrimePi", "[", 
          RowBox[{"Sqrt", "[", 
           RowBox[{"m", " ", "n"}], "]"}], "]"}]}], ",", 
        RowBox[{"k", "=", 
         RowBox[{"PrimePi", "[", 
          RowBox[{"Sqrt", "[", 
           RowBox[{"m", " ", "n"}], "]"}], "]"}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"t", "=", 
       RowBox[{"Range", "[", 
        RowBox[{"2", ",", 
         RowBox[{"m", " ", "n"}]}], "]"}]}], ";", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"k", ">", "0"}], ",", 
        RowBox[{"Do", "[", 
         RowBox[{
          RowBox[{"t", "=", 
           RowBox[{"Complement", "[", 
            RowBox[{"t", ",", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"2", "*", 
                RowBox[{"Prime", "[", "i", "]"}]}], ",", 
               RowBox[{"m", " ", "n"}], ",", 
               RowBox[{"Prime", "[", "i", "]"}]}], "]"}]}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "k"}], "}"}]}], "]"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "@", 
       RowBox[{"Column", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
             "\"\<Byly vy\[SHacek]krt\[AAcute]ny n\[AAcute]sobky t\:011bchto \
\[CHacek]\[IAcute]sel: \>\"", ",", 
              RowBox[{"Row", "[", 
               RowBox[{
                RowBox[{"Prime", "[", 
                 RowBox[{"Range", "[", 
                  RowBox[{"1", ",", "k"}], "]"}], "]"}], ",", "\"\<,\>\""}], 
               "]"}]}], "}"}], "]"}], ",", "\"\<\>\"", ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Grid", "@", 
            RowBox[{"Partition", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"MemberQ", "[", 
                   RowBox[{"t", ",", "#"}], "]"}], ",", "\[IndentingNewLine]",
                   
                  RowBox[{"Item", "[", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"#", ",", " ", "25"}], "]"}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Red", ",", ".4"}], "]"}]}]}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Style", "[", 
                   RowBox[{"#", ",", "25"}], "]"}]}], "\[IndentingNewLine]", 
                 "]"}], "&"}], "/@", " ", 
               RowBox[{"Range", "[", 
                RowBox[{"1", ",", " ", 
                 RowBox[{"m", " ", "n"}]}], "]"}]}], ",", "\n", "\t", "m"}], 
             "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", "Center"}], 
        "]"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "0", ",", "\"\<Po\[CHacek]et krok\:016f \>\""}], 
        "}"}], ",", " ", "0", ",", " ", 
       RowBox[{"PrimePi", "[", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"m", " ", "n"}], "]"}], "]"}], ",", " ", "1", ",", 
       RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "m", ",", "10", ",", 
         "\"\<\[CapitalSHacek]\[IAcute]\:0159ka tabulky\>\""}], "}"}], ",", 
       "2", ",", "31", ",", "1", ",", 
       RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "n", ",", "10", ",", "\"\<V\[YAcute]\[SHacek]ka tabulky\>\""}], "}"}],
        ",", "2", ",", "31", ",", "1", ",", 
       RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], "\n", 
    "]"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.38213058468233*^9, 3.382130632651845*^9}, {
   3.38347957659256*^9, 3.383479600670685*^9}, {3.383479786233185*^9, 
   3.38347984784256*^9}, {3.383479878795685*^9, 3.38347988265506*^9}, {
   3.38367671409978*^9, 3.38367671797478*^9}, {3.427777434328125*^9, 
   3.427777479328125*^9}, {3.42777752890625*^9, 3.4277775355625*^9}, {
   3.427777668734375*^9, 3.4277776993125*^9}, {3.427777733453125*^9, 
   3.4277778233125*^9}, {3.427777870421875*^9, 3.42777793728125*^9}, {
   3.427778063984375*^9, 3.427778064625*^9}, {3.427778171765625*^9, 
   3.427778172265625*^9}, {3.427778279421875*^9, 3.427778332671875*^9}, {
   3.427778371109375*^9, 3.427778375703125*^9}, {3.427778425671875*^9, 
   3.42777844909375*^9}, {3.4277785230625*^9, 3.427778663109375*^9}, {
   3.4277787619375*^9, 3.4277787688125*^9}, 3.427778814609375*^9, {
   3.42777886109375*^9, 3.4277788639375*^9}, {3.427778922296875*^9, 
   3.427778982546875*^9}, {3.4277790313125*^9, 3.42777903178125*^9}, {
   3.42777907084375*^9, 3.427779129609375*^9}, {3.427779485203125*^9, 
   3.42777950909375*^9}, {3.427779656578125*^9, 3.4277796588125*^9}, {
   3.42777973971875*^9, 3.42777979621875*^9}, 3.42777992603125*^9, {
   3.427779965390625*^9, 3.427779990125*^9}, {3.427780028015625*^9, 
   3.427780029078125*^9}, {3.427780300046875*^9, 3.42778030946875*^9}, 
   3.42778041146875*^9, {3.427780458328125*^9, 3.4277804604375*^9}, {
   3.427780707421875*^9, 3.42778074125*^9}, {3.427780781140625*^9, 
   3.427780908640625*^9}, {3.427781189765625*^9, 3.4277811945625*^9}, {
   3.428901599015625*^9, 3.4289016504375*^9}},
 CellID->1844193906],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`k$$ = 0, $CellContext`m$$ = 
    10, $CellContext`n$$ = 10, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`k$$], 0, "Po\[CHacek]et krok\:016f "}, 0, 
      Dynamic[
       PrimePi[
        Sqrt[$CellContext`m$$ $CellContext`n$$]]], 1}, {{
       Hold[$CellContext`m$$], 10, 
       "\[CapitalSHacek]\[IAcute]\:0159ka tabulky"}, 2, 31, 1}, {{
       Hold[$CellContext`n$$], 10, "V\[YAcute]\[SHacek]ka tabulky"}, 2, 31, 
      1}}, Typeset`size$$ = {324., {137., 144.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True, $CellContext`k$619$$ = 
    0, $CellContext`m$620$$ = 0, $CellContext`n$621$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`k$$ = 0, $CellContext`m$$ = 
        10, $CellContext`n$$ = 10}, "ControllerVariables" :> {
        Hold[$CellContext`k$$, $CellContext`k$619$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$620$$, 0], 
        Hold[$CellContext`n$$, $CellContext`n$621$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> (If[$CellContext`k$$ > PrimePi[
           Sqrt[$CellContext`m$$ $CellContext`n$$]], $CellContext`k$$ = 
         PrimePi[
           Sqrt[$CellContext`m$$ $CellContext`n$$]]]; $CellContext`t$618 = 
        Range[2, $CellContext`m$$ $CellContext`n$$]; 
       If[$CellContext`k$$ > 0, 
         Do[$CellContext`t$618 = Complement[$CellContext`t$618, 
            Range[
            2 Prime[$CellContext`i], $CellContext`m$$ $CellContext`n$$, 
             Prime[$CellContext`i]]], {$CellContext`i, 1, $CellContext`k$$}]]; 
       Text[
         Column[{
           
           Row[{"Byly vy\[SHacek]krt\[AAcute]ny n\[AAcute]sobky t\:011bchto \
\[CHacek]\[IAcute]sel: ", 
             Row[
              Prime[
               Range[1, $CellContext`k$$]], ","]}], "", 
           Grid[
            Partition[
             Map[If[
               MemberQ[$CellContext`t$618, #], 
               Item[
                Style[#, 25], Background -> Lighter[Red, 0.4]], 
               Style[#, 25]]& , 
              Range[
              1, $CellContext`m$$ $CellContext`n$$]], $CellContext`m$$]]}, 
          Center]]), 
      "Specifications" :> {{{$CellContext`k$$, 0, 
          "Po\[CHacek]et krok\:016f "}, 0, 
         Dynamic[
          PrimePi[
           Sqrt[$CellContext`m$$ $CellContext`n$$]]], 1, Appearance -> 
         "Labeled"}, {{$CellContext`m$$, 10, 
          "\[CapitalSHacek]\[IAcute]\:0159ka tabulky"}, 2, 31, 1, Appearance -> 
         "Labeled"}, {{$CellContext`n$$, 10, "V\[YAcute]\[SHacek]ka tabulky"},
          2, 31, 1, Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{368., {208., 213.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.427778815890625*^9, 3.427778864640625*^9, {3.42777892453125*^9, 
   3.427778983828125*^9}, {3.4277790715*^9, 3.42777909*^9}, {
   3.427779122375*^9, 3.42777912978125*^9}, 3.427779491390625*^9, 
   3.427779659875*^9, {3.427779748796875*^9, 3.427779799234375*^9}, 
   3.427779858828125*^9, 3.427779926296875*^9, {3.4277799665625*^9, 
   3.427779990640625*^9}, 3.427780029984375*^9, {3.427780300421875*^9, 
   3.427780309734375*^9}, 3.427780412203125*^9, 3.427780460703125*^9, 
   3.42778074215625*^9, {3.427780799546875*^9, 3.42778080353125*^9}, 
   3.42778083875*^9, {3.42778089309375*^9, 3.4277809094375*^9}, 
   3.4277811956875*^9, {3.42890162865625*^9, 3.428901651109375*^9}}]
}, {2}]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Tento p\:0159\[IAcute]klad byl s \[UAcute]pravami p\:0159evzat ze \
str\[AAcute]nky\
\>", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 CellChangeTimes->{{3.4289020524375*^9, 3.42890210596875*^9}},
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Sieve of Eratosthenes",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SieveOfEratosthenes/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SieveOfEratosthenes/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/SieveOfEratosthenes/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SieveOfEratosthenes/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SieveOfEratosthenes/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{820, 730},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
DockedCells->FEPrivate`If[
  FEPrivate`SameQ[FEPrivate`$ProductIDName, "MathematicaPlayer"], 
  FEPrivate`Join[{
    Cell[
     BoxData[
      Cell[
       GraphicsData[
       "CompressedBitmap", 
        "eJy9XXd4FEeWHysRDKwxJoNlQDmQkRAoYoKEDQIbFhPMGXvB2IDx4rDnsAu7\n\
BntJwhgEiCCQQBmBAkpIQkIBJZRzQgIRP/vu9tu7+76L+7uq7qqe6pmekQTs\n\
/TGMprq6Xqiq93vv1etm2abPt27esenzjz7Y9NqSXZs+3frRB5+9tnjnLtJk\n\
+YJOZ+Gu0+mcX9PRv0H+ZP+8gs7OTp0VqvPycSnwTeRHRKK9tdVaah6Ehrp6\n\
3PYPQs8Ed5S5TEWznzfu/UMw7n6yFlUb1uD2xYs6S6nvAHR2dKD66hXk79iO\n\
gjnzUDzKEQkzPFFx6ZIOtM/fpI66kYxk5nd7cXm8A2I2b0NVcbGV1DwCHWSY\n\
+rfW4Z7DTNyxn42Wpf5o3xiEB9vext13g9H03irUhZ9CbcoVVJ45jbztH6Nw\n\
njdqp7mhyNUVZ8ZMwZUVb6G9sVGDrA3qqqoQ7zYHcYMn4vwMLxQfPY767FwL\n\
6fLLaG9uRtuqlbjn6YW2GXNRM88DTesWofuz1Xj03XrcX0/YWfY6WoID0Lx6\n\
ISp8ZqJ8ljsqZkxHtK0Twij5lW9JlCFTHiV9jUUyEThtxGRkj7BDEvlOd5yG\n\
mzs+RVnoSZSsX4eHnh646++LRm9vtNpNR4PPbHR/twoP//g2Oj8PRtvmQDQt\n\
mY3mra/jlv9sFARMRfxUN5yztcd5Jxdc//S3OmO641FTXIREB3fEjJpCPnbI\n\
GW+HtAn2iLV3QJGDEx66zcZ9P190LvZH16x56HB3w52di3D/zAbcO7YO7V8E\n\
omyTH0rXeyF39VwkvT4HYQ7OODR2Ak64uKEyIUGiShaAbqBE0xJ1mZmoz82V\n\
fkns/FXkaRw62tqQvvLXuPTSq0jw9sKtP76Pij9vRcn+rag8uBUNhz9G4487\n\
0HB8Jxp++gR1h7ai7sR2NMZ8gYZLX6Ix6kvUnPstqkK3o/LEDpQf+wSlBz9G\n\
xvZVOD59Kq5//Q0KDxy0ZpPe0daKiosXUXo6DJnr1iH97dW4HRcncfavMmej\n\
pa8puEVmI97NBVXnvkTzlcOojTmKpvhjuJ92Gt1pYehOPYWu1DDcST+Hroyz\n\
6Lz8Ezqjj6CTXGvPPoPWnDNoJH/XJoaiNu4Y6hJ/QlNKKHI+/xCXHNyQ8clO\n\
lBFWyuknIgIlp07h6voNSAhegUSyjrPJ7F8nLDbm58ua+zeRv8koOBSC2CAf\n\
NFzeh9sRYai8FIGHqTHoSovCP9dk4y+3s/Fzfgoe5mfgUUEanqRE4edrMXiU\n\
HI0HqdHoSYlFW1Is2qMi0RJ1AVVnCL/nI9BOeDk91QXfT7ZFiJMTDrm64exM\n\
sqg9ZiLWeSpuTfNE0VxfZG35EG119U0SO9ZovZqKKhdvVL7kgprgDfS3bgJb\n\
BMXFxfLCIL/+ynZ9Wloatm3bhh9++AGNjY3yrtf9it1BbQi/w4oJ3NbcioSV\n\
KxC9dD7q4r4n038WPZcj8UtBMs75+CI5KAitaRH4p4Yb6MlPw/0bSXhSnITH\n\
WTHoSSTKSbiAB1HhuHPhHDrPnsXdC+FoPhWGhqgodF5LwQHPadg/fTJC3Kfg\n\
tLszssjOL3k9ADV+Acjx8iMT9wUVuJkJ3FFZjSqPJah8dZYkNBGe7DGZ/crK\n\
Spw4cUL69a9MCKqExMREfPXVVwgPD1cJ7IjCwyHIev99otUtuL7jE+T/sB9V\n\
KddQfT0LBR9tQR7Z2ylv+qI+7gfcTzmPRxlReFKdicT5fijTTcS1iS7I2bUV\n\
bfmX8bgyCw+J4A9yY3Ev+SIR/gLuEeHvEOFbz59FY8RZYjFPojUuBveyUpG0\n\
2Bv5QfPRuGwhWgMWo9k3EOUBAUjz88fNfd/r2pkEbXk3JUnpp/mnsHEawv47\n\
a4siOqWCstmkkg6WvoiVKCpCVcR5NJ4JQ/XFSJRGRaMw4iIKtm9H3bQZ6Hp5\n\
Eu4Mn4z2oZPQ5uSMBzPc8MjOFTfe8ENV3D6y986jO/0Sem6nIdY3AOWDHFA7\n\
zBk3dJOQ4DYTN77/Gl1lKXhQmIiulAh0JoSj4/J5tMaGo/rCaZSGheL2qWO4\n\
kxiLzuvXUPbWG2hZtQzt5PvO2mDULl6IdI95uLaBLOKamg4mQ82CFZLgdRs+\n\
1JmTnE4zXdfkWy25K+oqylFIDM/1t1bitpMbSkdPRswIW0SPm4I8e0dkjLFF\n\
zYuTcPcVO3S6uaLdZw66p09HzooAlEb+kezWM+jIuIg7ZcmIIosyf4gDike7\n\
oWSMG4qHOSBpGBnPfwGKQ/eh/Xo0WuLPoiHuHLEMZ1F67iQKfgrBrWMhZJMk\n\
oPV6Kio+XIPubzbi3taVBOoWIdvPBxkbNtJFrhvC5rw5IkaZc7LSpVVrSX8R\n\
4eg1vkktGPjTXVH30WeKKaDf9Ddpl9VhwW5u+N1u4WbaZiW20b+lZitmueni\n\
o3aFMSINStqkPhb6gbUHsWCTQ68xaaijwm+yEUVROpGZFjh+UenDReQbn3JF\n\
uZOMAd0aETFs5q3RuPeQXhXkem/SWjJ/i1pTQl+tRvKbtrP+Ov0NpnX6otLW\n\
F64tOEqSvqKuqRQKmREqxumHMkW7i4LSPn0haWN+ZvrHvyXfq4x3apKthYVJ\n\
x+L9BY3qLEwpcYDGRudtdJNTENObOEsKZNi1axe9piwBbgppf/pNfjNIGyCN\n\
SdvpPfReSpeOuWfPHsIUHWUQ/Ru5sgel0Dxy5IhyH8ESNp45WtrX+L7gYKzf\n\
yZYSVtE28s2UqO5nY2ZcSw0d2RiMIeuI/juYQ4XyITJxPUqysnu4kaHqoGrh\n\
JOlv+k1ZlfsMk9RJ1cuHodepbebtXH10eHo//U2u8S1gODMqDmykkajnwgSR\n\
/iZtWvq0ZAwJuuiNCXGuB5igSOUn8lqyy6JK6IeOLohDFzAlImqDKHmgcLeh\n\
OKTN0qQ41ipx2HVl2ik1el2/FBieOKGVSFdK4oTb23agx3E6euydUGTngjxH\n\
4hnMnIaWSS644zoVbXO9cGehH7LfDUTBud2oiz9NvOkLaCmMxxlfP1x5yQ7p\n\
Y12RNtaFfFyRNcYVV4ZNQRiJbS4GL0PhiYOoiCVe9YUwFB4/gsIjB1AZcwoN\n\
N1LQmJOKht0b8cuP7+HBFytR9UYAkr19SFBweiiTTjBH0ofCl4Xg6YrXqC3m\n\
WlGcQnaNeA2Kvaft9Dpb5E8LhNzKUkNInRLmg/4dgFAwlSqY4X2oK8RGpXJa\n\
KbaZ2WO++ESFUe4ZEPbO52DqZoruh15gWe/G2Glaq/q2vvKtQKA8kfx+Lb4J\n\
n5asWWKReT2EkjlCvYBf3zm2FN0y7iOIbpnBmhR1+PToRxFCRD+KBNyyc8K8\n\
jVp02p9+c9Mg9xmoWD7al/YR7C01WhaSXR8s2S/ahRtHbjjpLbSdgWHfKQ82\n\
10ciwzCQ7xrOKIVcPnccJuX931fSagUajkXllX6RqJfbWBEWuaJEi85hhf6m\n\
5lvUikBL6kOtvzgOHZfiC8dL3k7HYffLbL+oOVeCCqS1wljQyRNnowxDrwla\n\
tWKTIHLXKwdqxVkLK5R2k/0mWX0cX0WngCqTtovKYStbUR7zYZQ+ZMwBBvOj\n\
F85SgU09GfWaEPGSS8muKxtHHJfhpZwXGI6mm4VoDtmProVz0e7sjlav2ahZ\n\
4oWWJfPQPXMu7s0LQPqaQOSe+QNKo0+hLPY0anJiEeLtjZBf2eLkGAeqi9EO\n\
ZCzyN06NssehIRPw3QQ7hK9fh7xTR5AZcgC5xw+gPPEMam8moy4/BS37/wGP\n\
dq9C51o/3FzghatvkCj5dqWOA6RoG9Xhgxz0iNeo9eJ+igis3FCR776Y7d4A\n\
UiZhpYIbaehOVVBAB3hWnLQUg0GdtuGlbdZKP26wFYPLCBvBjrpZinD7yCsn\n\
oajbgt4u+//ioL3gpLXS1leeOXM0nOLMKc0DVDyL8Sxljg9L/SKBnAlqveBl\n\
/zmnEyR6GCpvTriFDKefCfWcPB1kcqa40WGuO59KbgL1XW0Ue8VVyYyGpXAL\n\
teOiWeSuvLlhGCnLvlwepLqsZfYJIukMraXIUV8EY3rSGsbGzDDcEHfqAxLK\n\
FncHeBO3wRxLSRcWIvc+rJHarVVKoBNO0EOJuCmScHThJp9fE1lhZBUbaUiS\n\
9eXCMzICulgq0uh1rdYrvU7vIettMLuFLj3mYel4bMHzCjwGVSG1OQyzkpjm\n\
aQAl8CSgQ79eQmdqEgnnFqE7yBN3VnihdVMgWjcsQc9Sf2SsD0Rm2O9ReO4I\n\
isJ/wu1rkdjnORefDR2Hb0fa4utRtlb4ZqQtwe9vR03C18MnYueQ0fja0QVn\n\
338Pt66EoTz5DGqKr6Im+wpaDmzCL39+B63vL0G2vw+uBgcPY/yLCSq1edBH\n\
fErQ47FEn09iuV/qe2u1mTQH/YUrYga5CRDs0jPD1QAFhjg0c00Y+P/GeEXY\n\
UBtpQwuqJmrZG6fy6lRZXQqhWpa93zjVG69afGmQkF0ZBvOETz3ZThXOmiHX\n\
b6DqVc3WEroyeDdaoHzRkphTO4DsPzYNVOyHaOL46QYZg1srnuzhh3wGMZNw\n\
hzLLxtTUw/RCxejyQNVlzi+PdIhl4qfRIpZYaTBoSiYzkGRtchg1OJgDAIr+\n\
ZEZUKGmoH3GsXnCIJfcUUtz49wWH5KBGm6QBDjEyKhwST7+sGQke03FJKWsv\n\
CrjFtWZloHw2dl9ASIk8GKZxsCff7JruZelrGDqKb6Ftwwp0+c/G/W0EgXa9\n\
ge4NC5Cx3B95JIiqijiK6pRw1OclYP+8+fj2VxOwb4ydDfaOnkJu3ztmCv0L\n\
vx8yHntenoDI4CAURP+IlopU1JO4qT10C/7l5EZ0f7QEhYt8kLSUxE1VVUOY\n\
bOLe5saBBCZKjMJARet4x9rQbul7PRX+KPlEZjvYoT03gc8lnzhAzBWqhKbW\n\
Sxhdn3iUzngYDhOrqOLA4JTOUEMmEMcoAJKi0H7HRTb6bJxJFg3PRPuEN8o0\n\
kjYhP6zgQV/JWZmfi77wr87/cnAS4nM1f3IbT43KkROP3vqHQENU27pTSMfw\n\
VIyBHeXGxbQ1UKfTrNi/PJ1G23Nzc62Y5rjRUI1upYyuah5g2Kz4voRnnTmo\n\
MW5TC8CZNYczWmcxPCnXm4Hn43M5uGWmYxq4/Jq5LG5mxfnQK7g3zNPO9GnQ\n\
NpfpE9ushDZ+yigeEQqpOYVVGWZllOP5SBHA+FTqaVpzJ6JX9RqiEZ8qKh69\n\
n0ZaDI1GSF9D0Zabg673gnBv43y0vxeAe3t/jeztK1F0+g9ojD2BlvQItBUn\n\
4oS3L84On4Koca5kk14a50Kg6OIoR0SPccS12Z7I2rweqX/+ggRCJ9FVmoTW\n\
onR0nNyMv5xdj57NC9C0aj4yAvxwbf27HIqUyg6yy3kMQiwC9zd4hCBd4l6q\n\
ypH++wCSpXSqz+CC0HgOKDTIKKoRCwfo33rWrMXMnjzgq7NkNp4agCxFpCGM\n\
aYJSn6MdY76eDXX4zuptXC14sWAhMZ0u1lenuUKMB9dPihILksmhv7kTRGJV\n\
ebCBZpdUf0DFVPrqKUCFtlnrMyAcUHQiohhBh4lmS7GZFX5YKkUfopB/L1TR\n\
OrHoL6rwuEAo3pAle/5QYmM0s4yoVf/xY6DRWPzkSCzqGMDEEfrpxNQrzZyJ\n\
mMGP5vqLGfQ+EWvIGBwzXmGLuvXoXrSv9kXLjkB0/Gk1sj97G6Vnif8VGYrm\n\
xHB03LiMsz5+SBlmj+tj3axobQQJf7JGueD6CCcUOs1A8TsrcPWrnciJPY2W\n\
0hR0FCag69YVtN9IRkfoZvzLwRV48vkS3N0ehHJ/L6R4+6D4SAhaa2sHM9Up\n\
0QvZrcrOHKhsdh7kiBta7Ro+b/jgy5sCFjUtWqM9A3wIEKky3aw2Tp8xMiqK\n\
lBGNtuszS88WywgHbHyzikcVKl32uSrCPMPPhjED+ziuFsZYsX40ank63gcZ\n\
BZc01hUnkfxW7jdKjYr8EPh6CiAaqtryYmRjCER9SUYZeMlC3Zgq8cQzPtyq\n\
Gg5H73s+iTZqs1j4Yxj9JCqVDPJZVx/yhyZybfqRrJWuXPSnzbnRTNRAtvDo\n\
mHQ8lpHqK2b1PdemVTNjkmzfoEsNg1wbJOzgFHktg4hWfO7F/cYiIxWCcRTs\n\
H4LZqJa2sNZeUINYc2IC2vznoGb1fFRuW4yMT1agKvJPaLkQivboc+jMjkeU\n\
jz+KBtujYqSbBcpGuupGomyEC8qGOaFmojtqly5G/u5PceXIAVw9eBANGXFo\n\
z72Ktsx4dBWk4s5NAgRfLcejLxbh3pdv4t47AehYMheFnp5I8piHlNW/Rmt1\n\
NTEPMuO8QIAbGgZbFqxOWQA7c6m753pGZHACwT0sk2dD4gm8MAbP2ij22Ajd\n\
uEBcdo52zFCaMdb9PxbSZFI+FhKfMFEKs4WzD0H/CkssflOx2RtWmGP9GU+J\n\
BmgPbcMmUKxC6GS+Eq8SJIJyYXgXKqgN2zIGI0r9BLDiXHGg4vMgnBspeKbg\n\
oOHC5N6NeTxTGwAWVJk8qeilwkB1kKF1Bm/NkycKPOjrpGyUWjueQ3o+9QwC\n\
pBnFTUpcQ2aZx2i9UGUoaXoka8Vk8iMMfUGAtaogwFwgJJzy8yIArhb+YZz1\n\
Fd7UJQ02WiUNFG+Uo1G9vVeWQy8c9A3p1CuO15vz/mJFBB9XSL6pxlXDnI0W\n\
zOklGqzylgwXCQdcHiO+QJl4gc6CCuzs0XI5Fk0rPVG5yhMFm32RuiUQdZf2\n\
ojv6DO4mR6HnRhLivQNQaWOP2hGuqHnZFdVDndEw0gVt831Q9tvfIPv8MRSn\n\
xqMmOR43joeiIS0W98vScDfvKu4XZZLvTFS/7YeGlTNQt3I+WhZ5oeNNb7R4\n\
eKB4+mykesxF0vIVKP7xRxLG1ej4cwXcgrA4hpsGC2Z6mOWQjQuDHXILn1zR\n\
nD3ncj6aKGPPHgnHUlJXfTW+SYy1UvKaUkk+5Vi2sFwYoRZEDPbkwEx4qMjw\n\
1F/PtrUqhmPPIxmHDBz+TEOijSGvai0PFgNoBTQ4P3zeBLjnIoooySnISTXG\n\
vh62emffLCyaKPKTH3hQDrI4uDFaJsNuoySjvF9F50AddatTCWpRrI0gV3Ys\n\
ZMGMSzYH6/OSQoKce1AC3krD89JPSpP2F2tZzOGmEAMyPn9lhJu9FafzYmbZ\n\
+aaR0SCVieKFztzCcaffgtlOjdr5fpTt97t4Xjwke7bieTmLyk9lSLtWFpM/\n\
nqZRM69kWHvDU6E6U1bwUKVUnn7EYQ2ryY0nZ4ARfhjXyltr1cqTa9S9GmpU\n\
FM+R1Qwvuv7B7HBN8cWFwnFQqLhX0aTqFas01XlRK8O8qCzaiyZF0/JFLGWs\n\
lWBWAlwBax3R+M0/onzpPFS8S3DzA29c+80SNMR8jzsx4XiQGIWH+amImR+A\n\
0kH20k6uGO6EhqlzUP3BWmQe3I3c6Ai0FVxHZ34GiSiv4lbkBVRFnceTkmQ8\n\
LLyCnysy0XOTYO3GBWhe4IzqWQ6oc3FG08xpqHacjlLHaSh3n458t5nImDUX\n\
6W+tRsmJUzR1qjz2qeXJ8+MhC8lRt1LZewVRrRRDxB404/aPI4SR2RVRl0K7\n\
/oG0FyVjRm+kRlCoy9A/YsuiLX2oY6083SQYYuMIQm+5K5UKAcM20Q2wFgcQ\n\
g1sOnDyGkcvkjENRlsYVFCIGmYxn3kt+gqpTiLKkB9vpfUNVQCIefVKxDHDN\n\
CGONRbdRTYwAJnqVCVzrQ2MKb+RO3swnSvUctrUWr4pHJdEltBqEZ9YEUpai\n\
ghSDYAL0hXJFISzVFEGveB5iUqYM8yG0TJEjjfCsturZbIMVbKXSpFBiaQ5l\n\
uVGikGMu4jH3aDRvlw05/XeA6kEm8b5E5RkgGwUJDR7VfrYntQcaOQm8toD2\n\
I2yZQ0LTw+oL56h5Zxxrng3KGh6kekCbgbDCFo/O+IuctunLMxToEJ9coxDC\n\
NSryyOGUY4Ech8rITftzOlzjZp/JHqBMFn9YnJOmsaoYt2uQ7x+IDlKBKAdo\n\
/nA2q3lR1b1yrgWSfHkb16MMNqpHMSGVqXQ1dQsYhkp5WXLtBSmFzqpSiJdc\n\
W4vS1xegxNMdBW/MRWawF5LWLkZT9PfoOn8G9+OjcD83BWfn+yFp0CQUOcxA\n\
2eplyNr9GdJOHEVJZAQqoy6iOj4GzZlJaM1ORvXlGNyODMf9nHg8zI7Fk6Jr\n\
6MlLR/1aX9xd4o46NxL7OtihzskeTePtUT7ODiXuU1HhOAOVDtNR5TgVJbM9\n\
kf/OWlSev4DmWyVKqbz+HSWKWnkbtRrccqgzfINV4ZvyegjhASUWahqdoLHx\n\
2MmUtSqByvBUJ8IMH1ux6DJU6GMYZXz5dRfiS0OoOaX3U1Q0aFNXeisp0uAN\n\
ir3l54TK48MGQjOYEV9hxIWWmLLRI4GgYDnSlMy6Os8qa156Gwi31fRFLTK3\n\
8uWhqmhMfM8IpU2FZAlRsU3Hs3Vm+FXA2NoMZPFXMfAKI+V9VWRMHgyboWEu\n\
ODUs7FW8EkJOxOneRBCqcQ2zBrILIyvZxNtQVJG6sixJH7OAaaWAlSqNqbb8\n\
g820iTZwdB/v1er3okbbWI221/plj9Vtr7A248pzffqSRsJaPMtnhcxM2qH+\n\
y89R5+CGvJlTkeLsjkvOzkgI9kOjZCZPo4OEEo2JcQj1mIeEOR7I+nwrUg5/\n\
j9KYC6i/Eo3bl86j+EwYbpwIRX7YKVTGRaIiJgK5J46jMfYc2uPP4f71K7iX\n\
fQ1ly3zRudQDNVNdUTRrFrL9/JH//ibkffQRamJiURsfb0H+iaNOZHws6i9F\n\
ojaazP+NXMM0i/LciGS+DF0zuk2GGBo8/RY3brMXO4tn53xkvjMUD9zAdx9s\n\
wJ+B86mm5mTqwgSNUbQSQCzhoymKUy87hOIqcyfN7RCxQvf/c4eIdJ/HDjF+\n\
QNBSfEDQ3A6RH7aYhPo/fYfbM6Yi3c4V0RMcETXBHuG2kxEd5IPqi9+h6eQx\n\
lIQeR8mpE7gYvBwpe75AyeVwdBVcwYP6bDxsyEJ3ebp0pFufFIWS8JPIPBKC\n\
tJBDyDh8EAXHjhBn4CTakmLQkXUNhYv8UeYzFzkLFqDoz/tRTRzyIXyFM6DR\n\
A6SV6rUY5G8l3NSXifS+GUQMtFf2lc7wYFKeAZEgc0kUBvu7AXo9oqT9R2ns\n\
AfYCEH14zqph+r0veB6NZ/z0kmqvWrGicdBT7gx9HYj6vZLD+9hPK6qR3+dn\n\
I/InfVgCb4IGq33dTCMNyJl6dYTWxmab6SW+mYpvoXrdeygZ74Bzo20ROcwW\n\
ia/Y4vxEWxweNxFh3h4oP78XuT/sR9GRwyg9fgTlESfRlJOAzltJ6KxIwR36\n\
KbmC9oJ4NKVEoTk9Gu0ZEaiNOoE8Wkfx3V6kkvsLTh0n6/c67lWUIdvXAzme\n\
c1BIWB/G2DQ29FaK12bGfRE2k3r1Kgc0MhKxJALB2E59jp3S5LNoVPamsZ8o\n\
8EjuFt/w5ta29MI9spNpPstk51GaIKP36PWOXy/UTD2CyZMVfCWJJn200K8v\n\
G8b4PWvqjTrcTD+exTa1YV5lbcLhqfLuU1O7hD+hofXUxihhA2q8h2yIBgts\n\
cwzl64S+dDolFTl79yGZ+GI59u64MtUT8YFLEee9EOmr1yJqSSCOuLjhwksT\n\
kfW7T9CQRFDmdhkeN9fiSUcjHne34PGDTvz8pAtPHnfh554WPOluxMO2Bjxs\n\
rcOjdvJpqsL9mgp03S5Hc0kp7rY047/+9jfcDjmMFBdnpPj4oPzCBRf9CjDO\n\
08nVhvrVzjX9uqllM1W+IG820Xd6rT8LzUlD8XwBiQttpkabt8a9nhr9VLMy\n\
AO1NTYjzDcDVpW+g6NtvUJuUhKaqSvrWZwYU41FfWor4hYG4NGwsDtjZIf7D\n\
91B/dD/qQ0PQEBGKtqvh6Ei7hLaUCLQlR0qv+G29ehotF46iIexHNJw6iMbQ\n\
A2g4fpj8fQRVIQdRSd8ZuOVDnJriiBhbO1z2mo/y8PO6v2mo5b9FlonVaG9H\n\
BdkmHa3NLHM2HhUZWcjc+z3OrliO3bbjcHLWFNQv9ETN2oVo37MGj/atxS8X\n\
tuGXuF34JXwLfk74EI/PvYuezfPQETwHLW+6o9nfCfUBM9Dw+kyUzHJHBgkW\n\
4ghrZ2wdcWYifQm3G4qPHlWxyA9PGItjpK+xiFy5AvvGj0W21zQ0es9D26bl\n\
ePzDJjz8YhUefrcWj/+wBr+ErMcvP63B4z3LcXd7ALoWuqJn/RzcCZqOan8P\n\
NM6bgTrvmbg1zR15Tm6IIx7a8VcdEDHWFmnr1stvnP5fme5opobmhkYc9fPD\n\
8ZFjUTfbEy1vBeLe1hV4uONtPPn9anRtCcL9XcF48H4AnvwuEA++XY7OnUFo\n\
WeiGpjn2aPckJtPfC5XuM1Dzug/KPGajxNkNRVOnIWmKM6JfmYz4xUul1SHR\n\
/x81/ZKEBJy2nYQcWyc0zvZDz+rluLdxKbrfDULrb5aiNsgPDSsC0BbkgQc7\n\
FuP+58vQvtIHrX4z0eDugCpHO5T7+qBkzx9RFRmJvM8+Q/rKVbhBdHjLzR3J\n\
4xwRMnwiru/eo0H/ZZRejETCFDtUzp+LzsWLcNfDF43By1C0cT1ufvWPuHX4\n\
ELI3bkCevw/qA+fj7up5uPOOH9rmTkfjdGeUObui8vQp/p781toalJ0+jVy6\n\
p6YTUzXGDmFz5tPXpcvk/1skPwCxa9YgnUxVl48velYEouWTnahLSpRety5v\n\
pkFoqajAtV+/g2wiUlOQF7qX+6F91nS0OjrixptLUZeVpRR40s1ZTFZY0jxf\n\
RE92Rta3v1fR5Ua5/kautIlrXOcQVS5FW1oqOniF0UCJZNq6dSiYMRNNszxI\n\
RDwVdS9NkiJTwhoPoKrJ1s/8YDNivbzJiHkSof8SCVkhe+enyJg+GxW+S9B4\n\
PYe/nLI2PV16PWPlnBmodnJF2RQXlJ04MYjdRcXI+ng7rn/5O2nz0ub/lAfm\n\
/8OA9JL5N99A3oJFqLlxYzBTQNHBQ8ghcXmTnROqgt+WikG5H1ZDsKSjtVX6\n\
JQ35H+KQlig5dgzpQYGou1XK7rEiE5eD5Pl+qLd1Ruk77+pfwc+sIg+sKFal\n\
rF2HyuRk5T3LtC3zo49RTHCrcMtWo3s53Y7mZsXIc1isupqE1Flz6fvDdUY3\n\
2rFOdJqSlr6JlDVrjDvZs04Zv9mMq8tX6qWW/pGnUKd74f8A8yVfcQ=="], 
       ImageSize -> {557, 41}, ImageMargins -> {{0, 0}, {0, 0}}, 
       ImageRegion -> {{0, 1}, {0, 1}}]], "DockedCell", Background -> 
     GrayLevel[0.866682], CellFrame -> {{0, 0}, {0, 4}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> {{0, 0}, {-3, 0}}, 
     CellFrameMargins -> 0], 
    Cell[
     BoxData[
      GridBox[{{
         Cell[
          GraphicsData[
          "CompressedBitmap", 
           "eJzVV0tIVFEYvs4dx9FkFtZCAh+LyhLMDDNNXJio+UILKqOVqOHbUtEEH5BR\n\
ahmC2MuQHhNFJpJIUFRChK4qNwWuWrSsdfjI/s5/zn/unHvnTpoMRBfunfP4\n\
H9/3/+f850xJRVtNdWNFW21lRXx+S8XZmtrK1vi85hY2pIdomjbP3th4DdvA\n\
mvSZh56eHja5/k8W/9HB6/XC7Owsvto5/hVjbJZLbDWLo+hSezS+TBy/Yux/\n\
E9f5NxJWZmoAHxzHZ/l+AW+vvD5v7gs5B3ac2NLchg7OYXvt+2f4uTgl9bis\n\
FgGrC3f4lDSDbXzWvr71M625TBbx/fXjG6rIaRWwAkAnVoq24CjAhv+RIP1q\n\
DlKTiFHTwb9ibKk3Bo0LN+y7fCsT6CG5UAOfZIjyWzaTG5d/bibKEYLw5BRd\n\
a/wiueTq3CAHh68pS/07DdKYKUbKgYMsSxhmjIl0im1uws6L05QlnmuBCR34\n\
SZuzYjcmGLsDYjcx13mX4GsCf7iBX8UuVQkNk2Wj6IzlkVzRmBJsxsCIwUxN\n\
RJC2FaHAFWEQ2kicXAYhjAs3ycAzdaeMxXAyX6vMMsafqXgC7RHeRjMoz+NF\n\
Y5vKlp1cqB1ZDLHE6+Z4/ZajL0e6ylqpAhaImH2qKWJvBydFGBSjINikSG58\n\
dE96tPEjjDG5uHABYt5k6aMFt5EcybXM65BdlQzzi49EzbyJZSCgelSo9hTt\n\
4Qp1p9W9bo2Cb2tR6ZSrNHiJQQhqEG33TpSMr6gdbJHZ1j1S5cUDNwIWaEZa\n\
nl6sv15+jLpCtZHL+GqGQ6lkan4kCUIhuEYHBB2Isx1w7kqteCy7NrtJdRPs\n\
3aSr4aIdkWCAlgTQu1wfvLpTVmyzphBSzhm+fLk+ydodV4H8oCwdEbhee2NY\n\
miU2tfxLvwYuSjO2KVS6Uu4s8Im+x49+IAoWug5+ZfCYFp9SP6w5DMqBFeq/\n\
6VgdUWs/lQy6+viOS/mYyoZLVB1WWWRBpEucTrcHyzVQnA2hKg15mTQOFlzx\n\
SsHhQXKSN3nx5BH27QKlZDtNu0m5TkpuFqAmVUnGvwYK16Yrn+j/5Y3vn/01\n\
iCfx8YIi6G9q4r3tmzNxLy8fBmtrTSY2+OcqjsQvtrfDo+wcGCsp1R6qU064\n\
0tAAk4eywJuTC30dHV7z7EBjIzxOTYfpjCwYqK/3kL2e7m7D1YjQiOE/Lj41\n\
erIchhjiuwl74d3+DBg/eiySNK8yg7dPnYberi5tVGjGkuaD3HzwVp+BqT1J\n\
8CElDV4UF8JwVWUEaV5jmpOHc2Gkqkq7rmqGwQSj9jEtHV4lJ8JcUip8Kj0C\n\
02VlcKGzk50YgslQfT08O5AJT7Ky0TlZ2EbGL7e2wmBTs+TAvm641NcHLwtL\n\
YDFqBzzdvQvepxyEL8VFsFBUDDfr6sIUw2/2ZcDzuEQYO37ihjCshfwGPGMf\nPw=="], 
          Evaluatable -> False, ImageSize -> {199, 30}, 
          ImageMargins -> {{0, 0}, {0, 0}}, ImageRegion -> {{0, 1}, {0, 1}}], 
         
         ButtonBox[
          Cell[
           GraphicsData[
           "CompressedBitmap", 
            "eJylVb1uAjEMDuSAUqTr1J234A3aqQ9xQpVgqFpRZkZWNkZWRkZmRkZmVkZ2\n\
xtSfY0e+9MrSSLkY27E//4W3aj55/6jm03E1fJ1VX5Pp+Hv48jkjlm8550a0\n\
y6EDHYiUzygsFgsS1o42Hw9hs9mE6/UasHCu12tI+KTVYbUy7Ha7pIZ1uVys\n\
GtPL5ZJpmLzdbrgTvXgrol+0XBHO5zOr4irtyO7zTWHx3u/3CRTo1Wol4FMM\n\
WBBB5Xg8MlDQsE6rYLUnjkFVIdputwm7qCYvigLmCCi5AvSSZapnbUFPY89l\n\
hN4zhE44HA4J3el0EtMcjHusAUHG8gTX4ikZIwxqpmwM1gwcqh7xC8k//CtU\n\
YrcFIthaXS1Z7IJuKiMyqcBI3pIIvHUtcRU5rDYLe4zKZgvVkLS4qJObw3eA\n\
+qeIkQG9Z20obm0/U2lpP5/CB09jRxW18mhPyoO7F9xzY87zNrTIgF56ovEO\n\
PGri8BsoRSeyB7U2w7ZtbNsOg1JIYCioBixtczewwZ+BWW9IEcrVES8NerUu\n\
gGcZqMju/womz5vtPnWNHOqMUkf+v0AohmIDDT19T/I7pBc90Rd3ZBycrY5W\n\
AEOn49JUHW+qowMKm6STXgVvX4GUTfsqEB1no8uXbTZBk3EdJ9RLbsgY9FJj\n\
6kaXyMMRvelzjWRpIInt01MRX+KGPxo5XOsHSMiAwg=="], Evaluatable -> False, 
           ImageSize -> {55, 14}, ImageMargins -> {{0, 0}, {0, 0}}, 
           ImageRegion -> {{0, 1}, {0, 1}}], ButtonData -> {
            URL["http://store.wolfram.com/view/app/playerpro/"], None}, 
          ButtonNote -> "http://store.wolfram.com/view/app/playerpro/"], 
         Cell[
          GraphicsData[
          "CompressedBitmap", 
           "eJzzTSzJSM1NLMlMTlRwL0osyMhMLlZwyy8CCjEzMjAwMAExnwIDiP0fyIQS\n\
jP9bWloY/8+ZPZuBgfF/V2cn4//VK1cOFnZ7ezvj/+XLlgFdyggAJaVbgQ==\n"], Evaluatable -> 
          False, ImageSize -> {2, 14}, ImageMargins -> {{0, 0}, {0, 0}}, 
          ImageRegion -> {{0, 1}, {0, 1}}], 
         ButtonBox[
          Cell[
           GraphicsData[
           "CompressedBitmap", 
            "eJyVVj1vIjEQ9bIBRKKjyClFOn5NUvEjUBQpKU6JctSUtHSUtJSU1JSU1LSU\n\
9JTOPHued0x2SWJpWXvGOx/Pb8YMR+OX53+j8evTaPD4MXp/eX36P3h4+xBR\n\
WTjnhvL0Bw5zL1P9GfrJZCLK7NUKr9LP53OPgVWQlVi5O386nbC0G/x0Og3z\n\
xWKRybHGgN7KMYcdjPV67TrBzZXfbreeQ+aMBQOfYMWty+UybZV5S5XH4zGJ\n\
xTK9xeB7/nA4BBEfbFHLYT6bzVyRA8EcEhDuPllnvjZXmiJOVs78VqtVJocN\n\
yJgUwrgKvnrBFrISWXhgd7PZhO8Uc9dVUBQM2onhdlOocKHm6V5SgoFekFlk\n\
4AJuMd/tdn6/33+PTJlYUMn6GQtgktFbBJAVdOKG8lJNGnIlULCVx3seLfd2\n\
lBLWjdFH8+2MuwSlc6YDcMpfAQHGm0GIVCsDaJplxMVdJ5D5EWuCbz03Zg4T\n\
yErC0My7aRuzIWUS/PJLgKtDaEShpZlCDVcEsYq6zlysVDJczqxAZV1ixt+s\n\
Zs5xYG2wPCmHZzACMuiwjqSNfqDT2pAcILu5BFAWQwVqvwmcVMsYOAzwwcTX\n\
UpgotgAhXFJAgCoQ+29L5zYLzCZCOZIHORko25/dI+B0GsqGn3wtm95FTBRH\n\
V9ak09Zf08vYD6V2gLoTNrDrEV3Lip8wxXRXASvylMcANlBmbqrY6kgTUAlG\n\
2FYtNGcBpK7zHSQSmCMnTNCNPZaUZgMEpNpj1YJekikdFkidTNLUkm2nAmBj\n\
QfcutYNgv82ClxIquO4ilghrG1vF0z/Z5U40eDEiFl72X2PN7cWLzNX+M3HF\nJ/Rd8Mk="], 
           Evaluatable -> False, ImageSize -> {77, 14}, 
           ImageMargins -> {{0, 0}, {0, 0}}, ImageRegion -> {{0, 1}, {0, 1}}],
           ButtonData -> {
            URL[
            "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"], None}, ButtonNote -> 
          "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"]}}, ColumnsEqual -> False, 
       GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}]], 
     "DockedCell", Background -> GrayLevel[0.494118], 
     CellFrame -> {{0, 0}, {4, 0}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> 0, 
     CellFrameMargins -> {{0, 0}, {0, -1}}, 
     ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
          NotebookLocate[#2]}]& ), Appearance -> None, ButtonFrame -> None, 
       Evaluator -> None, Method -> "Queued"}]}, 
   FEPrivate`If[
    FEPrivate`SameQ[
     FrontEnd`CurrentValue[
      FrontEnd`EvaluationNotebook[], ScreenStyleEnvironment], "SlideShow"], {
    Inherited}, {}]], Inherited],
ShowSelection->True,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 108, 1, 83, "Title"],
Cell[CellGroupData[{
Cell[723, 28, 321, 6, 71, "Section"],
Cell[1047, 36, 766, 13, 63, "Text"],
Cell[CellGroupData[{
Cell[1838, 53, 9537, 191, 312, "Input",
 CellID->1860512736],
Cell[11378, 246, 3939, 86, 270, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15363, 338, 469, 13, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15835, 353, 883, 24, 34, "Text"],
Cell[CellGroupData[{
Cell[16743, 381, 354, 6, 71, "Section"],
Cell[17100, 389, 689, 12, 63, "Text"],
Cell[CellGroupData[{
Cell[17814, 405, 2331, 60, 96, "Input",
 CellID->529537066],
Cell[20148, 467, 2218, 47, 460, "Output"]
}, {2}]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[22424, 521, 469, 13, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[22896, 536, 857, 24, 34, "Text"],
Cell[CellGroupData[{
Cell[23778, 564, 445, 12, 71, "Section"],
Cell[24226, 578, 887, 18, 81, "Text"],
Cell[CellGroupData[{
Cell[25138, 600, 565, 15, 31, "Input"],
Cell[25706, 617, 1736, 35, 332, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[27488, 658, 284, 5, 71, "Section"],
Cell[27775, 665, 719, 13, 81, "Text"],
Cell[CellGroupData[{
Cell[28519, 682, 5820, 132, 361, "Input",
 CellID->1844193906],
Cell[34342, 816, 4215, 87, 438, "Output"]
}, {2}]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[38615, 910, 490, 13, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[39108, 925, 893, 24, 34, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 8xpKqq2XUBzaADgGYGSM1yix *)
