(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    147357,       3286]
NotebookOptionsPosition[    127970,       2930]
NotebookOutlinePosition[    146081,       3242]
CellTagsIndexPosition[    146038,       3239]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Ku\:017eelose\[CHacek]ky", "Title",
 CellChangeTimes->{{3.42778772003125*^9, 3.4277877254375*^9}}],

Cell[CellGroupData[{

Cell["\<\
Pr\:016fnik roviny a ku\:017eelov\[EAcute] plochy\
\>", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 CellChangeTimes->{{3.427788695671875*^9, 3.42778870709375*^9}},
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell["\<\
Historie ku\:017eelose\[CHacek]ek sah\[AAcute] a\:017e do starov\:011bk\
\[EAcute]ho \:0158ecka. Jejich n\[AAcute]zev odpov\[IAcute]d\[AAcute] tomu, \
\:017ee ku\:017eelose\[CHacek]ky m\:016f\:017eeme z\[IAcute]skat jako \
pr\:016fnik ku\:017eelov\[EAcute] plochy s\[NonBreakingSpace]rovinou. Uka\
\:017eme si to na trojrozm\:011brn\[EAcute]m modelu \
v\[NonBreakingSpace]Mathematice. Za\[CHacek]neme-li \
s\[NonBreakingSpace]rovinou kolmou k\[NonBreakingSpace]ose ku\:017eele, \
dostaneme kru\:017enici. Postupn\[YAcute]m nakl\[AAcute]n\:011bn\[IAcute]m \
roviny pak k\:0159ivka p\:0159ech\[AAcute]z\[IAcute] \
v\[NonBreakingSpace]elipsu, parabolu, a kone\[CHacek]n\:011b hyperbolu.\
\>", "Text",
 CellChangeTimes->{{3.428901839578125*^9, 3.42890189340625*^9}, 
   3.428902198515625*^9, {3.428902284*^9, 3.428902319609375*^9}, {
   3.428902820671875*^9, 3.428902894203125*^9}, {3.42890293371875*^9, 
   3.428902964875*^9}, {3.428903407390625*^9, 3.4289034485625*^9}},
 FontFamily->"Arial",
 Background->RGBColor[1., 1., 0.5019607843137255]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rovina", ",", "kuzel"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"rovina", "[", "\[Alpha]_", "]"}], ":=", 
       RowBox[{"ParametricPlot3D", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"s", " ", 
            RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], ",", "y", ",", 
           RowBox[{"1", "-", 
            RowBox[{"s", " ", 
             RowBox[{"Sin", "[", "\[Alpha]", "]"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"s", ",", 
           RowBox[{"-", "7"}], ",", "7"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "7"}], ",", "7"}], "}"}], ",", 
         RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"kuzel", "[", "\[Alpha]_", "]"}], ":=", 
       RowBox[{"ParametricPlot3D", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"z", " ", 
            RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ",", 
           RowBox[{"z", " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", "z"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Theta]", ",", "0", ",", 
           RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", 
           RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
         RowBox[{"Mesh", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"{", "0.", "}"}], "}"}]}], ",", 
         RowBox[{"MeshFunctions", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Function", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y", ",", "z", ",", "\[Theta]", ",", "zz"}], 
              "}"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", "z"}], ")"}], 
               RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], "-", 
              RowBox[{"x", " ", 
               RowBox[{"Sin", "[", "\[Alpha]", "]"}]}]}]}], "]"}], "}"}]}], 
         ",", 
         RowBox[{"MeshStyle", "\[Rule]", 
          RowBox[{"AbsoluteThickness", "[", "2", "]"}]}], ",", 
         RowBox[{"PlotPoints", "\[Rule]", "50"}], ",", 
         RowBox[{"SphericalRegion", "\[Rule]", "True"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"kuzel", "[", 
           RowBox[{"\[Alpha]", " ", "Degree"}], "]"}], ",", 
          RowBox[{"rovina", "[", 
           RowBox[{"\[Alpha]", " ", "Degree"}], "]"}]}], "}"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"500", ",", "400"}], "}"}]}], ",", 
        RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
        RowBox[{"Axes", "\[Rule]", "False"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", "5"}]}], "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]", ",", "0", ",", "\"\<Sklon roviny\>\""}], "}"}], ",",
      "0", ",", "90", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.35973643301563*^9, 3.3597365515*^9}, {
   3.35973813251563*^9, 3.35973816490625*^9}, {3.3597412899375*^9, 
   3.35974129135938*^9}, 3.3599674414375*^9, {3.35996747375*^9, 
   3.35996751051563*^9}, {3.35996957160938*^9, 3.35996957428125*^9}, {
   3.371546641045201*^9, 3.37154665173853*^9}, {3.3787562697224073`*^9, 
   3.378756275769283*^9}, {3.3800317132552896`*^9, 3.380031744255091*^9}, {
   3.380032480611595*^9, 3.38003248853347*^9}, {3.380736504203125*^9, 
   3.380736504390625*^9}, 3.4277880479375*^9, {3.428117609984375*^9, 
   3.428117613296875*^9}, {3.428117672953125*^9, 3.4281176854375*^9}, 
   3.428117825953125*^9, {3.428117891171875*^9, 3.42811789421875*^9}, {
   3.42811796659375*^9, 3.428117976296875*^9}, {3.4289039114375*^9, 
   3.428903962703125*^9}},
 CellID->211751615],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[Alpha]$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Alpha]$$], 0, "Sklon roviny"}, 0, 90}}, 
    Typeset`size$$ = {500., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`\[Alpha]$3020$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`\[Alpha]$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Alpha]$$, $CellContext`\[Alpha]$3020$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`rovina$, $CellContext`kuzel$}, \
$CellContext`rovina$[
           Pattern[$CellContext`\[Alpha], 
            Blank[]]] := 
         ParametricPlot3D[{$CellContext`s 
            Cos[$CellContext`\[Alpha]], $CellContext`y, 1 - $CellContext`s 
            Sin[$CellContext`\[Alpha]]}, {$CellContext`s, -7, 
            7}, {$CellContext`y, -7, 7}, Mesh -> None]; $CellContext`kuzel$[
           Pattern[$CellContext`\[Alpha], 
            Blank[]]] := 
         ParametricPlot3D[{$CellContext`z 
            Cos[$CellContext`\[Theta]], $CellContext`z 
            Sin[$CellContext`\[Theta]], $CellContext`z}, {$CellContext`\
\[Theta], 0, 2 Pi}, {$CellContext`z, -5, 5}, Mesh -> {{0.}}, 
           MeshFunctions -> {
             
             Function[{$CellContext`x, $CellContext`y, $CellContext`z, \
$CellContext`\[Theta], $CellContext`zz}, (1 - $CellContext`z) 
               Cos[$CellContext`\[Alpha]] - $CellContext`x 
              Sin[$CellContext`\[Alpha]]]}, MeshStyle -> AbsoluteThickness[2],
            PlotPoints -> 50, SphericalRegion -> True]; Show[{
           $CellContext`kuzel$[$CellContext`\[Alpha]$$ Degree], 
           $CellContext`rovina$[$CellContext`\[Alpha]$$ Degree]}, 
          ImageSize -> {500, 400}, Boxed -> False, Axes -> False, PlotRange -> 
          5]], "Specifications" :> {{{$CellContext`\[Alpha]$$, 0, 
          "Sklon roviny"}, 0, 90, Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{546., {241., 246.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`rovina[
         Pattern[$CellContext`\[Alpha], 
          Blank[]]] := 
       ParametricPlot3D[{$CellContext`s 
          Cos[$CellContext`\[Alpha]], $CellContext`y, 1 - $CellContext`s 
          Sin[$CellContext`\[Alpha]]}, {$CellContext`s, -7, 
          7}, {$CellContext`y, -7, 7}, Mesh -> None], $CellContext`kuzel[
         Pattern[$CellContext`\[Alpha], 
          Blank[]]] := 
       ParametricPlot3D[{$CellContext`z 
          Cos[$CellContext`\[Theta]], $CellContext`z 
          Sin[$CellContext`\[Theta]], $CellContext`z}, {$CellContext`\[Theta],
           0, 2 Pi}, {$CellContext`z, -5, 5}, Mesh -> {{0.}}, 
         MeshFunctions -> {
           
           Function[{$CellContext`x, $CellContext`y, $CellContext`z, \
$CellContext`\[Theta], $CellContext`zz}, (1 - $CellContext`z) 
             Cos[$CellContext`\[Alpha]] - $CellContext`x 
            Sin[$CellContext`\[Alpha]]]}, MeshStyle -> AbsoluteThickness[2], 
         PlotPoints -> 50, SphericalRegion -> True]}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.4277877985*^9, 3.4277880479375*^9, {3.42811760371875*^9, 
   3.4281176229375*^9}, 3.42811769071875*^9, {3.42811782690625*^9, 
   3.4281178450625*^9}, {3.428117895390625*^9, 3.42811791384375*^9}, 
   3.428117996390625*^9, {3.4281180465625*^9, 3.42811807796875*^9}, 
   3.42811815196875*^9, {3.428903973265625*^9, 3.428903983875*^9}}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Tento p\:0159\[IAcute]klad byl s \[UAcute]pravami p\:0159evzat ze \
str\[AAcute]nky\
\>", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 CellChangeTimes->{3.428903634609375*^9},
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Conic Sections: The Double Cone",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSectionsTheDoubleCone/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ConicSectionsTheDoubleCone/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ConicSectionsTheDoubleCone/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSectionsTheDoubleCone/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ConicSectionsTheDoubleCone/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell["Ohniskov\[EAcute] definice ku\:017eelose\[CHacek]ek", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 CellChangeTimes->{{3.427788747265625*^9, 3.427788756328125*^9}},
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell["\<\
Ku\:017eelose\[CHacek]ky obvykle definujeme jako jist\[EAcute] mno\:017einy \
bod\:016f v\[NonBreakingSpace]rovin\:011b. Elipsa a hyperbola jsou zad\
\[AAcute]ny dv\:011bma ohnisky a jednou konstantou. Pomoc\[IAcute] \
Mathematicy m\:016f\:017eeme student\:016fm uk\[AAcute]zat, jak\[YAcute] vliv \
m\[AAcute] volba ohnisek a konstanty na tvar k\:0159ivky. Parabola je pops\
\[AAcute]na pomoc\[IAcute] ohniska a \:0159\[IAcute]dic\[IAcute] p\:0159\
\[IAcute]mky. Jejich roli op\:011bt vid\[IAcute]me na obr\[AAcute]zku.\
\>", "Text",
 CellChangeTimes->{{3.428901839578125*^9, 3.42890189340625*^9}, 
   3.428902198515625*^9, {3.428902284*^9, 3.428902319609375*^9}, {
   3.428902820671875*^9, 3.428902894203125*^9}, {3.42890293371875*^9, 
   3.428902964875*^9}, {3.428903469546875*^9, 3.4289035026875*^9}, {
   3.428904271078125*^9, 3.42890427884375*^9}},
 FontFamily->"Arial",
 Background->RGBColor[1., 1., 0.5019607843137255]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Module", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "a", ",", "ang", ",", "b", ",", "bvert1", ",", "bvert2", ",", "c", ",", 
     "cntr", ",", "dist", ",", "ellipse", ",", "h", ",", "hyperbola", ",", 
     "hyperbolax", ",", "hyperbolay", ",", "k", ",", "label", ",", "labsty", 
     ",", "midpt", ",", "n", ",", "parabola", ",", "parabolax", ",", 
     "parabolay", ",", "pt1", ",", "pt2", ",", "s", ",", "str", ",", "t", ",",
      "type", ",", "vert1", ",", "vert2", ",", "x", ",", "y", ",", "z", ",", 
     "zz"}], "}"}], ",", 
   RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"foc1", "===", "foc2"}], ",", 
        RowBox[{"foc1", "=", 
         RowBox[{"foc1", "+", ".01"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"dist", "[", 
        RowBox[{"pt1_", ",", "pt2_"}], "]"}], ":=", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"pt1", "-", "pt2"}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"pt1", "-", "pt2"}], ")"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"midpt", "[", 
        RowBox[{"pt1_", ",", "pt2_"}], "]"}], ":=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"pt1", "+", "pt2"}], ")"}], "/", "2"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"labsty", "[", "str_", "]"}], ":=", 
       RowBox[{"Style", "[", 
        RowBox[{"str", ",", "Italic", ",", "20", ",", "Bold"}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"h", ",", "k"}], "}"}], "=", 
       RowBox[{"midpt", "[", 
        RowBox[{"foc1", ",", "foc2"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"cntr", "=", 
       RowBox[{"{", 
        RowBox[{"h", ",", "k"}], "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"c", "=", 
       RowBox[{"dist", "[", 
        RowBox[{"cntr", ",", "foc1"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"a", ":=", 
       RowBox[{"Switch", "[", 
        RowBox[{"conictype", ",", "ellipse", ",", 
         RowBox[{"c", "*", "amult"}], ",", "hyperbola", ",", 
         RowBox[{"c", "/", "amult"}], ",", "parabola", ",", "c"}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"b", ":=", 
       RowBox[{"Switch", "[", 
        RowBox[{"conictype", ",", "ellipse", ",", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"a", "^", "2"}], "-", 
           RowBox[{"c", "^", "2"}]}], "]"}], ",", "hyperbola", ",", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"c", "^", "2"}], "-", 
           RowBox[{"a", "^", "2"}]}], "]"}], ",", "parabola", ",", "c"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ang", "=", 
       RowBox[{"ArcTan", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"foc1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "-", "h"}], ",", 
         RowBox[{
          RowBox[{"foc1", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "-", "k"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"vert1", "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"h", ",", "k"}], "}"}], "+", 
        RowBox[{"a", "*", 
         RowBox[{"Normalize", "[", 
          RowBox[{"(", 
           RowBox[{"foc1", "-", "cntr"}], ")"}], "]"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"vert2", "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"h", ",", "k"}], "}"}], "+", 
        RowBox[{"a", "*", 
         RowBox[{"Normalize", "[", 
          RowBox[{"(", 
           RowBox[{"foc2", "-", "cntr"}], ")"}], "]"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"bvert1", "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"h", ",", "k"}], "}"}], "+", 
        RowBox[{"b", "*", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}], ".", 
          RowBox[{"Normalize", "[", 
           RowBox[{"(", 
            RowBox[{"foc1", "-", "cntr"}], ")"}], "]"}]}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"bvert2", "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"h", ",", "k"}], "}"}], "+", 
        RowBox[{"b", "*", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}], ".", 
          RowBox[{"Normalize", "[", 
           RowBox[{"(", 
            RowBox[{"foc2", "-", "cntr"}], ")"}], "]"}]}]}]}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"type", ":=", 
       RowBox[{"Evaluate", "[", 
        RowBox[{"Switch", "[", 
         RowBox[{"conictype", ",", "\[IndentingNewLine]", "ellipse", ",", 
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", " ", 
              RowBox[{"Cos", "[", "t", "]"}]}], ",", 
             RowBox[{"b", " ", 
              RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}], "}"}], ",", 
          "\[IndentingNewLine]", "hyperbola", ",", 
          RowBox[{"ControlActive", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"a", " ", 
                RowBox[{"Sec", "[", "t", "]"}]}], ",", 
               RowBox[{"b", " ", 
                RowBox[{"Tan", "[", "t", "]"}]}]}], "}"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"a", " ", 
                 RowBox[{"Cosh", "[", "t", "]"}]}], ",", 
                RowBox[{"b", " ", 
                 RowBox[{"Sinh", "[", "t", "]"}]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "a"}], " ", 
                 RowBox[{"Cosh", "[", "t", "]"}]}], ",", 
                RowBox[{"b", " ", 
                 RowBox[{"Sinh", "[", "t", "]"}]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"a", " ", 
                 RowBox[{"Cosh", "[", "t", "]"}]}], ",", 
                RowBox[{
                 RowBox[{"-", "b"}], " ", 
                 RowBox[{"Sinh", "[", "t", "]"}]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "a"}], " ", 
                 RowBox[{"Cosh", "[", "t", "]"}]}], ",", 
                RowBox[{
                 RowBox[{"-", "b"}], " ", 
                 RowBox[{"Sinh", "[", "t", "]"}]}]}], "}"}]}], "}"}]}], "]"}],
           ",", "\[IndentingNewLine]", "parabola", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"c", " ", 
               RowBox[{"t", "^", "2"}]}], ",", 
              RowBox[{"2", " ", "c", " ", "t"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"c", " ", 
               RowBox[{"t", "^", "2"}]}], ",", 
              RowBox[{
               RowBox[{"-", "2"}], " ", "c", " ", "t"}]}], "}"}]}], "}"}]}], 
         "\[IndentingNewLine]", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
       RowBox[{"Column", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Text", "@", 
            RowBox[{"Style", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Column", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Row", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Switch", "[", 
                    RowBox[{
                    "conictype", ",", "ellipse", ",", "\"\<elipsa\>\"", ",", 
                    "hyperbola", ",", "\"\<hyperbola\>\"", ",", "parabola", 
                    ",", "\"\<parabola\>\""}], "]"}], ",", "\"\< :  \>\"", 
                    ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<e\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", "\"\< = \>\"", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"conictype", "===", "parabola"}], ",", "\"\<\>\"",
                     ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", "\"\</\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<a\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", "\"\< = \>\""}], "}"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{"c", "/", "a"}], ",", "0.01"}], "]"}]}], "}"}], 
                   "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"conictype", "===", "parabola"}], ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<a\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    "^", "2"}], "-", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    "^", "2"}]}], "]"}], ",", "White"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", "\"\< = \>\"", ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"c", ",", "0.01"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"showmeas", ",", 
                    RowBox[{"{", 
                    RowBox[{"Purple", ",", "Bold"}], "}"}], ",", "Gray"}], 
                    "]"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<a\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    "^", "2"}], "-", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    "^", "2"}]}], "]"}], ",", "White"}], "]"}]}], "}"}], 
                    "]"}], ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", "\"\< = \>\"", ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"c", ",", "0.01"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"showmeas", ",", 
                    RowBox[{"{", 
                    RowBox[{"Purple", ",", "Bold"}], "}"}], ",", "Gray"}], 
                    "]"}]}], "]"}], ",", "\"\<,    \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<a\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", "\"\< = \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", 
                    RowBox[{"Switch", "[", 
                    RowBox[{
                    "conictype", ",", "ellipse", ",", "\"\< \[Times] \>\"", 
                    ",", "hyperbola", ",", "\"\< / \>\"", ",", "parabola", 
                    ",", "\"\<\>\""}], "]"}], ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"amult", ",", "0.01"}], "]"}], ",", "\"\< = \>\"",
                     ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"a", ",", "0.01"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"showmeas", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Bold"}], 
                    "}"}], ",", "Gray"}], "]"}]}], "]"}], ",", 
                    "\"\<,    \>\"", ",", "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<b\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", "\"\< = \>\"", ",", 
                    RowBox[{"Switch", "[", 
                    RowBox[{"conictype", ",", "ellipse", ",", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<a\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    "^", "2"}], "-", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    "^", "2"}]}], "]"}], ",", "hyperbola", ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    "^", "2"}], "-", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<a\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    "^", "2"}]}], "]"}], "]"}], ",", "parabola", ",", 
                    "\"\<\>\""}], "]"}], ",", "\"\< = \>\"", ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"b", ",", "0.01"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"showmeas", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Blue", ",", "0.3"}], "]"}], ",", "Bold"}], "}"}],
                     ",", "Gray"}], "]"}]}], "]"}]}], "}"}], "]"}]}], "]"}]}],
                  "\[IndentingNewLine]", "}"}], ",", 
                RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], ",", 
              "Gray", ",", "14"}], "]"}]}], ",", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{
           "Show", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ParametricPlot", "[", 
              RowBox[{
               RowBox[{"Map", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Take", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RotationTransform", "[", 
                    RowBox[{"ang", ",", "cntr"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ".", 
                    RowBox[{"Evaluate", "[", "#", "]"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}]}], ")"}], "&"}], ",", 
                 "type"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"t", ",", "0", ",", 
                 RowBox[{"2", "Pi"}]}], "}"}], ",", 
               RowBox[{"MaxRecursion", "\[Rule]", 
                RowBox[{"ControlActive", "[", 
                 RowBox[{"0", ",", "1"}], "]"}]}]}], "]"}], ",", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"conictype", "===", "hyperbola"}], "&&", 
                "showasymp"}], ",", 
               RowBox[{"Graphics", "[", 
                RowBox[{"Map", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Dashing", "[", "Medium", "]"}], ",", "Orange", 
                    ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Take", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RotationTransform", "[", 
                    RowBox[{"ang", ",", "cntr"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"10", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                    RowBox[{"10", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}]}]}], "}"}], "]"}]}], "}"}],
                     ")"}], "&"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a", ",", "b"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "a"}], ",", "b"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"a", ",", 
                    RowBox[{"-", "b"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "a"}], ",", 
                    RowBox[{"-", "b"}]}], "}"}]}], "}"}]}], "]"}], "]"}], ",",
                
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"conictype", "===", "parabola"}], "&&", 
                "showdirect"}], ",", 
               RowBox[{"Graphics", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Dashing", "[", "Medium", "]"}], ",", 
                  RowBox[{"Darker", "[", 
                   RowBox[{"Green", ",", "0.2"}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Line", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"foc2", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"foc1", "-", "foc2"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"foc1", "-", "foc2"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ")"}], "20"}], 
                    "+", "foc2"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"foc2", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"foc1", "-", "foc2"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                    RowBox[{"-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"foc1", "-", "foc2"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}], ")"}], "20"}], 
                    "+", "foc2"}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], 
               ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"showmeas", ",", 
               RowBox[{"Graphics", "[", 
                RowBox[{"{", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"conictype", "===", "parabola"}], ",", 
                    RowBox[{"{", "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thin", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{"cntr", ",", "vert1"}], "}"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{"cntr", ",", "vert2"}], "}"}], "]"}]}], "}"}]}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"labsty", "[", "\"\<a\>\"", "]"}], ",", 
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.2"}], "]"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"midpt", "[", 
                    RowBox[{"vert1", ",", "cntr"}], "]"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "0.4"}]}], "}"}]}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"labsty", "[", "\"\<a\>\"", "]"}], ",", 
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.2"}], "]"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"midpt", "[", 
                    RowBox[{"vert2", ",", "cntr"}], "]"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "0.4"}]}], "}"}]}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.2"}], "]"}], ",", 
                    RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                    RowBox[{"Point", "[", "vert1", "]"}], ",", 
                    RowBox[{"Point", "[", "vert2", "]"}]}], "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Blue", ",", "0.2"}], "]"}], ",", "Thin", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{"cntr", ",", "bvert1"}], "}"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{"cntr", ",", "bvert2"}], "}"}], "]"}]}], "}"}]}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"labsty", "[", "\"\<b\>\"", "]"}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Blue", ",", "0.3"}], "]"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"midpt", "[", 
                    RowBox[{"bvert1", ",", "cntr"}], "]"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0.4", ",", "0"}], "}"}]}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"labsty", "[", "\"\<b\>\"", "]"}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Blue", ",", "0.3"}], "]"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"midpt", "[", 
                    RowBox[{"bvert2", ",", "cntr"}], "]"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0.4", ",", "0"}], "}"}]}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Blue", ",", "0.3"}], "]"}], ",", 
                    RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                    RowBox[{"Point", "[", "bvert1", "]"}], ",", 
                    RowBox[{"Point", "[", "bvert2", "]"}]}], "}"}]}], "}"}]}],
                    "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"Purple", ",", "Thick", ",", 
                    RowBox[{"Dashing", "[", "Small", "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{"foc1", ",", "foc2"}], "}"}], "]"}]}], "}"}], ",",
                   "\[IndentingNewLine]", 
                  RowBox[{"Text", "[", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"labsty", "[", "\"\<c\>\"", "]"}], ",", 
                    "Purple"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"midpt", "[", 
                    RowBox[{"foc1", ",", "cntr"}], "]"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0.4"}], "}"}]}]}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Text", "[", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"labsty", "[", "\"\<c\>\"", "]"}], ",", 
                    "Purple"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"midpt", "[", 
                    RowBox[{"foc2", ",", "cntr"}], "]"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0.4"}], "}"}]}]}], "]"}]}], "}"}], 
                "]"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"Purple", ",", 
                  RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                  RowBox[{"Point", "[", "foc1", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"Purple", ",", 
                  RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                  RowBox[{"Point", "[", "foc2", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"RGBColor", "[", 
                   RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
                  RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
                  RowBox[{"Point", "[", 
                   RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], "]"}]}], "}"}]}], 
               "\[IndentingNewLine]", "}"}], "]"}], ",", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"Frame", "\[Rule]", "False"}], ",", 
             RowBox[{"Axes", "\[Rule]", "True"}], ",", 
             RowBox[{"AxesOrigin", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}]}], ",", 
             RowBox[{"PlotRange", "\[Rule]", "7"}], ",", 
             RowBox[{"GridLines", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"n", " ", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"-", "7"}], ",", "7", ",", "1"}], "}"}]}], "]"}], 
                ",", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"-", "7"}], ",", "7", ",", "1"}], "}"}]}], 
                 "]"}]}], "}"}]}], ",", 
             RowBox[{"BaseStyle", "\[Rule]", 
              RowBox[{"{", "12", "}"}]}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "350"}]}], "\[IndentingNewLine]",
             "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
         RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], 
       "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"conictype", ",", "ellipse", ",", "\"\<\>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"ellipse", "\[Rule]", "\"\<elipsa\>\""}], ",", 
         RowBox[{"hyperbola", "\[Rule]", "\"\<hyperbola\>\""}], ",", 
         RowBox[{"parabola", "\[Rule]", "\"\<parabola\>\""}]}], "}"}], ",", 
       RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}], ",", 
       RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
       RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"showmeas", ",", "False", ",", "\"\<popisky\>\""}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"True", ",", "False"}], "}"}], ",", 
       RowBox[{"ControlPlacement", "\[Rule]", "Right"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"showasymp", ",", "True", ",", "\"\<asymptoty\>\""}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"True", ",", "False"}], "}"}], ",", 
       RowBox[{"ControlPlacement", "\[Rule]", "Right"}], ",", 
       RowBox[{"Enabled", "\[Rule]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"conictype", "===", "hyperbola"}], ",", "True", ",", 
          "False"}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "showdirect", ",", "True", ",", 
         "\"\<\:0159\[IAcute]dic\[IAcute] p\:0159\[IAcute]mka\>\""}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"True", ",", "False"}], "}"}], ",", 
       RowBox[{"ControlPlacement", "\[Rule]", "Right"}], ",", 
       RowBox[{"Enabled", "\[Rule]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"conictype", "===", "parabola"}], ",", "True", ",", 
          "False"}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"foc1", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "6"}], ",", 
         RowBox[{"-", "6"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"6", ",", "6"}], "}"}], ",", "Locator", ",", 
       RowBox[{"Appearance", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<\[FilledCircle]\>\"", ",", 
          RowBox[{"Opacity", "[", "0", "]"}]}], "]"}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"foc2", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "6"}], ",", 
         RowBox[{"-", "6"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"6", ",", "6"}], "}"}], ",", "Locator"}], "}"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"amult", ",", "1.5", ",", 
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<                 \>\"", ",", 
            RowBox[{"Text", "@", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<a\>\"", ",", "Italic", ",", "14"}], "]"}]}]}], 
           "}"}], "]"}]}], "}"}], ",", "1", ",", "3", ",", 
       RowBox[{"Enabled", "\[Rule]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"conictype", "===", "parabola"}], ",", "False", ",", 
          "True"}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
      RowBox[{"{", 
       RowBox[{
       "foc1", ",", "foc2", ",", "amult", ",", "conictype", ",", "showasymp", 
        ",", "showdirect", ",", "showmeas"}], "}"}]}]}], "]"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.36363019932028*^9, {3.36363424648561*^9, 
   3.36363424796774*^9}, {3.36907661288834*^9, 3.36907661435044*^9}, {
   3.36926360756773*^9, 3.36926361060209*^9}, {3.373837421299697*^9, 
   3.373837436623436*^9}, {3.3738374777997427`*^9, 3.373837515779442*^9}, {
   3.373837907134166*^9, 3.373837938091316*^9}, {3.374881844765625*^9, 
   3.374881849703125*^9}, {3.374881889421875*^9, 3.37488189321875*^9}, {
   3.3829929425110435`*^9, 3.3829929429525967`*^9}, {3.382993021689561*^9, 
   3.3829930220508313`*^9}, {3.38299332659208*^9, 3.382993336547098*^9}, {
   3.383663687610505*^9, 3.38366369356363*^9}, {3.399917029291162*^9, 
   3.3999170432130365`*^9}, {3.428118246578125*^9, 3.428118274828125*^9}, {
   3.42811831675*^9, 3.42811831784375*^9}, {3.428118368015625*^9, 
   3.428118369015625*^9}, {3.428118456984375*^9, 3.42811846221875*^9}, {
   3.428118553125*^9, 3.42811855440625*^9}, {3.428138281109375*^9, 
   3.42813828875*^9}, {3.428900828203125*^9, 3.4289008470625*^9}, {
   3.42890088028125*^9, 3.428900937828125*^9}, {3.428900969078125*^9, 
   3.4289009725625*^9}, {3.4289010361875*^9, 3.428901243921875*^9}, {
   3.42890371709375*^9, 3.428903734203125*^9}, 3.428903793859375*^9},
 CellID->1496021318],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`amult$$ = 
    1.5, $CellContext`conictype$$ = $CellContext`ellipse$4638, \
$CellContext`foc1$$ = {1, 0}, $CellContext`foc2$$ = {-1, 
    0}, $CellContext`showasymp$$ = True, $CellContext`showdirect$$ = 
    True, $CellContext`showmeas$$ = False, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`conictype$$], $CellContext`ellipse$4638, 
       ""}, {$CellContext`ellipse$4638 -> 
       "elipsa", $CellContext`hyperbola$4638 -> 
       "hyperbola", $CellContext`parabola$4638 -> "parabola"}}, {{
       Hold[$CellContext`showmeas$$], False, "popisky"}, {True, False}}, {{
       Hold[$CellContext`showasymp$$], True, "asymptoty"}, {True, False}}, {{
       Hold[$CellContext`showdirect$$], True, 
       "\:0159\[IAcute]dic\[IAcute] p\:0159\[IAcute]mka"}, {True, False}}, {{
       Hold[$CellContext`foc1$$], {1, 0}}, {-6, -6}, {6, 6}}, {{
       Hold[$CellContext`foc2$$], {-1, 0}}, {-6, -6}, {6, 6}}, {{
       Hold[$CellContext`amult$$], 1.5, 
       Row[{"                 ", 
         Text[
          Style["a", Italic, 14]]}]}, 1, 3}}, Typeset`size$$ = {
    350., {198.5, 203.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`conictype$4639$$ = 
    False, $CellContext`showmeas$4640$$ = 
    False, $CellContext`showasymp$4641$$ = 
    False, $CellContext`showdirect$4642$$ = 
    False, $CellContext`foc1$4643$$ = {0, 0}, $CellContext`foc2$4644$$ = {0, 
    0}, $CellContext`amult$4645$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`amult$$ = 
        1.5, $CellContext`conictype$$ = $CellContext`ellipse$4638, \
$CellContext`foc1$$ = {1, 0}, $CellContext`foc2$$ = {-1, 
         0}, $CellContext`showasymp$$ = True, $CellContext`showdirect$$ = 
        True, $CellContext`showmeas$$ = False}, "ControllerVariables" :> {
        Hold[$CellContext`conictype$$, $CellContext`conictype$4639$$, False], 
        
        Hold[$CellContext`showmeas$$, $CellContext`showmeas$4640$$, False], 
        Hold[$CellContext`showasymp$$, $CellContext`showasymp$4641$$, False], 
        
        Hold[$CellContext`showdirect$$, $CellContext`showdirect$4642$$, 
         False], 
        Hold[$CellContext`foc1$$, $CellContext`foc1$4643$$, {0, 0}], 
        Hold[$CellContext`foc2$$, $CellContext`foc2$4644$$, {0, 0}], 
        Hold[$CellContext`amult$$, $CellContext`amult$4645$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`foc1$$ === $CellContext`foc2$$, $CellContext`foc1$$ = \
$CellContext`foc1$$ + 0.01]; $CellContext`dist$4638[
          Pattern[$CellContext`pt1, 
           Blank[]], 
          Pattern[$CellContext`pt2, 
           Blank[]]] := Sqrt[
          
          Dot[$CellContext`pt1 - $CellContext`pt2, $CellContext`pt1 - \
$CellContext`pt2]]; $CellContext`midpt$4638[
          Pattern[$CellContext`pt1, 
           Blank[]], 
          Pattern[$CellContext`pt2, 
           Blank[]]] := ($CellContext`pt1 + $CellContext`pt2)/
         2; $CellContext`labsty$4638[
          Pattern[$CellContext`str, 
           Blank[]]] := 
        Style[$CellContext`str, Italic, 20, 
          Bold]; {$CellContext`h$4638, $CellContext`k$4638} = \
$CellContext`midpt$4638[$CellContext`foc1$$, $CellContext`foc2$$]; \
$CellContext`cntr$4638 = {$CellContext`h$4638, $CellContext`k$4638}; \
$CellContext`c$4638 = $CellContext`dist$4638[$CellContext`cntr$4638, \
$CellContext`foc1$$]; $CellContext`a$4638 := 
        Switch[$CellContext`conictype$$, $CellContext`ellipse$4638, \
$CellContext`c$4638 $CellContext`amult$$, $CellContext`hyperbola$4638, \
$CellContext`c$4638/$CellContext`amult$$, $CellContext`parabola$4638, \
$CellContext`c$4638]; $CellContext`b$4638 := 
        Switch[$CellContext`conictype$$, $CellContext`ellipse$4638, 
          
          Sqrt[$CellContext`a$4638^2 - $CellContext`c$4638^2], \
$CellContext`hyperbola$4638, 
          
          Sqrt[$CellContext`c$4638^2 - $CellContext`a$4638^2], \
$CellContext`parabola$4638, $CellContext`c$4638]; $CellContext`ang$4638 = 
        ArcTan[Part[$CellContext`foc1$$, 1] - $CellContext`h$4638, 
          Part[$CellContext`foc1$$, 
            2] - $CellContext`k$4638]; $CellContext`vert1$4638 = \
{$CellContext`h$4638, $CellContext`k$4638} + $CellContext`a$4638 
          Normalize[$CellContext`foc1$$ - $CellContext`cntr$4638]; \
$CellContext`vert2$4638 = {$CellContext`h$4638, $CellContext`k$4638} + \
$CellContext`a$4638 
          Normalize[$CellContext`foc2$$ - $CellContext`cntr$4638]; \
$CellContext`bvert1$4638 = {$CellContext`h$4638, $CellContext`k$4638} + \
$CellContext`b$4638 Dot[{{0, 1}, {-1, 0}}, 
            
            Normalize[$CellContext`foc1$$ - $CellContext`cntr$4638]]; \
$CellContext`bvert2$4638 = {$CellContext`h$4638, $CellContext`k$4638} + \
$CellContext`b$4638 Dot[{{0, 1}, {-1, 0}}, 
            
            Normalize[$CellContext`foc2$$ - $CellContext`cntr$4638]]; \
$CellContext`type$4638 := Evaluate[
          
          Switch[$CellContext`conictype$$, $CellContext`ellipse$4638, \
{{$CellContext`a$4638 Cos[$CellContext`t$4638], $CellContext`b$4638 
             Sin[$CellContext`t$4638]}}, $CellContext`hyperbola$4638, 
           
           ControlActive[{{$CellContext`a$4638 
              Sec[$CellContext`t$4638], $CellContext`b$4638 
              Tan[$CellContext`t$4638]}}, {{$CellContext`a$4638 
              Cosh[$CellContext`t$4638], $CellContext`b$4638 
              Sinh[$CellContext`t$4638]}, {(-$CellContext`a$4638) 
              Cosh[$CellContext`t$4638], $CellContext`b$4638 
              Sinh[$CellContext`t$4638]}, {$CellContext`a$4638 
              Cosh[$CellContext`t$4638], (-$CellContext`b$4638) 
              Sinh[$CellContext`t$4638]}, {(-$CellContext`a$4638) 
              Cosh[$CellContext`t$4638], (-$CellContext`b$4638) 
              Sinh[$CellContext`t$4638]}}], $CellContext`parabola$4638, \
{{$CellContext`c$4638 $CellContext`t$4638^2, (
              2 $CellContext`c$4638) $CellContext`t$4638}, \
{$CellContext`c$4638 $CellContext`t$4638^2, ((-2) $CellContext`c$4638) \
$CellContext`t$4638}}]]; Deploy[
         Column[{
           Text[
            Style[
             Column[{
               Row[{
                 
                 Switch[$CellContext`conictype$$, $CellContext`ellipse$4638, 
                  "elipsa", $CellContext`hyperbola$4638, 
                  "hyperbola", $CellContext`parabola$4638, "parabola"], 
                 " :  ", 
                 Style["e", Italic, 16], " = ", 
                 
                 If[$CellContext`conictype$$ === $CellContext`parabola$4638, 
                  "", 
                  Row[{
                    Style["c", Italic, 16], "/", 
                    Style["a", Italic, 16], " = "}]], 
                 Round[$CellContext`c$4638/$CellContext`a$4638, 0.01]}], 
               If[$CellContext`conictype$$ === $CellContext`parabola$4638, 
                Row[{
                  Style[
                   Sqrt[Style["a", Italic, 16]^2 - Style["c", Italic, 16]^2], 
                   White], 
                  Style[
                   Row[{
                    Style["c", Italic, 16], " = ", 
                    Round[$CellContext`c$4638, 0.01]}], 
                   If[$CellContext`showmeas$$, {Purple, Bold}, Gray]], 
                  Style[
                   Sqrt[Style["a", Italic, 16]^2 - Style["c", Italic, 16]^2], 
                   White]}], 
                Row[{
                  Style[
                   Row[{
                    Style["c", Italic, 16], " = ", 
                    Round[$CellContext`c$4638, 0.01]}], 
                   If[$CellContext`showmeas$$, {Purple, Bold}, Gray]], 
                  ",    ", 
                  Style[
                   Row[{
                    Style["a", Italic, 16], " = ", 
                    Style["c", Italic, 16], 
                    
                    Switch[$CellContext`conictype$$, \
$CellContext`ellipse$4638, " \[Times] ", $CellContext`hyperbola$4638, 
                    " / ", $CellContext`parabola$4638, ""], 
                    Round[$CellContext`amult$$, 0.01], " = ", 
                    Round[$CellContext`a$4638, 0.01]}], 
                   If[$CellContext`showmeas$$, {
                    Darker[Green, 0.2], Bold}, Gray]], ",    ", 
                  Style[
                   Row[{
                    Style["b", Italic, 16], " = ", 
                    
                    Switch[$CellContext`conictype$$, \
$CellContext`ellipse$4638, 
                    Sqrt[
                    Style["a", Italic, 16]^2 - 
                    Style["c", Italic, 16]^2], $CellContext`hyperbola$4638, 
                    TraditionalForm[
                    Sqrt[
                    Style["c", Italic, 16]^2 - 
                    Style["a", Italic, 16]^2]], $CellContext`parabola$4638, 
                    ""], " = ", 
                    Round[$CellContext`b$4638, 0.01]}], 
                   If[$CellContext`showmeas$$, {
                    Lighter[Blue, 0.3], Bold}, Gray]]}]]}, Alignment -> 
              Center], Gray, 14]], 
           Show[
            ParametricPlot[
             Map[Dot[
                Take[
                 Part[
                  
                  RotationTransform[$CellContext`ang$4638, \
$CellContext`cntr$4638], 1], {1, 2}, {1, 2}], 
                
                Evaluate[#]] + {$CellContext`h$4638, $CellContext`k$4638}& , \
$CellContext`type$4638], {$CellContext`t$4638, 0, 2 Pi}, MaxRecursion -> 
             ControlActive[0, 1]], 
            If[
             
             And[$CellContext`conictype$$ === $CellContext`hyperbola$4638, \
$CellContext`showasymp$$], 
             Graphics[
              Map[{
                Dashing[Medium], Orange, 
                Line[{{$CellContext`h$4638, $CellContext`k$4638}, Dot[
                    Take[
                    Part[
                    
                    RotationTransform[$CellContext`ang$4638, \
$CellContext`cntr$4638], 1], {1, 2}, {1, 2}], {
                    10 Part[#, 1], 10 
                    Part[#, 
                    2]}] + {$CellContext`h$4638, $CellContext`k$4638}}]}& , \
{{$CellContext`a$4638, $CellContext`b$4638}, {-$CellContext`a$4638, \
$CellContext`b$4638}, {$CellContext`a$4638, -$CellContext`b$4638}, \
{-$CellContext`a$4638, -$CellContext`b$4638}}]], {}], 
            If[
             
             And[$CellContext`conictype$$ === $CellContext`parabola$4638, \
$CellContext`showdirect$$], 
             Graphics[{
               Dashing[Medium], 
               Darker[Green, 0.2], 
               
               Line[{{$CellContext`foc2$$, {-
                    Part[$CellContext`foc1$$ - $CellContext`foc2$$, 2], 
                    Part[$CellContext`foc1$$ - $CellContext`foc2$$, 1]} 
                   20 + $CellContext`foc2$$}, {$CellContext`foc2$$, {
                    Part[$CellContext`foc1$$ - $CellContext`foc2$$, 2], -
                    Part[$CellContext`foc1$$ - $CellContext`foc2$$, 1]} 
                   20 + $CellContext`foc2$$}}]}], {}], 
            If[$CellContext`showmeas$$, 
             Graphics[{
               
               If[$CellContext`conictype$$ === $CellContext`parabola$4638, \
{}, {{
                  Darker[Green, 0.2], Thin, {
                   Line[{$CellContext`cntr$4638, $CellContext`vert1$4638}], 
                   Line[{$CellContext`cntr$4638, $CellContext`vert2$4638}]}}, 
                 
                 Text[
                  Style[
                   $CellContext`labsty$4638["a"], 
                   Darker[
                   Green, 0.2]], \
$CellContext`midpt$4638[$CellContext`vert1$4638, $CellContext`cntr$4638] + {
                   0, -0.4}], 
                 Text[
                  Style[
                   $CellContext`labsty$4638["a"], 
                   Darker[
                   Green, 0.2]], \
$CellContext`midpt$4638[$CellContext`vert2$4638, $CellContext`cntr$4638] + {
                   0, -0.4}], {
                  Darker[Green, 0.2], 
                  PointSize[0.02], 
                  Point[$CellContext`vert1$4638], 
                  Point[$CellContext`vert2$4638]}, {
                  Lighter[Blue, 0.2], Thin, {
                   Line[{$CellContext`cntr$4638, $CellContext`bvert1$4638}], 
                   Line[{$CellContext`cntr$4638, $CellContext`bvert2$4638}]}},
                  
                 Text[
                  Style[
                   $CellContext`labsty$4638["b"], 
                   Lighter[
                   Blue, 0.3]], \
$CellContext`midpt$4638[$CellContext`bvert1$4638, $CellContext`cntr$4638] + {
                   0.4, 0}], 
                 Text[
                  Style[
                   $CellContext`labsty$4638["b"], 
                   Lighter[
                   Blue, 0.3]], \
$CellContext`midpt$4638[$CellContext`bvert2$4638, $CellContext`cntr$4638] + {
                   0.4, 0}], {
                  Lighter[Blue, 0.3], 
                  PointSize[0.02], 
                  Point[$CellContext`bvert1$4638], 
                  Point[$CellContext`bvert2$4638]}}], {Purple, Thick, 
                Dashing[Small], 
                Line[{$CellContext`foc1$$, $CellContext`foc2$$}]}, 
               Text[
                Style[
                 $CellContext`labsty$4638["c"], 
                 Purple], $CellContext`midpt$4638[$CellContext`foc1$$, \
$CellContext`cntr$4638] + {0, 0.4}], 
               Text[
                Style[
                 $CellContext`labsty$4638["c"], 
                 Purple], $CellContext`midpt$4638[$CellContext`foc2$$, \
$CellContext`cntr$4638] + {0, 0.4}]}], {}], 
            Graphics[{{Purple, 
               PointSize[0.02], 
               Point[$CellContext`foc1$$]}, {Purple, 
               PointSize[0.02], 
               Point[$CellContext`foc2$$]}, {
               RGBColor[1, 0.47, 0], 
               PointSize[0.015], 
               Point[{$CellContext`h$4638, $CellContext`k$4638}]}}], Frame -> 
            False, Axes -> True, AxesOrigin -> {0, 0}, PlotRange -> 7, 
            GridLines -> {
              Table[{$CellContext`n$4638, 
                Lighter[Gray, 0.7]}, {$CellContext`n$4638, -7, 7, 1}], 
              Table[{$CellContext`n$4638, 
                Lighter[Gray, 0.7]}, {$CellContext`n$4638, -7, 7, 1}]}, 
            BaseStyle -> {12}, ImageSize -> 350]}, Alignment -> Center]]), 
      "Specifications" :> {{{$CellContext`conictype$$, \
$CellContext`ellipse$4638, ""}, {$CellContext`ellipse$4638 -> 
          "elipsa", $CellContext`hyperbola$4638 -> 
          "hyperbola", $CellContext`parabola$4638 -> "parabola"}, ControlType -> 
         RadioButtonBar, ControlPlacement -> Left, Appearance -> 
         "Vertical"}, {{$CellContext`showmeas$$, False, "popisky"}, {
         True, False}, ControlPlacement -> 
         Right}, {{$CellContext`showasymp$$, True, "asymptoty"}, {
         True, False}, ControlPlacement -> Right, Enabled -> Dynamic[
           
           If[$CellContext`conictype$$ === $CellContext`hyperbola$4638, True, 
            False]]}, {{$CellContext`showdirect$$, True, 
          "\:0159\[IAcute]dic\[IAcute] p\:0159\[IAcute]mka"}, {True, False}, 
         ControlPlacement -> Right, Enabled -> Dynamic[
           
           If[$CellContext`conictype$$ === $CellContext`parabola$4638, True, 
            False]]}, {{$CellContext`foc1$$, {1, 0}}, {-6, -6}, {6, 6}, 
         ControlType -> Locator, Appearance -> Style["\[FilledCircle]", 
           Opacity[0]]}, {{$CellContext`foc2$$, {-1, 0}}, {-6, -6}, {6, 6}, 
         ControlType -> Locator}, {{$CellContext`amult$$, 1.5, 
          Row[{"                 ", 
            Text[
             Style["a", Italic, 14]]}]}, 1, 3, Enabled -> Dynamic[
           
           If[$CellContext`conictype$$ === $CellContext`parabola$4638, False, 
            True]]}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`foc1$$, $CellContext`foc2$$, \
$CellContext`amult$$, $CellContext`conictype$$, $CellContext`showasymp$$, \
$CellContext`showdirect$$, $CellContext`showmeas$$}}, "DefaultOptions" :> {}],
     
     ImageSizeCache->{549., {243., 248.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.428118276453125*^9, 3.428118320171875*^9, 
  3.428118376515625*^9, 3.428118462984375*^9, 3.42811855565625*^9, 
  3.428118619390625*^9, 3.428138290375*^9, 3.428900783203125*^9, 
  3.4289009759375*^9, 3.428901047515625*^9, 3.428901284703125*^9, 
  3.42890147659375*^9, 3.428903798*^9}]
}, {2}]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Tento p\:0159\[IAcute]klad byl s \[UAcute]pravami p\:0159evzat ze \
str\[AAcute]nky\
\>", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 CellChangeTimes->{3.4289036316875*^9},
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Conic Sections: Move Foci",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSectionsMoveFoci/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ConicSectionsMoveFoci/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ConicSectionsMoveFoci/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSectionsMoveFoci/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ConicSectionsMoveFoci/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell["Rovnice ku\:017eelose\[CHacek]ek", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 CellChangeTimes->{{3.427788774578125*^9, 3.427788782*^9}},
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell["\<\
Studenti na st\:0159edn\[IAcute] \[SHacek]kole se tak\[EAcute] u\[CHacek]\
\[IAcute] popisovat ku\:017eelose\[CHacek]ky pomoc\[IAcute] \
analytick\[EAcute] geometrie. Mathematica n\[AAcute]m pom\:016f\:017ee si l\
\[EAcute]pe uv\:011bdomit, jakou roli maj\[IAcute] jednotliv\[EAcute] \
konstanty v\[NonBreakingSpace]rovnic\[IAcute]ch elipsy, paraboly nebo \
hyperboly. Zm\:011bny hodnot se ihned prom\[IAcute]tnou do obr\[AAcute]zku.\
\>", "Text",
 CellChangeTimes->{{3.428901839578125*^9, 3.42890189340625*^9}, 
   3.428902198515625*^9, {3.428902284*^9, 3.428902319609375*^9}, {
   3.428902820671875*^9, 3.428902894203125*^9}, {3.42890293371875*^9, 
   3.428902964875*^9}, {3.42890351915625*^9, 3.42890354496875*^9}},
 FontFamily->"Arial",
 Background->RGBColor[1., 1., 0.5019607843137255]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"h", ",", "k", ",", "type", ",", "label"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"h", ":=", 
       RowBox[{"center", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"k", ":=", 
       RowBox[{"center", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"type", ":=", 
       RowBox[{"Evaluate", "[", 
        RowBox[{"Switch", "[", 
         RowBox[{"conictype", ",", "\[IndentingNewLine]", "ellipse", ",", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "h"}], ")"}], "^", "2"}], "/", 
             RowBox[{"a", "^", "2"}]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "k"}], ")"}], "^", "2"}], "/", 
             RowBox[{"b", "^", "2"}]}]}], "\[Equal]", "1"}], ",", 
          "\[IndentingNewLine]", "parabolax", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"y", "-", "k"}], ")"}], "^", "2"}], "\[Equal]", " ", 
           RowBox[{"c", 
            RowBox[{"(", 
             RowBox[{"x", "-", "h"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
          "parabolay", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"x", "-", "h"}], ")"}], "^", "2"}], "\[Equal]", " ", 
           RowBox[{"c", 
            RowBox[{"(", 
             RowBox[{"y", "-", "k"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
          "hyperbolax", ",", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "h"}], ")"}], "^", "2"}], "/", 
             RowBox[{"a", "^", "2"}]}], "-", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "k"}], ")"}], "^", "2"}], "/", 
             RowBox[{"b", "^", "2"}]}]}], "\[Equal]", "1"}], ",", 
          "\[IndentingNewLine]", "hyperbolay", ",", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"x", "-", "h"}], ")"}], "^", "2"}]}], "/", 
             RowBox[{"a", "^", "2"}]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "k"}], ")"}], "^", "2"}], "/", 
             RowBox[{"b", "^", "2"}]}]}], "\[Equal]", "1"}]}], 
         "\[IndentingNewLine]", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"label", ":=", 
       RowBox[{"Evaluate", "[", 
        RowBox[{"Switch", "[", 
         RowBox[{"conictype", ",", "\[IndentingNewLine]", "ellipse", ",", 
          RowBox[{"HoldForm", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"x", "-", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
               "2"}], "/", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], "^", "2"}]}], 
             "+", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"y", "-", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
               "2"}], "/", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], "^", "2"}]}]}], 
            "=", "1"}], "]"}], ",", "\[IndentingNewLine]", "parabolax", ",", 
          RowBox[{"HoldForm", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"y", "-", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
             "2"}], "=", " ", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<c\>\"", ",", "Italic"}], "]"}], 
             RowBox[{"(", 
              RowBox[{"x", "-", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], ")"}]}]}], 
           "]"}], ",", "\[IndentingNewLine]", "parabolay", ",", 
          RowBox[{"HoldForm", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"x", "-", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
             "2"}], "=", " ", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<c\>\"", ",", "Italic"}], "]"}], 
             RowBox[{"(", 
              RowBox[{"y", "-", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}]}], ")"}]}]}], 
           "]"}], ",", "\[IndentingNewLine]", "hyperbolax", ",", 
          RowBox[{"HoldForm", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"x", "-", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
               "2"}], "/", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], "^", "2"}]}], 
             "-", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"y", "-", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
               "2"}], "/", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], "^", "2"}]}]}], 
            "=", "1"}], "]"}], ",", "\[IndentingNewLine]", "hyperbolay", ",", 
          
          RowBox[{"HoldForm", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"-", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"x", "-", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
                "2"}]}], "/", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], "^", "2"}]}], 
             "+", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"y", "-", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
               "2"}], "/", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], "^", "2"}]}]}], 
            "=", "1"}], "]"}]}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"a", "\[Equal]", "b"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"b", "\[Equal]", "6"}], ",", 
          RowBox[{"b", "=", 
           RowBox[{
            RowBox[{"b", ".."}], "01"}]}], ",", 
          RowBox[{"b", "=", 
           RowBox[{"b", "+", ".01"}]}]}], "]"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
       RowBox[{"Grid", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Text", "@", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"TraditionalForm", "[", 
                RowBox[{"Evaluate", "[", "label", "]"}], "]"}], ",", "20", 
               ",", 
               RowBox[{"Darker", "[", 
                RowBox[{"Blue", ",", "0.3"}], "]"}]}], "]"}]}], "}"}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"conictype", "===", "parabolax"}], "||", 
              RowBox[{"conictype", "===", "parabolay"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "c", ",", "\"\<;    \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "h", ",", "\"\<,  \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "k"}], "}"}], "]"}], ",", "Gray"}], 
                "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "a", ",", "\"\<,  \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "b", ",", "\"\<;    \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "h", ",", "\"\<,  \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "k"}], "}"}], "]"}], ",", "Gray"}], 
                "]"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"Dynamic", "[", 
             RowBox[{"Show", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"ContourPlot", "[", 
                RowBox[{
                 RowBox[{"Evaluate", "[", "type", "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x", ",", 
                   RowBox[{"-", "7"}], ",", "7"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"y", ",", 
                   RowBox[{"-", "7"}], ",", "7"}], "}"}], ",", 
                 RowBox[{"MaxRecursion", "\[Rule]", "2"}], ",", 
                 RowBox[{"ImagePadding", "\[Rule]", "0"}]}], "]"}], ",", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"showasymp", "&&", 
                  RowBox[{"Or", "[", 
                   RowBox[{
                    RowBox[{"conictype", "===", "hyperbolax"}], ",", 
                    RowBox[{"conictype", "===", "hyperbolay"}]}], "]"}]}], 
                 ",", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Dashing", "[", "Medium", "]"}], ",", "Orange", 
                    ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1000", "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"1000", "b"}], "+", "k"}]}], "}"}]}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"1000", "b"}], "+", "k"}]}], "}"}]}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1000", "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "b"}], "+", "k"}]}], "}"}]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "b"}], "+", "k"}]}], "}"}]}], 
                    "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{"showcenter", ",", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                   RowBox[{"Red", ",", 
                    RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], "]"}]}], "}"}], "]"}], 
                 ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{"showfoci", ",", "\[IndentingNewLine]", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                   RowBox[{"Purple", ",", 
                    RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Switch", "[", 
                    RowBox[{
                    "conictype", ",", "\[IndentingNewLine]", "hyperbolax", 
                    ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}], "+", "h"}], ",", "k"}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "k"}], "}"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    "hyperbolay", ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"h", ",", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                     "}"}], "]"}], ",", "\[IndentingNewLine]", "ellipse", ",",
                     
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"a", "\[GreaterEqual]", "b"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}], "+", "h"}], ",", "k"}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "k"}], "}"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"h", ",", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                     "}"}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
                    "parabolax", ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"c", "+", "h"}], ",", "k"}], "}"}], "]"}], ",", 
                    "parabolay", ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"h", ",", 
                    RowBox[{"c", "+", "k"}]}], "}"}], "]"}]}], "]"}]}], 
                   "\[IndentingNewLine]", "}"}], "]"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{"showdirect", ",", "\[IndentingNewLine]", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.2"}], "]"}], ",", 
                    RowBox[{"Dashing", "[", "Medium", "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Switch", "[", 
                    RowBox[{
                    "conictype", ",", "\[IndentingNewLine]", "hyperbolax", 
                    ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"a", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"a", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "10"}], "}"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "10"}], "}"}]}], "}"}]}], "}"}], "]"}], ",", 
                    "\[IndentingNewLine]", "hyperbolay", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"b", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"b", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                     "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                     "}"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    "ellipse", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"a", "\[GreaterEqual]", "b"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"a", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"a", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "10"}], "}"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "10"}], "}"}]}], "}"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"b", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"b", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                     "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                     "}"}]}], "}"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "parabolax", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"h", "-", "c"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"h", "-", "c"}], ",", "10"}], "}"}]}], "}"}], 
                    "]"}], ",", "parabolay", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{"k", "-", "c"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", 
                    RowBox[{"k", "-", "c"}]}], "}"}]}], "}"}], "]"}]}], 
                    "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"Frame", "\[Rule]", "False"}], ",", 
               RowBox[{"Axes", "\[Rule]", "True"}], ",", 
               RowBox[{"PlotRange", "\[Rule]", "7"}], ",", 
               RowBox[{"GridLines", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", " ", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "7"}], ",", "7", ",", "1"}], "}"}]}], "]"}], 
                  ",", 
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "7"}], ",", "7", ",", "1"}], "}"}]}], 
                   "]"}]}], "}"}]}], ",", 
               RowBox[{"BaseStyle", "\[Rule]", 
                RowBox[{"{", "12", "}"}]}], ",", 
               RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
               RowBox[{"PlotRangePadding", "\[Rule]", ".05"}]}], "]"}], "]"}],
             "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Checkbox", "[", 
                RowBox[{
                 RowBox[{"Dynamic", "[", "showcenter", "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"False", ",", "True"}], "}"}]}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\< st\:0159ed         \>\"", ",", "\"\<Label\>\""}], "]"}],
                ",", 
               RowBox[{"Checkbox", "[", 
                RowBox[{
                 RowBox[{"Dynamic", "[", "showfoci", "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"False", ",", "True"}], "}"}]}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\< ohniska            \>\"", ",", "\"\<Label\>\""}], "]"}],
                ",", "\[IndentingNewLine]", 
               RowBox[{"Checkbox", "[", 
                RowBox[{
                 RowBox[{"Dynamic", "[", "showdirect", "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"False", ",", "True"}], "}"}]}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\< \:0159\[IAcute]dic\[IAcute] p\:0159\[IAcute]mky       \
\>\"", ",", "\"\<Label\>\""}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Checkbox", "[", 
                RowBox[{
                 RowBox[{"Dynamic", "[", "showasymp", "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"False", ",", "True"}], "}"}]}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"conictype", "===", "hyperbolax"}], "||", 
                    RowBox[{"conictype", "===", "hyperbolay"}]}], ",", 
                   "\"\< asymptoty\>\"", ",", "\"\< --------\>\""}], "]"}], 
                 ",", "\"\<Label\>\""}], "]"}]}], "}"}], "]"}], "}"}]}], 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], ",", 
         RowBox[{"Alignment", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Center", ",", "Top"}], "}"}]}], ",", 
         RowBox[{"ItemSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<Rows\>\"", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"4", ",", "0.5", ",", "Automatic"}], "}"}]}], "}"}]}]}], 
        "]"}], "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", "]"}],
    ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"conictype", ",", "ellipse", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"ellipse", "\[Rule]", "\"\<elipsa\>\""}], ",", 
       RowBox[{"parabolax", "\[Rule]", "\"\<parabola-x\>\""}], ",", 
       RowBox[{"parabolay", "\[Rule]", "\"\<parabola-y\>\""}], ",", 
       RowBox[{"hyperbolax", "\[Rule]", "\"\<hyperbola-x\>\""}], ",", 
       RowBox[{"hyperbolay", "\[Rule]", "\"\<hyperbola-y\>\""}]}], "}"}], ",",
      
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "2", ",", "\"\<                             a\>\""}], 
      "}"}], ",", "0.01", ",", "6", ",", 
     RowBox[{"ControlType", "\[Rule]", "Slider"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"Not", "[", 
       RowBox[{"Or", "[", 
        RowBox[{
         RowBox[{"conictype", "===", "parabolax"}], ",", 
         RowBox[{"conictype", "===", "parabolay"}]}], "]"}], "]"}]}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "3"}], "}"}], ",", "0.01", ",", "6", ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"Not", "[", 
       RowBox[{"Or", "[", 
        RowBox[{
         RowBox[{"conictype", "===", "parabolax"}], ",", 
         RowBox[{"conictype", "===", "parabolay"}]}], "]"}], "]"}]}], ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Right"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<\>\"", ",", "25"}], "]"}], ",", "\[IndentingNewLine]", 
   "\"\<            (h, k)\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"center", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Slider2D"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "1"}], "}"}], ",", 
     RowBox[{"-", "24"}], ",", "24", ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"Or", "[", 
       RowBox[{
        RowBox[{"conictype", "===", "parabolax"}], ",", 
        RowBox[{"conictype", "===", "parabolay"}]}], "]"}]}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Right"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showcenter", ",", "True", ",", "\"\<st\:0159ed\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showfoci", ",", "True", ",", "\"\<ohniska\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "showdirect", ",", "False", ",", 
       "\"\<\:0159\[IAcute]dic\[IAcute] p\:0159\[IAcute]mky\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showasymp", ",", "False", ",", "\"\<asymptoty\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "1", ",", "2", ",", "3", ",", "4", ",", "6", ",", "7", ",", "8"}], 
     "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{
     "a", ",", "b", ",", "c", ",", "center", ",", "conictype", ",", 
      "showcenter", ",", "showfoci", ",", "showdirect", ",", "showasymp"}], 
     "}"}]}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.36260098856371*^9, 3.36260126833601*^9, {
   3.36260151174601*^9, 3.36260153283634*^9}, 3.36260193103893*^9, {
   3.36260216251177*^9, 3.3626021639939*^9}, {3.36907620174715*^9, 
   3.3690762027586*^9}, {3.36926335601601*^9, 3.36926335903035*^9}, {
   3.373827855440267*^9, 3.37382792032142*^9}, {3.383670013459155*^9, 
   3.383670013865405*^9}, {3.383841380140625*^9, 3.38384138571875*^9}, {
   3.383841472703125*^9, 3.38384148721875*^9}, {3.383841518125*^9, 
   3.383841518390625*^9}, {3.3838415545625*^9, 3.3838415910625*^9}, {
   3.383841639890625*^9, 3.383841682921875*^9}, {3.383841716984375*^9, 
   3.38384176596875*^9}, {3.383841806640625*^9, 3.383841845484375*^9}, {
   3.383841878703125*^9, 3.383841879171875*^9}, {3.38686209596875*^9, 
   3.386862100859375*^9}, {3.38686217790625*^9, 3.386862237703125*^9}, {
   3.428118838078125*^9, 3.428118873609375*^9}, {3.42811891671875*^9, 
   3.428118934578125*^9}, {3.4281191024375*^9, 3.428119109390625*^9}, {
   3.42812495259375*^9, 3.428124954078125*^9}, {3.428138305359375*^9, 
   3.4281383091875*^9}, {3.4309791850625*^9, 3.43097920578125*^9}, {
   3.43097925425*^9, 3.43097925653125*^9}},
 CellID->209153169],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 2, $CellContext`b$$ = 
    3, $CellContext`c$$ = 1, $CellContext`center$$ = {0, 
    0}, $CellContext`conictype$$ = $CellContext`parabolay, \
$CellContext`showasymp$$ = False, $CellContext`showcenter$$ = 
    True, $CellContext`showdirect$$ = False, $CellContext`showfoci$$ = True, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`conictype$$], $CellContext`ellipse, 
       ""}, {$CellContext`ellipse -> "elipsa", $CellContext`parabolax -> 
       "parabola-x", $CellContext`parabolay -> 
       "parabola-y", $CellContext`hyperbolax -> 
       "hyperbola-x", $CellContext`hyperbolay -> "hyperbola-y"}}, {{
       Hold[$CellContext`a$$], 2, "                             a"}, 0.01, 
      6}, {{
       Hold[$CellContext`b$$], 3}, 0.01, 6}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["", 25]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold["            (h, k)"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`center$$], {0, 0}, ""}, {-2, -2}, {2, 2}}, {{
       Hold[$CellContext`c$$], 1}, -24, 24}, {{
       Hold[$CellContext`showcenter$$], True, "st\:0159ed"}, {
      True, False}}, {{
       Hold[$CellContext`showfoci$$], True, "ohniska"}, {True, False}}, {{
       Hold[$CellContext`showdirect$$], False, 
       "\:0159\[IAcute]dic\[IAcute] p\:0159\[IAcute]mky"}, {True, False}}, {{
       Hold[$CellContext`showasymp$$], False, "asymptoty"}, {True, False}}}, 
    Typeset`size$$ = {350., {214., 219.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`conictype$114555$$ = False, $CellContext`a$114556$$ = 
    0, $CellContext`b$114557$$ = 0, $CellContext`center$114558$$ = {0, 
    0}, $CellContext`c$114559$$ = 0, $CellContext`showcenter$114560$$ = 
    False, $CellContext`showfoci$114561$$ = 
    False, $CellContext`showdirect$114562$$ = 
    False, $CellContext`showasymp$114563$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 2, $CellContext`b$$ = 
        3, $CellContext`c$$ = 
        1, $CellContext`center$$ = {0, 
         0}, $CellContext`conictype$$ = $CellContext`ellipse, \
$CellContext`showasymp$$ = False, $CellContext`showcenter$$ = 
        True, $CellContext`showdirect$$ = False, $CellContext`showfoci$$ = 
        True}, "ControllerVariables" :> {
        Hold[$CellContext`conictype$$, $CellContext`conictype$114555$$, 
         False], 
        Hold[$CellContext`a$$, $CellContext`a$114556$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$114557$$, 0], 
        Hold[$CellContext`center$$, $CellContext`center$114558$$, {0, 0}], 
        Hold[$CellContext`c$$, $CellContext`c$114559$$, 0], 
        Hold[$CellContext`showcenter$$, $CellContext`showcenter$114560$$, 
         False], 
        Hold[$CellContext`showfoci$$, $CellContext`showfoci$114561$$, False], 
        
        Hold[$CellContext`showdirect$$, $CellContext`showdirect$114562$$, 
         False], 
        Hold[$CellContext`showasymp$$, $CellContext`showasymp$114563$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      DynamicModule[{$CellContext`h, $CellContext`k, $CellContext`type, \
$CellContext`label}, $CellContext`h := 
         Part[$CellContext`center$$, 1]; $CellContext`k := 
         Part[$CellContext`center$$, 2]; $CellContext`type := Evaluate[
           
           Switch[$CellContext`conictype$$, $CellContext`ellipse, \
($CellContext`x - $CellContext`h)^2/$CellContext`a$$^2 + ($CellContext`y - \
$CellContext`k)^2/$CellContext`b$$^2 == 
            1, $CellContext`parabolax, ($CellContext`y - $CellContext`k)^2 == \
$CellContext`c$$ ($CellContext`x - $CellContext`h), $CellContext`parabolay, \
($CellContext`x - $CellContext`h)^2 == $CellContext`c$$ ($CellContext`y - \
$CellContext`k), $CellContext`hyperbolax, ($CellContext`x - \
$CellContext`h)^2/$CellContext`a$$^2 - ($CellContext`y - \
$CellContext`k)^2/$CellContext`b$$^2 == 
            1, $CellContext`hyperbolay, (-($CellContext`x - \
$CellContext`h)^2)/$CellContext`a$$^2 + ($CellContext`y - \
$CellContext`k)^2/$CellContext`b$$^2 == 1]]; $CellContext`label := Evaluate[
           Switch[$CellContext`conictype$$, $CellContext`ellipse, 
            
            HoldForm[($CellContext`x - Style["h", Italic])^2/
               Style["a", Italic]^2 + ($CellContext`y - Style["k", Italic])^2/
               Style["b", Italic]^2 = 1], $CellContext`parabolax, 
            
            HoldForm[($CellContext`y - Style["k", Italic])^2 = 
             Style["c", Italic] ($CellContext`x - Style[
               "h", Italic])], $CellContext`parabolay, 
            
            HoldForm[($CellContext`x - Style["h", Italic])^2 = 
             Style["c", Italic] ($CellContext`y - Style[
               "k", Italic])], $CellContext`hyperbolax, 
            
            HoldForm[($CellContext`x - Style["h", Italic])^2/
               Style["a", Italic]^2 - ($CellContext`y - Style["k", Italic])^2/
              Style["b", Italic]^2 = 1], $CellContext`hyperbolay, 
            
            HoldForm[(-($CellContext`x - Style["h", Italic])^2)/
               Style["a", Italic]^2 + ($CellContext`y - Style["k", Italic])^2/
               Style["b", Italic]^2 = 1]]]; 
        If[$CellContext`a$$ == $CellContext`b$$, 
          
          If[$CellContext`b$$ == 6, $CellContext`b$$ = 
           Repeated[$CellContext`b$$] 1, $CellContext`b$$ = $CellContext`b$$ + 
            0.01]]; Deploy[
          Grid[{{
             Text[
              Style[
               TraditionalForm[
                Evaluate[$CellContext`label]], 20, 
               Darker[Blue, 0.3]]]}, 
            If[
             
             Or[$CellContext`conictype$$ === $CellContext`parabolax, \
$CellContext`conictype$$ === $CellContext`parabolay], {
              Text[
               Style[
                Row[{
                  Style["c", Italic], " = ", $CellContext`c$$, ";    ", 
                  Style["h", Italic], " = ", $CellContext`h, ",  ", 
                  Style["k", Italic], " = ", $CellContext`k}], Gray]]}, {
              Text[
               Style[
                Row[{
                  Style["a", Italic], " = ", $CellContext`a$$, ",  ", 
                  Style["b", Italic], " = ", $CellContext`b$$, ";    ", 
                  Style["h", Italic], " = ", $CellContext`h, ",  ", 
                  Style["k", Italic], " = ", $CellContext`k}], Gray]]}], {
             Dynamic[
              Show[
               ContourPlot[
                
                Evaluate[$CellContext`type], {$CellContext`x, -7, 
                 7}, {$CellContext`y, -7, 7}, MaxRecursion -> 2, ImagePadding -> 
                0], 
               If[
                And[$CellContext`showasymp$$, 
                 
                 Or[$CellContext`conictype$$ === $CellContext`hyperbolax, \
$CellContext`conictype$$ === $CellContext`hyperbolay]], 
                Graphics[{
                  Dashing[Medium], Orange, 
                  
                  Line[{{{$CellContext`h, $CellContext`k}, {
                    1000 $CellContext`a$$ + $CellContext`h, 
                    1000 $CellContext`b$$ + $CellContext`k}}, \
{{$CellContext`h, $CellContext`k}, {(-1000) $CellContext`a$$ + $CellContext`h,
                     1000 $CellContext`b$$ + $CellContext`k}}, \
{{$CellContext`h, $CellContext`k}, {
                    1000 $CellContext`a$$ + $CellContext`h, (-1000) \
$CellContext`b$$ + $CellContext`k}}, {{$CellContext`h, $CellContext`k}, \
{(-1000) $CellContext`a$$ + $CellContext`h, (-1000) $CellContext`b$$ + \
$CellContext`k}}}]}], {}], 
               If[$CellContext`showcenter$$, 
                Graphics[{Red, 
                  PointSize[0.02], 
                  Point[{$CellContext`h, $CellContext`k}]}], {}], 
               If[$CellContext`showfoci$$, 
                Graphics[{Purple, 
                  PointSize[0.02], 
                  Switch[$CellContext`conictype$$, $CellContext`hyperbolax, 
                   
                   Point[{{
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h, $CellContext`k}, {-
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h, $CellContext`k}}], $CellContext`hyperbolay, 
                   
                   Point[{{$CellContext`h, 
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k}, {$CellContext`h, -
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k}}], $CellContext`ellipse, 
                   If[$CellContext`a$$ >= $CellContext`b$$, 
                    
                    Point[{{
                    Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h, $CellContext`k}, {-
                    Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h, $CellContext`k}}], 
                    
                    Point[{{$CellContext`h, 
                    Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k}, {$CellContext`h, -
                    Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k}}]], $CellContext`parabolax, 
                   
                   Point[{$CellContext`c$$ + $CellContext`h, \
$CellContext`k}], $CellContext`parabolay, 
                   
                   Point[{$CellContext`h, $CellContext`c$$ + \
$CellContext`k}]]}], {}], 
               If[$CellContext`showdirect$$, 
                Graphics[{
                  Darker[Green, 0.2], 
                  Dashing[Medium], 
                  Switch[$CellContext`conictype$$, $CellContext`hyperbolax, 
                   
                   Line[{{{(-$CellContext`a$$^2)/
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h, -10}, {(-$CellContext`a$$^2)/
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h, 10}}, {{$CellContext`a$$^2/
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h, -10}, {$CellContext`a$$^2/
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h, 10}}}], $CellContext`hyperbolay, 
                   
                   Line[{{{-10, (-$CellContext`b$$^2)/
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k}, {10, (-$CellContext`b$$^2)/
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k}}, {{-10, $CellContext`b$$^2/
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k}, {10, $CellContext`b$$^2/
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k}}}], $CellContext`ellipse, 
                   If[$CellContext`a$$ >= $CellContext`b$$, 
                    
                    Line[{{{(-$CellContext`a$$^2)/
                    Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h, -10}, {(-$CellContext`a$$^2)/
                    Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h, 10}}, {{$CellContext`a$$^2/
                    Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h, -10}, {$CellContext`a$$^2/
                    Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h, 10}}}], 
                    
                    Line[{{{-10, (-$CellContext`b$$^2)/
                    Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k}, {10, (-$CellContext`b$$^2)/
                    Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k}}, {{-10, $CellContext`b$$^2/
                    Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k}, {10, $CellContext`b$$^2/
                    Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k}}}]], $CellContext`parabolax, 
                   
                   Line[{{$CellContext`h - $CellContext`c$$, -10}, \
{$CellContext`h - $CellContext`c$$, 10}}], $CellContext`parabolay, 
                   
                   Line[{{-10, $CellContext`k - $CellContext`c$$}, {
                    10, $CellContext`k - $CellContext`c$$}}]]}], {}], Frame -> 
               False, Axes -> True, PlotRange -> 7, GridLines -> {
                 Table[{$CellContext`n, 
                   Lighter[Gray, 0.7]}, {$CellContext`n, -7, 7, 1}], 
                 Table[{$CellContext`n, 
                   Lighter[Gray, 0.7]}, {$CellContext`n, -7, 7, 1}]}, 
               BaseStyle -> {12}, ImageSize -> 350, PlotRangePadding -> 
               0.05]]}, {
             Row[{
               Checkbox[
                Dynamic[$CellContext`showcenter$$], {False, True}], 
               Style[" st\:0159ed         ", "Label"], 
               Checkbox[
                Dynamic[$CellContext`showfoci$$], {False, True}], 
               Style[" ohniska            ", "Label"], 
               Checkbox[
                Dynamic[$CellContext`showdirect$$], {False, True}], 
               Style[
               " \:0159\[IAcute]dic\[IAcute] p\:0159\[IAcute]mky       ", 
                "Label"], 
               Checkbox[
                Dynamic[$CellContext`showasymp$$], {False, True}], 
               Style[
                If[
                 
                 Or[$CellContext`conictype$$ === $CellContext`hyperbolax, \
$CellContext`conictype$$ === $CellContext`hyperbolay], " asymptoty", 
                 " --------"], "Label"]}]}}, Alignment -> {Center, Top}, 
           ItemSize -> {"Rows" -> {4, 0.5, Automatic}}]]], 
      "Specifications" :> {{{$CellContext`conictype$$, $CellContext`ellipse, 
          ""}, {$CellContext`ellipse -> "elipsa", $CellContext`parabolax -> 
          "parabola-x", $CellContext`parabolay -> 
          "parabola-y", $CellContext`hyperbolax -> 
          "hyperbola-x", $CellContext`hyperbolay -> "hyperbola-y"}, 
         ControlType -> RadioButtonBar, ControlPlacement -> Left, Appearance -> 
         "Vertical"}, {{$CellContext`a$$, 2, 
          "                             a"}, 0.01, 6, ControlType -> Slider, 
         ImageSize -> 350, Enabled -> Dynamic[
           Not[
            
            Or[$CellContext`conictype$$ === $CellContext`parabolax, \
$CellContext`conictype$$ === $CellContext`parabolay]]], ControlPlacement -> 
         Top}, {{$CellContext`b$$, 3}, 0.01, 6, Enabled -> Dynamic[
           Not[
            
            Or[$CellContext`conictype$$ === $CellContext`parabolax, \
$CellContext`conictype$$ === $CellContext`parabolay]]], ControlType -> 
         VerticalSlider, ControlPlacement -> Right}, "", "", "", 
        Style["", 25], 
        "            (h, k)", {{$CellContext`center$$, {0, 0}, 
          ""}, {-2, -2}, {2, 2}, ControlType -> Slider2D, ControlPlacement -> 
         Left}, {{$CellContext`c$$, 1}, -24, 24, Enabled -> Dynamic[
           
           Or[$CellContext`conictype$$ === $CellContext`parabolax, \
$CellContext`conictype$$ === $CellContext`parabolay]], ControlPlacement -> 
         Right, ControlType -> 
         VerticalSlider}, {{$CellContext`showcenter$$, True, "st\:0159ed"}, {
         True, False}, ControlPlacement -> Left, ControlType -> 
         None}, {{$CellContext`showfoci$$, True, "ohniska"}, {True, False}, 
         ControlPlacement -> Left, ControlType -> 
         None}, {{$CellContext`showdirect$$, False, 
          "\:0159\[IAcute]dic\[IAcute] p\:0159\[IAcute]mky"}, {True, False}, 
         ControlPlacement -> Left, ControlType -> 
         None}, {{$CellContext`showasymp$$, False, "asymptoty"}, {
         True, False}, ControlPlacement -> Left, ControlType -> None}}, 
      "Options" :> {
       ControlPlacement -> Left, AutorunSequencing -> {1, 2, 3, 4, 6, 7, 8}, 
        TrackedSymbols :> {$CellContext`a$$, $CellContext`b$$, \
$CellContext`c$$, $CellContext`center$$, $CellContext`conictype$$, \
$CellContext`showcenter$$, $CellContext`showfoci$$, \
$CellContext`showdirect$$, $CellContext`showasymp$$}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{525., {258., 263.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.428118887546875*^9, 3.428118897796875*^9}, 
   3.428118936734375*^9, 3.42811911115625*^9, 3.42811916253125*^9, 
   3.428124955046875*^9, 3.428138356640625*^9, 3.43097927928125*^9, 
   3.430979337671875*^9}]
}, {2}]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Tento p\:0159\[IAcute]klad byl s \[UAcute]pravami p\:0159evzat ze \
str\[AAcute]nky\
\>", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 CellChangeTimes->{3.428903628125*^9},
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Conic Section Curves",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSectionCurves/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ConicSectionCurves/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ConicSectionCurves/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSectionCurves/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ConicSectionCurves/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{773, 771},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
DockedCells->FEPrivate`If[
  FEPrivate`SameQ[FEPrivate`$ProductIDName, "MathematicaPlayer"], 
  FEPrivate`Join[{
    Cell[
     BoxData[
      Cell[
       GraphicsData[
       "CompressedBitmap", 
        "eJy9XXd4FEeWHysRDKwxJoNlQDmQkRAoYoKEDQIbFhPMGXvB2IDx4rDnsAu7\n\
BntJwhgEiCCQQBmBAkpIQkIBJZRzQgIRP/vu9tu7+76L+7uq7qqe6pmekQTs\n\
/TGMprq6Xqiq93vv1etm2abPt27esenzjz7Y9NqSXZs+3frRB5+9tnjnLtJk\n\
+YJOZ+Gu0+mcX9PRv0H+ZP+8gs7OTp0VqvPycSnwTeRHRKK9tdVaah6Ehrp6\n\
3PYPQs8Ed5S5TEWznzfu/UMw7n6yFlUb1uD2xYs6S6nvAHR2dKD66hXk79iO\n\
gjnzUDzKEQkzPFFx6ZIOtM/fpI66kYxk5nd7cXm8A2I2b0NVcbGV1DwCHWSY\n\
+rfW4Z7DTNyxn42Wpf5o3xiEB9vext13g9H03irUhZ9CbcoVVJ45jbztH6Nw\n\
njdqp7mhyNUVZ8ZMwZUVb6G9sVGDrA3qqqoQ7zYHcYMn4vwMLxQfPY767FwL\n\
6fLLaG9uRtuqlbjn6YW2GXNRM88DTesWofuz1Xj03XrcX0/YWfY6WoID0Lx6\n\
ISp8ZqJ8ljsqZkxHtK0Twij5lW9JlCFTHiV9jUUyEThtxGRkj7BDEvlOd5yG\n\
mzs+RVnoSZSsX4eHnh646++LRm9vtNpNR4PPbHR/twoP//g2Oj8PRtvmQDQt\n\
mY3mra/jlv9sFARMRfxUN5yztcd5Jxdc//S3OmO641FTXIREB3fEjJpCPnbI\n\
GW+HtAn2iLV3QJGDEx66zcZ9P190LvZH16x56HB3w52di3D/zAbcO7YO7V8E\n\
omyTH0rXeyF39VwkvT4HYQ7OODR2Ak64uKEyIUGiShaAbqBE0xJ1mZmoz82V\n\
fkns/FXkaRw62tqQvvLXuPTSq0jw9sKtP76Pij9vRcn+rag8uBUNhz9G4487\n\
0HB8Jxp++gR1h7ai7sR2NMZ8gYZLX6Ix6kvUnPstqkK3o/LEDpQf+wSlBz9G\n\
xvZVOD59Kq5//Q0KDxy0ZpPe0daKiosXUXo6DJnr1iH97dW4HRcncfavMmej\n\
pa8puEVmI97NBVXnvkTzlcOojTmKpvhjuJ92Gt1pYehOPYWu1DDcST+Hroyz\n\
6Lz8Ezqjj6CTXGvPPoPWnDNoJH/XJoaiNu4Y6hJ/QlNKKHI+/xCXHNyQ8clO\n\
lBFWyuknIgIlp07h6voNSAhegUSyjrPJ7F8nLDbm58ua+zeRv8koOBSC2CAf\n\
NFzeh9sRYai8FIGHqTHoSovCP9dk4y+3s/Fzfgoe5mfgUUEanqRE4edrMXiU\n\
HI0HqdHoSYlFW1Is2qMi0RJ1AVVnCL/nI9BOeDk91QXfT7ZFiJMTDrm64exM\n\
sqg9ZiLWeSpuTfNE0VxfZG35EG119U0SO9ZovZqKKhdvVL7kgprgDfS3bgJb\n\
BMXFxfLCIL/+ynZ9Wloatm3bhh9++AGNjY3yrtf9it1BbQi/w4oJ3NbcioSV\n\
KxC9dD7q4r4n038WPZcj8UtBMs75+CI5KAitaRH4p4Yb6MlPw/0bSXhSnITH\n\
WTHoSSTKSbiAB1HhuHPhHDrPnsXdC+FoPhWGhqgodF5LwQHPadg/fTJC3Kfg\n\
tLszssjOL3k9ADV+Acjx8iMT9wUVuJkJ3FFZjSqPJah8dZYkNBGe7DGZ/crK\n\
Spw4cUL69a9MCKqExMREfPXVVwgPD1cJ7IjCwyHIev99otUtuL7jE+T/sB9V\n\
KddQfT0LBR9tQR7Z2ylv+qI+7gfcTzmPRxlReFKdicT5fijTTcS1iS7I2bUV\n\
bfmX8bgyCw+J4A9yY3Ev+SIR/gLuEeHvEOFbz59FY8RZYjFPojUuBveyUpG0\n\
2Bv5QfPRuGwhWgMWo9k3EOUBAUjz88fNfd/r2pkEbXk3JUnpp/mnsHEawv47\n\
a4siOqWCstmkkg6WvoiVKCpCVcR5NJ4JQ/XFSJRGRaMw4iIKtm9H3bQZ6Hp5\n\
Eu4Mn4z2oZPQ5uSMBzPc8MjOFTfe8ENV3D6y986jO/0Sem6nIdY3AOWDHFA7\n\
zBk3dJOQ4DYTN77/Gl1lKXhQmIiulAh0JoSj4/J5tMaGo/rCaZSGheL2qWO4\n\
kxiLzuvXUPbWG2hZtQzt5PvO2mDULl6IdI95uLaBLOKamg4mQ82CFZLgdRs+\n\
1JmTnE4zXdfkWy25K+oqylFIDM/1t1bitpMbSkdPRswIW0SPm4I8e0dkjLFF\n\
zYuTcPcVO3S6uaLdZw66p09HzooAlEb+kezWM+jIuIg7ZcmIIosyf4gDike7\n\
oWSMG4qHOSBpGBnPfwGKQ/eh/Xo0WuLPoiHuHLEMZ1F67iQKfgrBrWMhZJMk\n\
oPV6Kio+XIPubzbi3taVBOoWIdvPBxkbNtJFrhvC5rw5IkaZc7LSpVVrSX8R\n\
4eg1vkktGPjTXVH30WeKKaDf9Ddpl9VhwW5u+N1u4WbaZiW20b+lZitmueni\n\
o3aFMSINStqkPhb6gbUHsWCTQ68xaaijwm+yEUVROpGZFjh+UenDReQbn3JF\n\
uZOMAd0aETFs5q3RuPeQXhXkem/SWjJ/i1pTQl+tRvKbtrP+Ov0NpnX6otLW\n\
F64tOEqSvqKuqRQKmREqxumHMkW7i4LSPn0haWN+ZvrHvyXfq4x3apKthYVJ\n\
x+L9BY3qLEwpcYDGRudtdJNTENObOEsKZNi1axe9piwBbgppf/pNfjNIGyCN\n\
SdvpPfReSpeOuWfPHsIUHWUQ/Ru5sgel0Dxy5IhyH8ESNp45WtrX+L7gYKzf\n\
yZYSVtE28s2UqO5nY2ZcSw0d2RiMIeuI/juYQ4XyITJxPUqysnu4kaHqoGrh\n\
JOlv+k1ZlfsMk9RJ1cuHodepbebtXH10eHo//U2u8S1gODMqDmykkajnwgSR\n\
/iZtWvq0ZAwJuuiNCXGuB5igSOUn8lqyy6JK6IeOLohDFzAlImqDKHmgcLeh\n\
OKTN0qQ41ipx2HVl2ik1el2/FBieOKGVSFdK4oTb23agx3E6euydUGTngjxH\n\
4hnMnIaWSS644zoVbXO9cGehH7LfDUTBud2oiz9NvOkLaCmMxxlfP1x5yQ7p\n\
Y12RNtaFfFyRNcYVV4ZNQRiJbS4GL0PhiYOoiCVe9YUwFB4/gsIjB1AZcwoN\n\
N1LQmJOKht0b8cuP7+HBFytR9UYAkr19SFBweiiTTjBH0ofCl4Xg6YrXqC3m\n\
WlGcQnaNeA2Kvaft9Dpb5E8LhNzKUkNInRLmg/4dgFAwlSqY4X2oK8RGpXJa\n\
KbaZ2WO++ESFUe4ZEPbO52DqZoruh15gWe/G2Glaq/q2vvKtQKA8kfx+Lb4J\n\
n5asWWKReT2EkjlCvYBf3zm2FN0y7iOIbpnBmhR1+PToRxFCRD+KBNyyc8K8\n\
jVp02p9+c9Mg9xmoWD7al/YR7C01WhaSXR8s2S/ahRtHbjjpLbSdgWHfKQ82\n\
10ciwzCQ7xrOKIVcPnccJuX931fSagUajkXllX6RqJfbWBEWuaJEi85hhf6m\n\
5lvUikBL6kOtvzgOHZfiC8dL3k7HYffLbL+oOVeCCqS1wljQyRNnowxDrwla\n\
tWKTIHLXKwdqxVkLK5R2k/0mWX0cX0WngCqTtovKYStbUR7zYZQ+ZMwBBvOj\n\
F85SgU09GfWaEPGSS8muKxtHHJfhpZwXGI6mm4VoDtmProVz0e7sjlav2ahZ\n\
4oWWJfPQPXMu7s0LQPqaQOSe+QNKo0+hLPY0anJiEeLtjZBf2eLkGAeqi9EO\n\
ZCzyN06NssehIRPw3QQ7hK9fh7xTR5AZcgC5xw+gPPEMam8moy4/BS37/wGP\n\
dq9C51o/3FzghatvkCj5dqWOA6RoG9Xhgxz0iNeo9eJ+igis3FCR776Y7d4A\n\
UiZhpYIbaehOVVBAB3hWnLQUg0GdtuGlbdZKP26wFYPLCBvBjrpZinD7yCsn\n\
oajbgt4u+//ioL3gpLXS1leeOXM0nOLMKc0DVDyL8Sxljg9L/SKBnAlqveBl\n\
/zmnEyR6GCpvTriFDKefCfWcPB1kcqa40WGuO59KbgL1XW0Ue8VVyYyGpXAL\n\
teOiWeSuvLlhGCnLvlwepLqsZfYJIukMraXIUV8EY3rSGsbGzDDcEHfqAxLK\n\
FncHeBO3wRxLSRcWIvc+rJHarVVKoBNO0EOJuCmScHThJp9fE1lhZBUbaUiS\n\
9eXCMzICulgq0uh1rdYrvU7vIettMLuFLj3mYel4bMHzCjwGVSG1OQyzkpjm\n\
aQAl8CSgQ79eQmdqEgnnFqE7yBN3VnihdVMgWjcsQc9Sf2SsD0Rm2O9ReO4I\n\
isJ/wu1rkdjnORefDR2Hb0fa4utRtlb4ZqQtwe9vR03C18MnYueQ0fja0QVn\n\
338Pt66EoTz5DGqKr6Im+wpaDmzCL39+B63vL0G2vw+uBgcPY/yLCSq1edBH\n\
fErQ47FEn09iuV/qe2u1mTQH/YUrYga5CRDs0jPD1QAFhjg0c00Y+P/GeEXY\n\
UBtpQwuqJmrZG6fy6lRZXQqhWpa93zjVG69afGmQkF0ZBvOETz3ZThXOmiHX\n\
b6DqVc3WEroyeDdaoHzRkphTO4DsPzYNVOyHaOL46QYZg1srnuzhh3wGMZNw\n\
hzLLxtTUw/RCxejyQNVlzi+PdIhl4qfRIpZYaTBoSiYzkGRtchg1OJgDAIr+\n\
ZEZUKGmoH3GsXnCIJfcUUtz49wWH5KBGm6QBDjEyKhwST7+sGQke03FJKWsv\n\
CrjFtWZloHw2dl9ASIk8GKZxsCff7JruZelrGDqKb6Ftwwp0+c/G/W0EgXa9\n\
ge4NC5Cx3B95JIiqijiK6pRw1OclYP+8+fj2VxOwb4ydDfaOnkJu3ztmCv0L\n\
vx8yHntenoDI4CAURP+IlopU1JO4qT10C/7l5EZ0f7QEhYt8kLSUxE1VVUOY\n\
bOLe5saBBCZKjMJARet4x9rQbul7PRX+KPlEZjvYoT03gc8lnzhAzBWqhKbW\n\
Sxhdn3iUzngYDhOrqOLA4JTOUEMmEMcoAJKi0H7HRTb6bJxJFg3PRPuEN8o0\n\
kjYhP6zgQV/JWZmfi77wr87/cnAS4nM1f3IbT43KkROP3vqHQENU27pTSMfw\n\
VIyBHeXGxbQ1UKfTrNi/PJ1G23Nzc62Y5rjRUI1upYyuah5g2Kz4voRnnTmo\n\
MW5TC8CZNYczWmcxPCnXm4Hn43M5uGWmYxq4/Jq5LG5mxfnQK7g3zNPO9GnQ\n\
NpfpE9ushDZ+yigeEQqpOYVVGWZllOP5SBHA+FTqaVpzJ6JX9RqiEZ8qKh69\n\
n0ZaDI1GSF9D0Zabg673gnBv43y0vxeAe3t/jeztK1F0+g9ojD2BlvQItBUn\n\
4oS3L84On4Koca5kk14a50Kg6OIoR0SPccS12Z7I2rweqX/+ggRCJ9FVmoTW\n\
onR0nNyMv5xdj57NC9C0aj4yAvxwbf27HIqUyg6yy3kMQiwC9zd4hCBd4l6q\n\
ypH++wCSpXSqz+CC0HgOKDTIKKoRCwfo33rWrMXMnjzgq7NkNp4agCxFpCGM\n\
aYJSn6MdY76eDXX4zuptXC14sWAhMZ0u1lenuUKMB9dPihILksmhv7kTRGJV\n\
ebCBZpdUf0DFVPrqKUCFtlnrMyAcUHQiohhBh4lmS7GZFX5YKkUfopB/L1TR\n\
OrHoL6rwuEAo3pAle/5QYmM0s4yoVf/xY6DRWPzkSCzqGMDEEfrpxNQrzZyJ\n\
mMGP5vqLGfQ+EWvIGBwzXmGLuvXoXrSv9kXLjkB0/Gk1sj97G6Vnif8VGYrm\n\
xHB03LiMsz5+SBlmj+tj3axobQQJf7JGueD6CCcUOs1A8TsrcPWrnciJPY2W\n\
0hR0FCag69YVtN9IRkfoZvzLwRV48vkS3N0ehHJ/L6R4+6D4SAhaa2sHM9Up\n\
0QvZrcrOHKhsdh7kiBta7Ro+b/jgy5sCFjUtWqM9A3wIEKky3aw2Tp8xMiqK\n\
lBGNtuszS88WywgHbHyzikcVKl32uSrCPMPPhjED+ziuFsZYsX40ank63gcZ\n\
BZc01hUnkfxW7jdKjYr8EPh6CiAaqtryYmRjCER9SUYZeMlC3Zgq8cQzPtyq\n\
Gg5H73s+iTZqs1j4Yxj9JCqVDPJZVx/yhyZybfqRrJWuXPSnzbnRTNRAtvDo\n\
mHQ8lpHqK2b1PdemVTNjkmzfoEsNg1wbJOzgFHktg4hWfO7F/cYiIxWCcRTs\n\
H4LZqJa2sNZeUINYc2IC2vznoGb1fFRuW4yMT1agKvJPaLkQivboc+jMjkeU\n\
jz+KBtujYqSbBcpGuupGomyEC8qGOaFmojtqly5G/u5PceXIAVw9eBANGXFo\n\
z72Ktsx4dBWk4s5NAgRfLcejLxbh3pdv4t47AehYMheFnp5I8piHlNW/Rmt1\n\
NTEPMuO8QIAbGgZbFqxOWQA7c6m753pGZHACwT0sk2dD4gm8MAbP2ij22Ajd\n\
uEBcdo52zFCaMdb9PxbSZFI+FhKfMFEKs4WzD0H/CkssflOx2RtWmGP9GU+J\n\
BmgPbcMmUKxC6GS+Eq8SJIJyYXgXKqgN2zIGI0r9BLDiXHGg4vMgnBspeKbg\n\
oOHC5N6NeTxTGwAWVJk8qeilwkB1kKF1Bm/NkycKPOjrpGyUWjueQ3o+9QwC\n\
pBnFTUpcQ2aZx2i9UGUoaXoka8Vk8iMMfUGAtaogwFwgJJzy8yIArhb+YZz1\n\
Fd7UJQ02WiUNFG+Uo1G9vVeWQy8c9A3p1CuO15vz/mJFBB9XSL6pxlXDnI0W\n\
zOklGqzylgwXCQdcHiO+QJl4gc6CCuzs0XI5Fk0rPVG5yhMFm32RuiUQdZf2\n\
ojv6DO4mR6HnRhLivQNQaWOP2hGuqHnZFdVDndEw0gVt831Q9tvfIPv8MRSn\n\
xqMmOR43joeiIS0W98vScDfvKu4XZZLvTFS/7YeGlTNQt3I+WhZ5oeNNb7R4\n\
eKB4+mykesxF0vIVKP7xRxLG1ej4cwXcgrA4hpsGC2Z6mOWQjQuDHXILn1zR\n\
nD3ncj6aKGPPHgnHUlJXfTW+SYy1UvKaUkk+5Vi2sFwYoRZEDPbkwEx4qMjw\n\
1F/PtrUqhmPPIxmHDBz+TEOijSGvai0PFgNoBTQ4P3zeBLjnIoooySnISTXG\n\
vh62emffLCyaKPKTH3hQDrI4uDFaJsNuoySjvF9F50AddatTCWpRrI0gV3Ys\n\
ZMGMSzYH6/OSQoKce1AC3krD89JPSpP2F2tZzOGmEAMyPn9lhJu9FafzYmbZ\n\
+aaR0SCVieKFztzCcaffgtlOjdr5fpTt97t4Xjwke7bieTmLyk9lSLtWFpM/\n\
nqZRM69kWHvDU6E6U1bwUKVUnn7EYQ2ryY0nZ4ARfhjXyltr1cqTa9S9GmpU\n\
FM+R1Qwvuv7B7HBN8cWFwnFQqLhX0aTqFas01XlRK8O8qCzaiyZF0/JFLGWs\n\
lWBWAlwBax3R+M0/onzpPFS8S3DzA29c+80SNMR8jzsx4XiQGIWH+amImR+A\n\
0kH20k6uGO6EhqlzUP3BWmQe3I3c6Ai0FVxHZ34GiSiv4lbkBVRFnceTkmQ8\n\
LLyCnysy0XOTYO3GBWhe4IzqWQ6oc3FG08xpqHacjlLHaSh3n458t5nImDUX\n\
6W+tRsmJUzR1qjz2qeXJ8+MhC8lRt1LZewVRrRRDxB404/aPI4SR2RVRl0K7\n\
/oG0FyVjRm+kRlCoy9A/YsuiLX2oY6083SQYYuMIQm+5K5UKAcM20Q2wFgcQ\n\
g1sOnDyGkcvkjENRlsYVFCIGmYxn3kt+gqpTiLKkB9vpfUNVQCIefVKxDHDN\n\
CGONRbdRTYwAJnqVCVzrQ2MKb+RO3swnSvUctrUWr4pHJdEltBqEZ9YEUpai\n\
ghSDYAL0hXJFISzVFEGveB5iUqYM8yG0TJEjjfCsturZbIMVbKXSpFBiaQ5l\n\
uVGikGMu4jH3aDRvlw05/XeA6kEm8b5E5RkgGwUJDR7VfrYntQcaOQm8toD2\n\
I2yZQ0LTw+oL56h5Zxxrng3KGh6kekCbgbDCFo/O+IuctunLMxToEJ9coxDC\n\
NSryyOGUY4Ech8rITftzOlzjZp/JHqBMFn9YnJOmsaoYt2uQ7x+IDlKBKAdo\n\
/nA2q3lR1b1yrgWSfHkb16MMNqpHMSGVqXQ1dQsYhkp5WXLtBSmFzqpSiJdc\n\
W4vS1xegxNMdBW/MRWawF5LWLkZT9PfoOn8G9+OjcD83BWfn+yFp0CQUOcxA\n\
2eplyNr9GdJOHEVJZAQqoy6iOj4GzZlJaM1ORvXlGNyODMf9nHg8zI7Fk6Jr\n\
6MlLR/1aX9xd4o46NxL7OtihzskeTePtUT7ODiXuU1HhOAOVDtNR5TgVJbM9\n\
kf/OWlSev4DmWyVKqbz+HSWKWnkbtRrccqgzfINV4ZvyegjhASUWahqdoLHx\n\
2MmUtSqByvBUJ8IMH1ux6DJU6GMYZXz5dRfiS0OoOaX3U1Q0aFNXeisp0uAN\n\
ir3l54TK48MGQjOYEV9hxIWWmLLRI4GgYDnSlMy6Os8qa156Gwi31fRFLTK3\n\
8uWhqmhMfM8IpU2FZAlRsU3Hs3Vm+FXA2NoMZPFXMfAKI+V9VWRMHgyboWEu\n\
ODUs7FW8EkJOxOneRBCqcQ2zBrILIyvZxNtQVJG6sixJH7OAaaWAlSqNqbb8\n\
g820iTZwdB/v1er3okbbWI221/plj9Vtr7A248pzffqSRsJaPMtnhcxM2qH+\n\
y89R5+CGvJlTkeLsjkvOzkgI9kOjZCZPo4OEEo2JcQj1mIeEOR7I+nwrUg5/\n\
j9KYC6i/Eo3bl86j+EwYbpwIRX7YKVTGRaIiJgK5J46jMfYc2uPP4f71K7iX\n\
fQ1ly3zRudQDNVNdUTRrFrL9/JH//ibkffQRamJiURsfb0H+iaNOZHws6i9F\n\
ojaazP+NXMM0i/LciGS+DF0zuk2GGBo8/RY3brMXO4tn53xkvjMUD9zAdx9s\n\
wJ+B86mm5mTqwgSNUbQSQCzhoymKUy87hOIqcyfN7RCxQvf/c4eIdJ/HDjF+\n\
QNBSfEDQ3A6RH7aYhPo/fYfbM6Yi3c4V0RMcETXBHuG2kxEd5IPqi9+h6eQx\n\
lIQeR8mpE7gYvBwpe75AyeVwdBVcwYP6bDxsyEJ3ebp0pFufFIWS8JPIPBKC\n\
tJBDyDh8EAXHjhBn4CTakmLQkXUNhYv8UeYzFzkLFqDoz/tRTRzyIXyFM6DR\n\
A6SV6rUY5G8l3NSXifS+GUQMtFf2lc7wYFKeAZEgc0kUBvu7AXo9oqT9R2ns\n\
AfYCEH14zqph+r0veB6NZ/z0kmqvWrGicdBT7gx9HYj6vZLD+9hPK6qR3+dn\n\
I/InfVgCb4IGq33dTCMNyJl6dYTWxmab6SW+mYpvoXrdeygZ74Bzo20ROcwW\n\
ia/Y4vxEWxweNxFh3h4oP78XuT/sR9GRwyg9fgTlESfRlJOAzltJ6KxIwR36\n\
KbmC9oJ4NKVEoTk9Gu0ZEaiNOoE8Wkfx3V6kkvsLTh0n6/c67lWUIdvXAzme\n\
c1BIWB/G2DQ29FaK12bGfRE2k3r1Kgc0MhKxJALB2E59jp3S5LNoVPamsZ8o\n\
8EjuFt/w5ta29MI9spNpPstk51GaIKP36PWOXy/UTD2CyZMVfCWJJn200K8v\n\
G8b4PWvqjTrcTD+exTa1YV5lbcLhqfLuU1O7hD+hofXUxihhA2q8h2yIBgts\n\
cwzl64S+dDolFTl79yGZ+GI59u64MtUT8YFLEee9EOmr1yJqSSCOuLjhwksT\n\
kfW7T9CQRFDmdhkeN9fiSUcjHne34PGDTvz8pAtPHnfh554WPOluxMO2Bjxs\n\
rcOjdvJpqsL9mgp03S5Hc0kp7rY047/+9jfcDjmMFBdnpPj4oPzCBRf9CjDO\n\
08nVhvrVzjX9uqllM1W+IG820Xd6rT8LzUlD8XwBiQttpkabt8a9nhr9VLMy\n\
AO1NTYjzDcDVpW+g6NtvUJuUhKaqSvrWZwYU41FfWor4hYG4NGwsDtjZIf7D\n\
91B/dD/qQ0PQEBGKtqvh6Ei7hLaUCLQlR0qv+G29ehotF46iIexHNJw6iMbQ\n\
A2g4fpj8fQRVIQdRSd8ZuOVDnJriiBhbO1z2mo/y8PO6v2mo5b9FlonVaG9H\n\
BdkmHa3NLHM2HhUZWcjc+z3OrliO3bbjcHLWFNQv9ETN2oVo37MGj/atxS8X\n\
tuGXuF34JXwLfk74EI/PvYuezfPQETwHLW+6o9nfCfUBM9Dw+kyUzHJHBgkW\n\
4ghrZ2wdcWYifQm3G4qPHlWxyA9PGItjpK+xiFy5AvvGj0W21zQ0es9D26bl\n\
ePzDJjz8YhUefrcWj/+wBr+ErMcvP63B4z3LcXd7ALoWuqJn/RzcCZqOan8P\n\
NM6bgTrvmbg1zR15Tm6IIx7a8VcdEDHWFmnr1stvnP5fme5opobmhkYc9fPD\n\
8ZFjUTfbEy1vBeLe1hV4uONtPPn9anRtCcL9XcF48H4AnvwuEA++XY7OnUFo\n\
WeiGpjn2aPckJtPfC5XuM1Dzug/KPGajxNkNRVOnIWmKM6JfmYz4xUul1SHR\n\
/x81/ZKEBJy2nYQcWyc0zvZDz+rluLdxKbrfDULrb5aiNsgPDSsC0BbkgQc7\n\
FuP+58vQvtIHrX4z0eDugCpHO5T7+qBkzx9RFRmJvM8+Q/rKVbhBdHjLzR3J\n\
4xwRMnwiru/eo0H/ZZRejETCFDtUzp+LzsWLcNfDF43By1C0cT1ufvWPuHX4\n\
ELI3bkCevw/qA+fj7up5uPOOH9rmTkfjdGeUObui8vQp/p781toalJ0+jVy6\n\
p6YTUzXGDmFz5tPXpcvk/1skPwCxa9YgnUxVl48velYEouWTnahLSpRety5v\n\
pkFoqajAtV+/g2wiUlOQF7qX+6F91nS0OjrixptLUZeVpRR40s1ZTFZY0jxf\n\
RE92Rta3v1fR5Ua5/kautIlrXOcQVS5FW1oqOniF0UCJZNq6dSiYMRNNszxI\n\
RDwVdS9NkiJTwhoPoKrJ1s/8YDNivbzJiHkSof8SCVkhe+enyJg+GxW+S9B4\n\
PYe/nLI2PV16PWPlnBmodnJF2RQXlJ04MYjdRcXI+ng7rn/5O2nz0ub/lAfm\n\
/8OA9JL5N99A3oJFqLlxYzBTQNHBQ8ghcXmTnROqgt+WikG5H1ZDsKSjtVX6\n\
JQ35H+KQlig5dgzpQYGou1XK7rEiE5eD5Pl+qLd1Ruk77+pfwc+sIg+sKFal\n\
rF2HyuRk5T3LtC3zo49RTHCrcMtWo3s53Y7mZsXIc1isupqE1Flz6fvDdUY3\n\
2rFOdJqSlr6JlDVrjDvZs04Zv9mMq8tX6qWW/pGnUKd74f8A8yVfcQ=="], 
       ImageSize -> {557, 41}, ImageMargins -> {{0, 0}, {0, 0}}, 
       ImageRegion -> {{0, 1}, {0, 1}}]], "DockedCell", Background -> 
     GrayLevel[0.866682], CellFrame -> {{0, 0}, {0, 4}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> {{0, 0}, {-3, 0}}, 
     CellFrameMargins -> 0], 
    Cell[
     BoxData[
      GridBox[{{
         Cell[
          GraphicsData[
          "CompressedBitmap", 
           "eJzVV0tIVFEYvs4dx9FkFtZCAh+LyhLMDDNNXJio+UILKqOVqOHbUtEEH5BR\n\
ahmC2MuQHhNFJpJIUFRChK4qNwWuWrSsdfjI/s5/zn/unHvnTpoMRBfunfP4\n\
H9/3/+f850xJRVtNdWNFW21lRXx+S8XZmtrK1vi85hY2pIdomjbP3th4DdvA\n\
mvSZh56eHja5/k8W/9HB6/XC7Owsvto5/hVjbJZLbDWLo+hSezS+TBy/Yux/\n\
E9f5NxJWZmoAHxzHZ/l+AW+vvD5v7gs5B3ac2NLchg7OYXvt+2f4uTgl9bis\n\
FgGrC3f4lDSDbXzWvr71M625TBbx/fXjG6rIaRWwAkAnVoq24CjAhv+RIP1q\n\
DlKTiFHTwb9ibKk3Bo0LN+y7fCsT6CG5UAOfZIjyWzaTG5d/bibKEYLw5BRd\n\
a/wiueTq3CAHh68pS/07DdKYKUbKgYMsSxhmjIl0im1uws6L05QlnmuBCR34\n\
SZuzYjcmGLsDYjcx13mX4GsCf7iBX8UuVQkNk2Wj6IzlkVzRmBJsxsCIwUxN\n\
RJC2FaHAFWEQ2kicXAYhjAs3ycAzdaeMxXAyX6vMMsafqXgC7RHeRjMoz+NF\n\
Y5vKlp1cqB1ZDLHE6+Z4/ZajL0e6ylqpAhaImH2qKWJvBydFGBSjINikSG58\n\
dE96tPEjjDG5uHABYt5k6aMFt5EcybXM65BdlQzzi49EzbyJZSCgelSo9hTt\n\
4Qp1p9W9bo2Cb2tR6ZSrNHiJQQhqEG33TpSMr6gdbJHZ1j1S5cUDNwIWaEZa\n\
nl6sv15+jLpCtZHL+GqGQ6lkan4kCUIhuEYHBB2Isx1w7kqteCy7NrtJdRPs\n\
3aSr4aIdkWCAlgTQu1wfvLpTVmyzphBSzhm+fLk+ydodV4H8oCwdEbhee2NY\n\
miU2tfxLvwYuSjO2KVS6Uu4s8Im+x49+IAoWug5+ZfCYFp9SP6w5DMqBFeq/\n\
6VgdUWs/lQy6+viOS/mYyoZLVB1WWWRBpEucTrcHyzVQnA2hKg15mTQOFlzx\n\
SsHhQXKSN3nx5BH27QKlZDtNu0m5TkpuFqAmVUnGvwYK16Yrn+j/5Y3vn/01\n\
iCfx8YIi6G9q4r3tmzNxLy8fBmtrTSY2+OcqjsQvtrfDo+wcGCsp1R6qU064\n\
0tAAk4eywJuTC30dHV7z7EBjIzxOTYfpjCwYqK/3kL2e7m7D1YjQiOE/Lj41\n\
erIchhjiuwl74d3+DBg/eiySNK8yg7dPnYberi5tVGjGkuaD3HzwVp+BqT1J\n\
8CElDV4UF8JwVWUEaV5jmpOHc2Gkqkq7rmqGwQSj9jEtHV4lJ8JcUip8Kj0C\n\
02VlcKGzk50YgslQfT08O5AJT7Ky0TlZ2EbGL7e2wmBTs+TAvm641NcHLwtL\n\
YDFqBzzdvQvepxyEL8VFsFBUDDfr6sIUw2/2ZcDzuEQYO37ihjCshfwGPGMf\nPw=="], 
          Evaluatable -> False, ImageSize -> {199, 30}, 
          ImageMargins -> {{0, 0}, {0, 0}}, ImageRegion -> {{0, 1}, {0, 1}}], 
         
         ButtonBox[
          Cell[
           GraphicsData[
           "CompressedBitmap", 
            "eJylVb1uAjEMDuSAUqTr1J234A3aqQ9xQpVgqFpRZkZWNkZWRkZmRkZmVkZ2\n\
xtSfY0e+9MrSSLkY27E//4W3aj55/6jm03E1fJ1VX5Pp+Hv48jkjlm8550a0\n\
y6EDHYiUzygsFgsS1o42Hw9hs9mE6/UasHCu12tI+KTVYbUy7Ha7pIZ1uVys\n\
GtPL5ZJpmLzdbrgTvXgrol+0XBHO5zOr4irtyO7zTWHx3u/3CRTo1Wol4FMM\n\
WBBB5Xg8MlDQsE6rYLUnjkFVIdputwm7qCYvigLmCCi5AvSSZapnbUFPY89l\n\
hN4zhE44HA4J3el0EtMcjHusAUHG8gTX4ikZIwxqpmwM1gwcqh7xC8k//CtU\n\
YrcFIthaXS1Z7IJuKiMyqcBI3pIIvHUtcRU5rDYLe4zKZgvVkLS4qJObw3eA\n\
+qeIkQG9Z20obm0/U2lpP5/CB09jRxW18mhPyoO7F9xzY87zNrTIgF56ovEO\n\
PGri8BsoRSeyB7U2w7ZtbNsOg1JIYCioBixtczewwZ+BWW9IEcrVES8NerUu\n\
gGcZqMju/womz5vtPnWNHOqMUkf+v0AohmIDDT19T/I7pBc90Rd3ZBycrY5W\n\
AEOn49JUHW+qowMKm6STXgVvX4GUTfsqEB1no8uXbTZBk3EdJ9RLbsgY9FJj\n\
6kaXyMMRvelzjWRpIInt01MRX+KGPxo5XOsHSMiAwg=="], Evaluatable -> False, 
           ImageSize -> {55, 14}, ImageMargins -> {{0, 0}, {0, 0}}, 
           ImageRegion -> {{0, 1}, {0, 1}}], ButtonData -> {
            URL["http://store.wolfram.com/view/app/playerpro/"], None}, 
          ButtonNote -> "http://store.wolfram.com/view/app/playerpro/"], 
         Cell[
          GraphicsData[
          "CompressedBitmap", 
           "eJzzTSzJSM1NLMlMTlRwL0osyMhMLlZwyy8CCjEzMjAwMAExnwIDiP0fyIQS\n\
jP9bWloY/8+ZPZuBgfF/V2cn4//VK1cOFnZ7ezvj/+XLlgFdyggAJaVbgQ==\n"], Evaluatable -> 
          False, ImageSize -> {2, 14}, ImageMargins -> {{0, 0}, {0, 0}}, 
          ImageRegion -> {{0, 1}, {0, 1}}], 
         ButtonBox[
          Cell[
           GraphicsData[
           "CompressedBitmap", 
            "eJyVVj1vIjEQ9bIBRKKjyClFOn5NUvEjUBQpKU6JctSUtHSUtJSU1JSU1LSU\n\
9JTOPHued0x2SWJpWXvGOx/Pb8YMR+OX53+j8evTaPD4MXp/eX36P3h4+xBR\n\
WTjnhvL0Bw5zL1P9GfrJZCLK7NUKr9LP53OPgVWQlVi5O386nbC0G/x0Og3z\n\
xWKRybHGgN7KMYcdjPV67TrBzZXfbreeQ+aMBQOfYMWty+UybZV5S5XH4zGJ\n\
xTK9xeB7/nA4BBEfbFHLYT6bzVyRA8EcEhDuPllnvjZXmiJOVs78VqtVJocN\n\
yJgUwrgKvnrBFrISWXhgd7PZhO8Uc9dVUBQM2onhdlOocKHm6V5SgoFekFlk\n\
4AJuMd/tdn6/33+PTJlYUMn6GQtgktFbBJAVdOKG8lJNGnIlULCVx3seLfd2\n\
lBLWjdFH8+2MuwSlc6YDcMpfAQHGm0GIVCsDaJplxMVdJ5D5EWuCbz03Zg4T\n\
yErC0My7aRuzIWUS/PJLgKtDaEShpZlCDVcEsYq6zlysVDJczqxAZV1ixt+s\n\
Zs5xYG2wPCmHZzACMuiwjqSNfqDT2pAcILu5BFAWQwVqvwmcVMsYOAzwwcTX\n\
UpgotgAhXFJAgCoQ+29L5zYLzCZCOZIHORko25/dI+B0GsqGn3wtm95FTBRH\n\
V9ak09Zf08vYD6V2gLoTNrDrEV3Lip8wxXRXASvylMcANlBmbqrY6kgTUAlG\n\
2FYtNGcBpK7zHSQSmCMnTNCNPZaUZgMEpNpj1YJekikdFkidTNLUkm2nAmBj\n\
QfcutYNgv82ClxIquO4ilghrG1vF0z/Z5U40eDEiFl72X2PN7cWLzNX+M3HF\nJ/Rd8Mk="], 
           Evaluatable -> False, ImageSize -> {77, 14}, 
           ImageMargins -> {{0, 0}, {0, 0}}, ImageRegion -> {{0, 1}, {0, 1}}],
           ButtonData -> {
            URL[
            "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"], None}, ButtonNote -> 
          "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"]}}, ColumnsEqual -> False, 
       GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}]], 
     "DockedCell", Background -> GrayLevel[0.494118], 
     CellFrame -> {{0, 0}, {4, 0}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> 0, 
     CellFrameMargins -> {{0, 0}, {0, -1}}, 
     ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
          NotebookLocate[#2]}]& ), Appearance -> None, ButtonFrame -> None, 
       Evaluator -> None, Method -> "Queued"}]}, 
   FEPrivate`If[
    FEPrivate`SameQ[
     FrontEnd`CurrentValue[
      FrontEnd`EvaluationNotebook[], ScreenStyleEnvironment], "SlideShow"], {
    Inherited}, {}]], Inherited],
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 104, 1, 83, "Title"],
Cell[CellGroupData[{
Cell[719, 28, 314, 7, 71, "Section"],
Cell[1036, 37, 1051, 17, 99, "Text"],
Cell[CellGroupData[{
Cell[2112, 58, 4203, 100, 192, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->211751615],
Cell[6318, 160, 4333, 84, 504, "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10697, 250, 469, 13, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11169, 265, 956, 28, 34, "Text"],
Cell[CellGroupData[{
Cell[12150, 297, 309, 5, 71, "Section"],
Cell[12462, 304, 936, 15, 81, "Text"],
Cell[CellGroupData[{
Cell[13423, 323, 36463, 843, 2352, "Input",
 CellID->1496021318],
Cell[49889, 1168, 17255, 360, 508, "Output"]
}, {2}]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[67202, 1535, 467, 13, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[67672, 1550, 907, 24, 34, "Text"],
Cell[CellGroupData[{
Cell[68604, 1578, 284, 5, 71, "Section"],
Cell[68891, 1585, 801, 13, 81, "Text"],
Cell[CellGroupData[{
Cell[69717, 1602, 39682, 941, 2532, "Input",
 CellID->209153169],
Cell[109402, 2545, 17126, 335, 538, "Output"]
}, {2}]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[126586, 2887, 466, 13, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[127055, 2902, 887, 24, 34, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature Svp8XEg4pEmhnDwxHFhg@hQe *)
